#############################################################################
##
#F  PolynomialByExtRep( <rfam>, <extrep> )
#F  PolynomialByExtRepNC( <rfam>, <extrep> )
##
##  constructs a polynomial (in the representation `IsPolynomialDefaultRep')
##  in the rational function family <rfam>, the polynomial itself is given
##  by the external representation <extrep>.
##
##  The variant `PolynomialByExtRepNC' does not perform any test of
##  the arguments and thus potentially can create illegal objects. It only
##  should be used if speed is required and the arguments are known to be
##  in correct form.
#DeclareGlobalFunction( "PolynomialByExtRep" );
DeclareGlobalFunction( "PolynomialByExtRepNC" );

#############################################################################
##
#F ConstituentsPolynomial(<pol>)
##                               
##  Given a polynomial <pol> this function returns a record with components
##  `variables': A list of the variables occuring in <pol>, `monomials': A
##  listr of the monomials in <pol>, and `coefficients': A (corresponding)
##  list of coefficients. 
DeclareGlobalFunction("ConstituentsPolynomial");
