##############################################################################
##
#W  induce2.gd                      XMOD Package                  Chris Wensley
#W                                                                 & Murat Alp
##
##  Declaration file for functions of the XMOD package.
##
#H  @(#)$Id: induce2.gd,v 2.004 2004/04/14 gap Exp $
##
#Y  Copyright (C) 1999,2001 University of St. Andrews, North Haugh,
#Y                          St. Andrews, Fife KY16 9SS, Scotland
##
Revision.("xmod/gap/induce_gd") := 
   "@(#)$Id: induce2.gd,v 2.004 2004/04/14 gap Exp $";


###############################################################################
##  Layout of groups for induced crossed module calculations:
## 
##          Fin. Pres. Groups              Groups
##          =================           ============
##
##        FN=FM -------> FI            N=M -------> I
##            |          |              |           |
##            |          |              |           |
##            V          V              V           V
##           FP -------> FQ             P --------> Q
##
##############################################################################
##  Layout of groups for induced cat1-group calculations:
##
##                                          iota*
##         G ------------> I         PG ------------> PI
##         ||             ||         ||               || 
##         ||             ||         ||               ||  
##         th            t*h*        th              t*h* 
##         ||             ||         ||               || 
##         ||             ||         ||               || 
##         VV             VV         VV               VV 
##         R ------------> Q         PR ------------> PQ
##                                          iota
##
##############################################################################

#############################################################################
##
##  #A  InducedXModData( <IX> )
##
##  DeclareAttribute( "InducedXModData", Is2dObject, "mutable" );

#############################################################################
##
#P  IsInducedXMod( <IX> )
##
DeclareProperty( "IsInducedXMod", IsXMod );

#############################################################################
##
#A  MorphismOfInducedXMod( <IX> )
##
DeclareAttribute( "MorphismOfInducedXMod", IsInducedXMod );

#############################################################################
##
#F  InducedXMod( <args> )
#F  InducedCat1( <args> )
##
DeclareGlobalFunction( "InducedXMod" );
DeclareGlobalFunction( "InducedCat1" );

##############################################################################
##
#O  InclusionInducedXModData( <grp>, <hom>, <trans> )
#O  InclusionInducedCat1Data( <grp>, <hom>, <trans> )
##
DeclareOperation( "InclusionInducedXModData", 
    [ IsXMod, IsGroupHomomorphism, IsList ] );
DeclareOperation( "InclusionInducedCat1Data", 
    [ IsCat1, IsGroupHomomorphism, IsList ] );

##############################################################################
##
#O  InclusionInducedXModByCopower( <info> )
##
DeclareOperation( "InclusionInducedXModByCopower", [ IsRecord ] );

##############################################################################
##
#O  SurjectiveInducedXMod( <xmod>, <hom> )
##
DeclareOperation( "SurjectiveInducedXMod", [ IsXMod, IsGroupHomomorphism ] );

##############################################################################
##
#O  InducedCat1ByFreeProduct( [ <grp>, <hom> ] )  ???
##
DeclareOperation( "InducedCat1ByFreeProduct", [ IsList ] );

##############################################################################
##
#O  AllInducedXMods( <grp> )
#O  AllInducedCat1s( <grp> )
##
DeclareOperation( "AllInducedXMods", [ IsGroup ] );
DeclareOperation( "AllInducedCat1s", [ IsGroup ] );

##############################################################################
##
#E  induce.gd . . . . . . . . . . . . . . . . . . . . . . . . . . .  ends here
