#############################################################################
##
#W  atlasprm.g           GAP 4 package `atlasrep'               Thomas Breuer
##
#H  @(#)$Id: atlasprm.g,v 1.73 2004/04/07 16:25:37 gap Exp $
##
#Y  Copyright (C)  2001,  Lehrstuhl D fuer Mathematik,  RWTH Aachen,  Germany
##
##  This file is the primary file of the {\GAP} interface for the
##  Atlas of Group Representations.
##  It contains the data that is needed to access the representations and
##  straight line programs.
##
##  This file is the only one in the `atlasrep' package that must be changed
##  when new information is added to the database.
##
Revision.( "atlasrep/gap/atlasprm_g" ) :=
    "@(#)$Id: atlasprm.g,v 1.73 2004/04/07 16:25:37 gap Exp $";


#############################################################################
##
##  Establish the bijection between the group names used in the filenames of
##  the {\ATLAS} database and the names used to access the groups in {\GAP}.
##

# names that are not really supported (but we want to avoid error messages)
AGRGNAN("Mmax15q1","Mmax15q1");
AGRGNAN("Mmax15q2","Mmax15q2");
AGRGNAN("Mmax15q3","Mmax15q3");
AGRGNAN("Mmax3","Mmax3");
AGRGNAN("Mmax42","Mmax42");
AGRGNAN("Mnotmax19","Mnotmax19");

# alternating and related groups
AGRGNAN("A5","A5");
AGRGNAN("A5.2","S5");
AGRGNAN("2.A5","2A5");
AGRGNAN("2.A5.2","2S5");
AGRGNAN("Isoclinic(2.A5.2)","2S5i");
AGRGNAN("A6","A6");
AGRGNAN("2.A6","2A6");
AGRGNAN("3.A6","3A6");
AGRGNAN("6.A6","6A6");
AGRGNAN("A6.2_1","S6");
AGRGNAN("A6.2_2","PGL29");
AGRGNAN("A6.2_3","M10");
AGRGNAN("A6.2^2","A6V4");
AGRGNAN("2.A6.2_1","2S6");
AGRGNAN("3.A6.2_1","3S6");
AGRGNAN("6.A6.2_1","6S6");
AGRGNAN("A7","A7");
AGRGNAN("A7.2","S7");
AGRGNAN("2.A7","2A7");
AGRGNAN("2.A7.2","2S7");
AGRGNAN("3.A7","3A7");
AGRGNAN("3.A7.2","3S7");
AGRGNAN("6.A7","6A7");
AGRGNAN("6.A7.2","6S7");
AGRGNAN("A8","A8");
AGRGNAN("A8.2","S8");
AGRGNAN("2.A8","2A8");
AGRGNAN("2.A8.2","2S8");
AGRGNAN("A9","A9");
AGRGNAN("A9.2","S9");
AGRGNAN("2.A9","2A9");
AGRGNAN("2.A9.2","2S9");
AGRGNAN("A10","A10");
AGRGNAN("A10.2","S10");
AGRGNAN("2.A10","2A10");
AGRGNAN("2.A10.2","2S10");
AGRGNAN("A11","A11");
AGRGNAN("A11.2","S11");
AGRGNAN("2.A11","2A11");
AGRGNAN("2.A11.2","2S11");
AGRGNAN("A12","A12");
AGRGNAN("A12.2","S12");
AGRGNAN("2.A12","2A12");
AGRGNAN("2.A12.2","2S12");
AGRGNAN("A13","A13");
AGRGNAN("A13.2","S13");
AGRGNAN("2.A13","2A13");
AGRGNAN("2.A13.2","2S13");
AGRGNAN("A14","A14");
AGRGNAN("A14.2","S14");
AGRGNAN("2.A14","2A14");
AGRGNAN("2.A14.2","2S14");
AGRGNAN("Isoclinic(2.A14.2)","2S14i");
AGRGNAN("A15","A15");
AGRGNAN("A15.2","S15");
AGRGNAN("A16","A16");
AGRGNAN("A16.2","S16");
AGRGNAN("A17","A17");
AGRGNAN("A17.2","S17");
AGRGNAN("A18","A18");
AGRGNAN("A18.2","S18");
AGRGNAN("A19","A19");
AGRGNAN("A19.2","S19");
AGRGNAN("A20","A20");
AGRGNAN("A20.2","S20");
AGRGNAN("A21","A21");
AGRGNAN("A21.2","S21");
AGRGNAN("A22","A22");
AGRGNAN("A22.2","S22");
AGRGNAN("A23","A23");
AGRGNAN("A23.2","S23");
AGRGNAN("M20","M20");
AGRGNAN("2aM20","2aM20");
AGRGNAN("2bM20","2bM20");
AGRGNAN("2cM20","2cM20");
AGRGNAN("4bM20","4bM20");

# symplectic and related groups
AGRGNAN("S4(4)","S44");
AGRGNAN("S4(4).2","S44d2");
AGRGNAN("S4(4).4","S44d4");
AGRGNAN("S4(5)","S45");
AGRGNAN("S4(5).2","S45d2");
AGRGNAN("2.S4(5)","2S45");
AGRGNAN("S4(7)","S47");
AGRGNAN("S4(7).2","S47d2");
AGRGNAN("2.S4(7)","2S47");
AGRGNAN("2.S4(7).2","2S47d2");
AGRGNAN("S6(2)","S62");
AGRGNAN("2.S6(2)","2S62");
AGRGNAN("S6(3)","S63");
AGRGNAN("S6(3).2","S63d2");
AGRGNAN("2.S6(3)","2S63");
AGRGNAN("2.S6(3).2","2S63d2");
AGRGNAN("S8(2)","S82");
AGRGNAN("S10(2)","S102");

# orthogonal and related groups
AGRGNAN("O7(3)","O73");
AGRGNAN("O7(3).2","O73d2");
AGRGNAN("2.O7(3)","2O73");
AGRGNAN("2.O7(3).2","2O73d2");
AGRGNAN("3.O7(3)","3O73");
AGRGNAN("3.O7(3).2","3O73d2");
AGRGNAN("6.O7(3)","6O73");
AGRGNAN("6.O7(3).2","6O73d2");
AGRGNAN("O8-(2)","O8m2");
AGRGNAN("O8-(2).2","O8m2d2");
AGRGNAN("O8+(2)","O8p2");
AGRGNAN("O8+(2).2","O8p2d2");
AGRGNAN("O8+(2).3","O8p2d3");
AGRGNAN("2.O8+(2)","2O8p2");
AGRGNAN("2.O8+(2).2","2O8p2d2");
AGRGNAN("O8-(3)","O8m3");
AGRGNAN("O8-(3).2_1","O8m3d2a");
AGRGNAN("O8-(3).2_2","O8m3d2b");
AGRGNAN("O8-(3).2_3","O8m3d2c");
AGRGNAN("O8-(3).2^2","O8m3V4");
AGRGNAN("O8-(3).D8","O8m3D8");    # a double cover of `O8-(3).2^2'
AGRGNAN("2.O8-(3)","2O8m3");
AGRGNAN("2.O8-(3).2_1","2O8m3d2a");
AGRGNAN("O8+(3)","O8p3");
AGRGNAN("O8+(3).S4","O8p3S4");
AGRGNAN("2.O8+(3)","2O8p3");
AGRGNAN("2^2.O8+(3).S4","4O8p3S4");
AGRGNAN("O9(3)","O93");
AGRGNAN("O9(3).2","O93d2");
AGRGNAN("2.O9(3)","2O93");
AGRGNAN("2.O9(3).2","2O93d2");
AGRGNAN("O10-(2)","O10m2");
AGRGNAN("O10-(2).2","O10m2d2");
AGRGNAN("O10+(2)","O10p2");
AGRGNAN("O10+(2).2","O10p2d2");

# projective special unitary and related groups
AGRGNAN("U3(3)","U33");
AGRGNAN("U3(3).2","U33d2");
AGRGNAN("U3(4)","U34");
AGRGNAN("U3(4).2","U34d2");
AGRGNAN("U3(4).4","U34d4");
AGRGNAN("U3(5)","U35");
AGRGNAN("U3(5).2","U35d2");
AGRGNAN("U3(5).3","U35d3");
AGRGNAN("U3(7)","U37");
AGRGNAN("U3(8)","U38");
AGRGNAN("U3(9)","U39");
AGRGNAN("U3(11)","U311");
AGRGNAN("U3(11).2","U311d2");
AGRGNAN("3.U3(11)","3U311");
AGRGNAN("3.U3(11).2","3U311d2");
AGRGNAN("U4(2)","U42");
AGRGNAN("U4(2).2","U42d2");
AGRGNAN("2.U4(2)","2U42");
AGRGNAN("2.U4(2).2","2U42d2");
AGRGNAN("U4(3)","U43");
AGRGNAN("U4(3).2_1","U43d21");
AGRGNAN("U4(3).2_2","U43d22");
AGRGNAN("U4(3).2_3","U43d23");
AGRGNAN("U4(3).4","U43d4");
AGRGNAN("U5(2)","U52");
AGRGNAN("U5(2).2","U52d2");
AGRGNAN("U5(3)","U53");
AGRGNAN("U6(2)","U62");
AGRGNAN("U6(2).2","U62d2");
AGRGNAN("U6(2).3","U62d3");
AGRGNAN("U6(2).S3","U62S3");
AGRGNAN("2.U6(2)","2U62");
AGRGNAN("3.U6(2)","3U62");
AGRGNAN("6.U6(2)","6U62");
AGRGNAN("2^2.U6(2)","4U62");
AGRGNAN("(2^2x3).U6(2)","12U62");
AGRGNAN("U7(2)","U72");
AGRGNAN("2^14.U7(2)","214U72");

# exceptional and related groups
AGRGNAN("E6(2)","E62");
AGRGNAN("E6(4)","E64");
AGRGNAN("E6(4).2","E64d2");
AGRGNAN("3.E6(4)","3E64");
AGRGNAN("3.E6(4).2","3E64d2");
AGRGNAN("E7(2)","E72");
AGRGNAN("E7(4)","E74");
AGRGNAN("E8(2)","E82");
AGRGNAN("E8(5)","E85");
AGRGNAN("F4(2)","F42");
AGRGNAN("F4(2).2","F42d2");
AGRGNAN("2.F4(2)","2F42");
AGRGNAN("2.F4(2).2","2F42d2");
AGRGNAN("2.(2xF4(2)).2","2F42d4i");
AGRGNAN("G2(3)","G23");
AGRGNAN("G2(3).2","G23d2");
AGRGNAN("3.G2(3)","3G23");
AGRGNAN("3.G2(3).2","3G23d2");
AGRGNAN("G2(4)","G24");
AGRGNAN("G2(4).2","G24d2");
AGRGNAN("2.G2(4)","2G24");
AGRGNAN("2.G2(4).2","2G24d2");
AGRGNAN("Isoclinic(2.G2(4).2)","2G24d2i");
AGRGNAN("G2(5)","G25");
AGRGNAN("R(27)","R27");
AGRGNAN("R(27).3","R27d3");
AGRGNAN("Sz(32)","Sz32");
AGRGNAN("Sz(32).5","Sz32d5");
AGRGNAN("Sz(8)","Sz8");
AGRGNAN("Sz(8).3","Sz8d3");
AGRGNAN("2.Sz(8)","2Sz8");
AGRGNAN("2^2.Sz(8).3","4Sz8d3");

# twisted and related groups
AGRGNAN("3D4(2)","TD42");
AGRGNAN("3D4(2).3","TD42d3");
AGRGNAN("3D4(3)","TD43");
AGRGNAN("2E6(2)","TE62");
AGRGNAN("2E6(2).2","TE62d2");
AGRGNAN("2E6(2).3","TE62d3");
AGRGNAN("2E6(2).S3","TE62S3");
AGRGNAN("2.2E6(2)","2TE62");
AGRGNAN("2.2E6(2).2","2TE62d2");
AGRGNAN("2^2.2E6(2)","4TE62");
AGRGNAN("3.2E6(2)","3TE62");
AGRGNAN("3.2E6(2).2","3TE62d2");
AGRGNAN("3.2E6(2).3","3TE62d3");
AGRGNAN("3.2E6(2).S3","3TE62S3");
AGRGNAN("2F4(2)'","TF42");
AGRGNAN("2F4(2)'.2","TF42d2");

# projective special linear and related groups
AGRGNAN("L2(8)","L28");
AGRGNAN("L2(8).3","L28d3");
AGRGNAN("L2(11)","L211");
AGRGNAN("L2(11).2","L211d2");
AGRGNAN("2.L2(11)","2L211");
AGRGNAN("L2(13)","L213");
AGRGNAN("L2(13).2","L213d2");
AGRGNAN("2.L2(13)","2L213");
AGRGNAN("2.L2(13).2","2L213d2");
AGRGNAN("L2(16)","L216");
AGRGNAN("L2(16).2","L216d2");
AGRGNAN("L2(16).4","L216d4");
AGRGNAN("L2(17)","L217");
AGRGNAN("L2(17).2","L217d2");
AGRGNAN("2.L2(17)","2L217");
AGRGNAN("2.L2(17).2","2L217d2");
AGRGNAN("L2(19)","L219");
AGRGNAN("L2(19).2","L219d2");
AGRGNAN("2.L2(19)","2L219");
AGRGNAN("Isoclinic(2.L2(19).2)","2L219d2i");
AGRGNAN("L2(23)","L223");
AGRGNAN("L2(23).2","L223d2");
AGRGNAN("2.L2(23)","2L223");
AGRGNAN("Isoclinic(2.L2(23).2)","2L223d2i");
AGRGNAN("L2(25)","L225");
AGRGNAN("L2(25).2_1","L225d21");
AGRGNAN("L2(25).2_2","L225d22");
AGRGNAN("L2(25).2_3","L225d23");
AGRGNAN("2.L2(25)","2L225");
AGRGNAN("L2(27)","L227");
AGRGNAN("L2(27).2","L227d2");
AGRGNAN("L2(27).3","L227d3");
AGRGNAN("L2(27).6","L227d6");
AGRGNAN("2.L2(27)","2L227");
AGRGNAN("L2(29)","L229");
#AGRGNAN("L2(29).2","L229d2");
AGRGNAN("2.L2(29)","2L229");
AGRGNAN("L2(31)","L231");
AGRGNAN("L2(31).2","L231d2");
AGRGNAN("2.L2(31)","2L231");
AGRGNAN("L2(32)","L232");
AGRGNAN("L2(32).5","L232d5");
AGRGNAN("L2(49)","L249");
AGRGNAN("2.L2(49)","2L249");
#AGRGNAN("L2(59)","L259");
#AGRGNAN("L2(71)","L271");
AGRGNAN("L3(2)","L27");
AGRGNAN("L3(2).2","L27d2");
AGRGNAN("L3(3)","L33");
AGRGNAN("L3(3).2","L33d2");
AGRGNAN("L3(4)","L34");
AGRGNAN("2.L3(4)","2L34");
AGRGNAN("3.L3(4)","3L34");
AGRGNAN("4_1.L3(4)","4aL34");
AGRGNAN("4_2.L3(4)","4bL34");
AGRGNAN("6.L3(4)","6L34");
AGRGNAN("12_1.L3(4)","12aL34");
AGRGNAN("12_2.L3(4)","12bL34");
AGRGNAN("L3(5)","L35");
AGRGNAN("L3(5).2","L35d2");
AGRGNAN("L3(7)","L37");
AGRGNAN("L3(7).2","L37d2");
AGRGNAN("L3(7).3","L37d3");
AGRGNAN("3.L3(7)","3L37");
AGRGNAN("3.L3(7).2","3L37d2");
AGRGNAN("L3(8)","L38");
AGRGNAN("L3(8).2","L38d2");
AGRGNAN("L3(8).3","L38d3");
AGRGNAN("L3(8).6","L38d6");
AGRGNAN("L3(9)","L39");
AGRGNAN("L3(9).2_1","L39d21");
AGRGNAN("L3(9).2_2","L39d22");
AGRGNAN("L3(9).2_3","L39d23");
AGRGNAN("L3(11)","L311");
AGRGNAN("L4(3)","L43");
AGRGNAN("L4(3).2_1","L43d21");
AGRGNAN("L4(3).2_2","L43d22");
AGRGNAN("L4(3).2_3","L43d23");
AGRGNAN("L5(2)","L52");
AGRGNAN("L5(2).2","L52d2");
AGRGNAN("L6(2)","L62");
AGRGNAN("L6(2).2","L62d2");
AGRGNAN("L7(2)","L72");
AGRGNAN("L7(2).2","L72d2");
AGRGNAN("2^4.A8","24A8");
AGRGNAN("2^5.L5(2)","25L52");
AGRGNAN("5^3.L3(5)","53L35");

# sporadic simple and related groups
AGRGNAN("B","B");
AGRGNAN("Co1","Co1");
AGRGNAN("2.Co1","2Co1");
AGRGNAN("Co2","Co2");
AGRGNAN("Co3","Co3");
AGRGNAN("Fi22","F22");
AGRGNAN("Fi22.2","F22d2");
AGRGNAN("2.Fi22","2F22");
AGRGNAN("2.Fi22.2","2F22d2");
AGRGNAN("3.Fi22","3F22");
AGRGNAN("3.Fi22.2","3F22d2");
AGRGNAN("6.Fi22","6F22");
AGRGNAN("6.Fi22.2","6F22d2");
AGRGNAN("Fi23","F23");
AGRGNAN("3.Fi24'","3F24");
AGRGNAN("3.Fi24'.2","3F24d2");
AGRGNAN("Fi24'","F24");
AGRGNAN("Fi24'.2","F24d2");
AGRGNAN("HN","HN");
AGRGNAN("HN.2","HNd2");
AGRGNAN("HS","HS");
AGRGNAN("HS.2","HSd2");
AGRGNAN("2.HS","2HS");
AGRGNAN("2.HS.2","2HSd2");
AGRGNAN("He","He");
AGRGNAN("He.2","Hed2");
AGRGNAN("J1","J1");
AGRGNAN("J2","J2");
AGRGNAN("J2.2","J2d2");
AGRGNAN("2.J2","2J2");
AGRGNAN("2.J2.2","2J2d2");
AGRGNAN("J3","J3");
AGRGNAN("J3.2","J3d2");
AGRGNAN("3.J3","3J3");
AGRGNAN("3.J3.2","3J3d2");
AGRGNAN("J4","J4");
AGRGNAN("Ly","Ly");
AGRGNAN("M11","M11");
AGRGNAN("M12","M12");
AGRGNAN("M12.2","M12d2");
AGRGNAN("2.M12","2M12");
AGRGNAN("2.M12.2","2M12d2");
AGRGNAN("M22","M22");
AGRGNAN("M22.2","M22d2");
AGRGNAN("2.M22","2M22");
AGRGNAN("2.M22.2","2M22d2");
AGRGNAN("3.M22","3M22");
AGRGNAN("3.M22.2","3M22d2");
AGRGNAN("4.M22","4M22");
AGRGNAN("4.M22.2","4M22d2");
AGRGNAN("6.M22","6M22");
AGRGNAN("6.M22.2","6M22d2");
AGRGNAN("12.M22","12M22");
AGRGNAN("12.M22.2","12M22d2");
AGRGNAN("M23","M23");
AGRGNAN("M24","M24");
AGRGNAN("McL","McL");
AGRGNAN("McL.2","McLd2");
AGRGNAN("3.McL","3McL");
AGRGNAN("3.McL.2","3McLd2");
AGRGNAN("ON","ON");
AGRGNAN("ON.2","ONd2");
AGRGNAN("ON.4","ONd4");
AGRGNAN("3.ON","3ON");
AGRGNAN("3.ON.2","3ONd2");
AGRGNAN("Ru","Ru");
AGRGNAN("2.Ru","2Ru");
AGRGNAN("Suz","Suz");
AGRGNAN("Suz.2","Suzd2");
AGRGNAN("2.Suz","2Suz");
AGRGNAN("2.Suz.2","2Suzd2");
AGRGNAN("3.Suz","3Suz");
AGRGNAN("3.Suz.2","3Suzd2");
AGRGNAN("6.Suz","6Suz");
AGRGNAN("6.Suz.2","6Suzd2");
AGRGNAN("Th","Th");

# maximal subgroups of the Monster
AGRGNAN("2^(1+24).Co1","Mmax2");
AGRGNAN("2^2.2E6(2).S3","Mmax4");
AGRGNAN("2^(10+16).O10+(2)","Mmax5");
AGRGNAN("2^(2+11+22).(M24xS3)","Mmax6");
AGRGNAN("3^(1+12):6.Suz.2","M3max7");
AGRGNAN("2^(5+10+20).(S3xL5(2))","Mmax8");
AGRGNAN("S3xTh","Mmax9");
AGRGNAN("2^[39].(L3(2)x3.S6)","Mmax10");
AGRGNAN("3^8.O8-(3).2_3","Mmax11");
AGRGNAN("(D10xHN).2","Mmax12");
AGRGNAN("(3^2:2xO8+(3)).S4","Mmax13");
AGRGNAN("3^(2+5+10).(M11x2S4)","Mmax14");
AGRGNAN("3^(3+2+6+6):(L3(3)xSD16)","Mmax15");
AGRGNAN("5^(1+6):2.J2.4","Mmax16");
AGRGNAN("(7:3xHe):2","Mmax17");
AGRGNAN("(A5xA12):2","Mmax18");
AGRGNAN("5^(3+3).(2xL3(5))","Mmax19");
AGRGNAN("(A6xA6xA6).(2xS4)","Mmax20");
AGRGNAN("(A5xU3(8):3):2","Mmax21");
AGRGNAN("5^(2+2+4):(S3xGL2(5))","Mmax22");
AGRGNAN("(L3(2)xS4(4):2).2","Mmax23");
AGRGNAN("7^(1+4):(3x2.S7)","Mmax24");
AGRGNAN("(5^2:[2^4]xU3(5)).S3","Mmax25");
AGRGNAN("(L2(11)xM12):2","Mmax26");
AGRGNAN("(A7x(A5xA5).4).2","Mmax27");
AGRGNAN("5^4:(3x2.L2(25)).2","Mmax28");
AGRGNAN("7^(2+1+2):GL2(7)","Mmax29");
AGRGNAN("M11xA6.2^2","Mmax30");
AGRGNAN("(S5xS5xS5):S3","Mmax31");
AGRGNAN("(L2(11)xL2(11)):4","Mmax32");
AGRGNAN("13^2:2.L2(13).4","Mmax33");
AGRGNAN("(7^2:(3x2A4)xL2(7)).2","Mmax34");
AGRGNAN("(13:6xL3(3)).2","Mmax35");
AGRGNAN("13^(1+2):(3x4S4)","Mmax36");
AGRGNAN("L2(71)","Mmax37");
AGRGNAN("L2(59)","Mmax38");
AGRGNAN("11^2:(5x2.2A5)","Mmax39");
AGRGNAN("L2(29).2","Mmax40");
AGRGNAN("7^2:2.L2(7)","Mmax41");
AGRGNAN("41:40","Mmax43");

# miscellaneous groups
AGRGNAN("W(F4)","WF4");


#############################################################################
##
##  Store information about the rings over which characteristic zero
##  representations are written if known.
##  Note that the filenames do not contain this information,
##  so it has to be stored explicitly.
##
AGRFLD("2A5G1-Ar4aB0","Field([Sqrt(-1)])");
AGRFLD("2A5G1-Ar4aB2","Field([Sqrt(-6)])");
AGRFLD("2A5G1-Ar6B0","Field([Sqrt(-1)])");
AGRFLD("2A5G1-Ar6B1","Field([Sqrt(-3)])");
AGRFLD("2A5G1-Hr1aB0","H([Sqrt(5)])");
AGRFLD("2A6G1-Ar4B0","Field([Sqrt(-3)])");
AGRFLD("2A6G1-Hr2aB0","H([Sqrt(3)])");
AGRFLD("2A7G1-Ar20aB0","Field([Sqrt(-7)])");
AGRFLD("2A7G1-Ar4aB0","Field([Sqrt(-7)])");
AGRFLD("2A7G1-Ar4bB0","Field([Sqrt(-7)])");
AGRFLD("2S5G1-Ar4bB0","Field([Sqrt(-3)])");
AGRFLD("2S5iG1-Ar4aB1","Field([Sqrt(-2)])");
AGRFLD("2S5iG1-Ar4aB2","Field([Sqrt(-5)])");
AGRFLD("2aM20G1-Ar12aB0","Field([Sqrt(5)])");
AGRFLD("2aM20G1-Ar12bB0","Field([Sqrt(5)])");
AGRFLD("2aM20G1-Ar12bB1","Field([Sqrt(5)])");
AGRFLD("3A7G1-Ar15aB0","Field([Sqrt(-3)])");
AGRFLD("3A7G1-Ar15bB0","Field([Sqrt(-3)])");
AGRFLD("3A7G1-Ar21aB0","Field([Sqrt(-3)])");
AGRFLD("3A7G1-Ar21bB0","Field([Sqrt(-3)])");
AGRFLD("3A7G1-Ar6B0","Field([Sqrt(-3)])");
AGRFLD("4bM20G1-Ar20aB0","Field([Sqrt(-1)])");
AGRFLD("4bM20G1-Ar4aB0","Field([Sqrt(-1)])");
AGRFLD("4bM20G1-Ar4aB1","Field([Sqrt(-1)])");
AGRFLD("6A6G1-Ar12B0","Field([EY(15,1)])");
AGRFLD("6L34G1-Ar6aB0","Field([Sqrt(-3)])");
AGRFLD("A5G1-Ar3aB0","Field([Sqrt(5)])");
AGRFLD("A5G1-Ar3bB0","Field([Sqrt(5)])");
AGRFLD("A6G1-Ar8aB0","Field([Sqrt(5)])");
AGRFLD("A6G1-Ar8bB0","Field([Sqrt(5)])");
AGRFLD("G23d2G1-Ar14B0","Field([Sqrt(-3)])");
AGRFLD("L232G1-Ar33aB0","Field([E(31)])");
AGRFLD("L52d2G1-Ar30B0","Field([Sqrt(2)])");
AGRFLD("M11G1-Ar10bB0","Field([Sqrt(-2)])");
AGRFLD("M11G1-Ar10cB0","Field([Sqrt(-2)])");
AGRFLD("S44G1-Ar204aB0","Field([Sqrt(5)])");
AGRFLD("U33G1-Ar21bB0","Field([Sqrt(-1)])");
AGRFLD("U33G1-Ar28aB0","Field([Sqrt(-1)])");
AGRFLD("U33G1-Ar6B0","Field([Sqrt(-1)])");
AGRFLD("U33G1-Ar7bB0","Field([Sqrt(-1)])");
AGRFLD("U42G1-Ar10B0","Field([Sqrt(-3)])");
AGRFLD("U42G1-Ar30bB0","Field([Sqrt(-3)])");
AGRFLD("U42G1-Ar45aB0","Field([Sqrt(-3)])");
AGRFLD("U42G1-Ar5aB0","Field([Sqrt(-3)])");


#############################################################################
##
##  In the following, the table of contents is built up
##  using `AGRGRP' and `AGRTOC'.
##  This part of the file is created by the script `etc/maketoc',
##  do not edit below this line!
##

# 2A10
AGRGRP("alt","A10","2A10");
AGRTOC("matff","2A10G1-f3r16B0.m",2);
AGRTOC("matff","2A10G1-f5r8B0.m",2);
AGRTOC("matff","2A10G1-f5r56B0.m",2);
AGRTOC("matff","2A10G1-f7r16B0.m",2);

# A10
AGRGRP("alt","A10","A10");
AGRTOC("perm","A10G1-p10B0.m",2);
AGRTOC("perm","A10G1-p45B0.m",2);
AGRTOC("perm","A10G1-p120B0.m",2);
AGRTOC("perm","A10G1-p126B0.m",2);
AGRTOC("perm","A10G1-p210B0.m",2);
AGRTOC("perm","A10G1-p945B0.m",2);
AGRTOC("perm","A10G1-p2520B0.m",2);
AGRTOC("matff","A10G1-f2r8B0.m",2);
AGRTOC("matff","A10G1-f2r16B0.m",2);
AGRTOC("matff","A10G1-f2r26B0.m",2);
AGRTOC("matff","A10G1-f2r48B0.m",2);
AGRTOC("matff","A10G1-f2r64aB0.m",2);
AGRTOC("matff","A10G1-f2r64bB0.m",2);
AGRTOC("matff","A10G1-f2r160B0.m",2);
AGRTOC("matff","A10G1-f2r198B0.m",2);
AGRTOC("matff","A10G1-f2r200B0.m",2);
AGRTOC("matff","A10G1-f3r9B0.m",2);
AGRTOC("matff","A10G1-f3r34B0.m",2);
AGRTOC("matff","A10G1-f3r36B0.m",2);
AGRTOC("matff","A10G1-f3r41B0.m",2);
AGRTOC("matff","A10G1-f3r84B0.m",2);
AGRTOC("matff","A10G1-f3r90B0.m",2);
AGRTOC("matff","A10G1-f3r126B0.m",2);
AGRTOC("matff","A10G1-f3r224B0.m",2);
AGRTOC("matff","A10G1-f3r279B0.m",2);
AGRTOC("matff","A10G1-f3r567B0.m",2);
AGRTOC("matff","A10G1-f4r384aB0.m",2);
AGRTOC("matff","A10G1-f5r8B0.m",2);
AGRTOC("matff","A10G1-f5r28B0.m",2);
AGRTOC("matff","A10G1-f5r34B0.m",2);
AGRTOC("matff","A10G1-f5r35aB0.m",2);
AGRTOC("matff","A10G1-f5r35bB0.m",2);
AGRTOC("matff","A10G1-f5r35cB0.m",2);
AGRTOC("matff","A10G1-f5r55B0.m",2);
AGRTOC("matff","A10G1-f5r56B0.m",2);
AGRTOC("matff","A10G1-f5r75B0.m",2);
AGRTOC("matff","A10G1-f5r133aB0.m",2);
AGRTOC("matff","A10G1-f5r133bB0.m",2);
AGRTOC("matff","A10G1-f5r155B0.m",2);
AGRTOC("matff","A10G1-f5r160B0.m",2);
AGRTOC("matff","A10G1-f5r217B0.m",2);
AGRTOC("matff","A10G1-f5r225B0.m",2);
AGRTOC("matff","A10G1-f5r300B0.m",2);
AGRTOC("matff","A10G1-f5r350B0.m",2);
AGRTOC("matff","A10G1-f5r450B0.m",2);
AGRTOC("matff","A10G1-f5r525B0.m",2);
AGRTOC("matff","A10G1-f7r9B0.m",2);
AGRTOC("matff","A10G1-f7r35B0.m",2);
AGRTOC("matff","A10G1-f7r36B0.m",2);
AGRTOC("matff","A10G1-f7r66B0.m",2);
AGRTOC("matff","A10G1-f7r84B0.m",2);
AGRTOC("matff","A10G1-f7r89B0.m",2);
AGRTOC("matff","A10G1-f7r101B0.m",2);
AGRTOC("matff","A10G1-f7r124B0.m",2);
AGRTOC("matff","A10G1-f7r126B0.m",2);
AGRTOC("matff","A10G1-f7r315B0.m",2);

# S10
AGRGRP("alt","A10","S10");
AGRTOC("perm","S10G1-p10B0.m",2);

# 2A11
AGRGRP("alt","A11","2A11");
AGRTOC("perm","2A11G1-p5040B0.m",2);
AGRTOC("matff","2A11G1-f3r16aB0.m",2);
AGRTOC("matff","2A11G1-f3r16bB0.m",2);
AGRTOC("matff","2A11G1-f3r144B0.m",2);
AGRTOC("matff","2A11G1-f5r16aB0.m",2);
AGRTOC("matff","2A11G1-f5r16bB0.m",2);
AGRTOC("matff","2A11G1-f5r56aB0.m",2);
AGRTOC("matff","2A11G1-f5r56bB0.m",2);
AGRTOC("matff","2A11G1-f7r32B0.m",2);
AGRTOC("matff","2A11G1-f7r144B0.m",2);
AGRTOC("matff","2A11G1-f11r16B0.m",2);
AGRTOC("matff","2A11G1-f11r128B0.m",2);
AGRTOC("matff","2A11G1-f49r16aB0.m",2);
AGRTOC("matff","2A11G1-f49r16bB0.m",2);

# 2S11
AGRGRP("alt","A11","2S11");
AGRTOC("matff","2S11G1-f3r32B0.m",2);
AGRTOC("matff","2S11G1-f5r32B0.m",2);
AGRTOC("matff","2S11G1-f7r32B0.m",2);
AGRTOC("matff","2S11G1-f11r16B0.m",2);

# A11
AGRGRP("alt","A11","A11");
AGRTOC("perm","A11G1-p11B0.m",2);
AGRTOC("perm","A11G1-p55B0.m",2);
AGRTOC("perm","A11G1-p165B0.m",2);
AGRTOC("perm","A11G1-p330B0.m",2);
AGRTOC("perm","A11G1-p462B0.m",2);
AGRTOC("perm","A11G1-p2520aB0.m",2);
AGRTOC("perm","A11G1-p2520bB0.m",2);
AGRTOC("matff","A11G1-f2r10B0.m",2);
AGRTOC("matff","A11G1-f2r32B0.m",2);
AGRTOC("matff","A11G1-f2r44B0.m",2);
AGRTOC("matff","A11G1-f2r100B0.m",2);
AGRTOC("matff","A11G1-f2r144B0.m",2);
AGRTOC("matff","A11G1-f2r164B0.m",2);
AGRTOC("matff","A11G1-f2r186B0.m",2);
AGRTOC("matff","A11G1-f2r198B0.m",2);
AGRTOC("matff","A11G1-f2r416B0.m",2);
AGRTOC("matff","A11G1-f2r848B0.m",2);
AGRTOC("matff","A11G1-f3r10B0.m",2);
AGRTOC("matff","A11G1-f3r34B0.m",2);
AGRTOC("matff","A11G1-f3r45B0.m",2);
AGRTOC("matff","A11G1-f3r109B0.m",2);
AGRTOC("matff","A11G1-f3r120B0.m",2);
AGRTOC("matff","A11G1-f3r126aB0.m",2);
AGRTOC("matff","A11G1-f3r126bB0.m",2);
AGRTOC("matff","A11G1-f3r131B0.m",2);
AGRTOC("matff","A11G1-f4r16aB0.m",2);
AGRTOC("matff","A11G1-f4r16bB0.m",2);
AGRTOC("matff","A11G1-f4r584aB0.m",2);
AGRTOC("matff","A11G1-f5r10B0.m",2);
AGRTOC("matff","A11G1-f5r43B0.m",2);
AGRTOC("matff","A11G1-f5r45B0.m",2);
AGRTOC("matff","A11G1-f5r55B0.m",2);
AGRTOC("matff","A11G1-f5r89B0.m",2);
AGRTOC("matff","A11G1-f5r110B0.m",2);
AGRTOC("matff","A11G1-f5r120B0.m",2);
AGRTOC("matff","A11G1-f7r10B0.m",2);
AGRTOC("matff","A11G1-f7r44B0.m",2);
AGRTOC("matff","A11G1-f7r45B0.m",2);
AGRTOC("matff","A11G1-f7r66B0.m",2);
AGRTOC("matff","A11G1-f11r9B0.m",2);
AGRTOC("matff","A11G1-f11r36B0.m",2);
AGRTOC("matff","A11G1-f11r44B0.m",2);
AGRTOC("matff","A11G1-f11r84B0.m",2);

# S11
AGRGRP("alt","A11","S11");
AGRTOC("perm","S11G1-p11B0.m",2);
AGRTOC("matff","S11G1-f2r32B0.m",2);

# 2A12
AGRGRP("alt","A12","2A12");
AGRTOC("matff","2A12G1-f3r16aB0.m",2);
AGRTOC("matff","2A12G1-f3r16bB0.m",2);
AGRTOC("matff","2A12G1-f5r32B0.m",2);
AGRTOC("matff","2A12G1-f7r32B0.m",2);
AGRTOC("matff","2A12G1-f11r32B0.m",2);

# A12
AGRGRP("alt","A12","A12");
AGRTOC("perm","A12G1-p12B0.m",2);
AGRTOC("perm","A12G1-p66B0.m",2);
AGRTOC("perm","A12G1-p220B0.m",2);
AGRTOC("perm","A12G1-p462B0.m",2);
AGRTOC("perm","A12G1-p495B0.m",2);
AGRTOC("perm","A12G1-p792B0.m",2);
AGRTOC("perm","A12G1-p2520B0.m",2);
AGRTOC("matff","A12G1-f2r10B0.m",2);
AGRTOC("matff","A12G1-f2r44B0.m",2);
AGRTOC("matff","A12G1-f2r100B0.m",2);
AGRTOC("matff","A12G1-f3r10B0.m",2);
AGRTOC("matff","A12G1-f3r45B0.m",2);
AGRTOC("matff","A12G1-f3r54B0.m",2);
AGRTOC("matff","A12G1-f4r16aB0.m",2);
AGRTOC("matff","A12G1-f4r16bB0.m",2);
AGRTOC("matff","A12G1-f5r11B0.m",2);
AGRTOC("matff","A12G1-f5r43B0.m",2);
AGRTOC("matff","A12G1-f5r55B0.m",2);
AGRTOC("matff","A12G1-f5r89B0.m",2);

# S12
AGRGRP("alt","A12","S12");
AGRTOC("perm","S12G1-p12B0.m",2);
AGRTOC("perm","S12G1-p66B0.m",2);
AGRTOC("perm","S12G1-p220B0.m",2);
AGRTOC("perm","S12G1-p462B0.m",2);
AGRTOC("perm","S12G1-p495B0.m",2);
AGRTOC("perm","S12G1-p792B0.m",2);
AGRTOC("perm","S12G1-p5040B0.m",2);
AGRTOC("perm","S12G1-p5775B0.m",2);
AGRTOC("perm","S12G1-p10395B0.m",2);
AGRTOC("perm","S12G1-p15400B0.m",2);

# 2A13
AGRGRP("alt","A13","2A13");
AGRTOC("matff","2A13G1-f3r32aB0.m",2);
AGRTOC("matff","2A13G1-f3r32bB0.m",2);
AGRTOC("matff","2A13G1-f5r64B0.m",2);
AGRTOC("matff","2A13G1-f7r64B0.m",2);
AGRTOC("matff","2A13G1-f11r64B0.m",2);
AGRTOC("matff","2A13G1-f13r32B0.m",2);
AGRTOC("matff","2A13G1-f25r32aB0.m",2);
AGRTOC("matff","2A13G1-f25r32bB0.m",2);
AGRTOC("matff","2A13G1-f49r32aB0.m",2);
AGRTOC("matff","2A13G1-f49r32bB0.m",2);
AGRTOC("matff","2A13G1-f121r32aB0.m",2);
AGRTOC("matff","2A13G1-f121r32bB0.m",2);

# A13
AGRGRP("alt","A13","A13");
AGRTOC("perm","A13G1-p13B0.m",2);
AGRTOC("perm","A13G1-p78B0.m",2);
AGRTOC("matff","A13G1-f2r64B0.m",2);
AGRTOC("matff","A13G1-f4r32aB0.m",2);
AGRTOC("matff","A13G1-f4r32bB0.m",2);

# S13
AGRGRP("alt","A13","S13");
AGRTOC("perm","S13G1-p13B0.m",2);
AGRTOC("perm","S13G1-p78B0.m",2);

# 2A14
AGRGRP("alt","A14","2A14");
AGRTOC("matff","2A14G1-f3r64B0.m",2);
AGRTOC("matff","2A14G1-f5r64B0.m",2);
AGRTOC("matff","2A14G1-f7r64B0.m",2);
AGRTOC("matff","2A14G1-f11r64B0.m",2);
AGRTOC("matff","2A14G1-f13r64B0.m",2);
AGRTOC("matff","2A14G1-f49r32aB0.m",2);
AGRTOC("matff","2A14G1-f49r32bB0.m",2);

# 2S14
AGRGRP("alt","A14","2S14");
AGRTOC("matff","2S14G1-f7r64B0.m",2);

# 2S14i
AGRGRP("alt","A14","2S14i");
AGRTOC("matff","2S14iG1-f7r64B0.m",2);

# A14
AGRGRP("alt","A14","A14");
AGRTOC("perm","A14G1-p14B0.m",2);
AGRTOC("perm","A14G1-p91B0.m",2);
AGRTOC("perm","A14G1-p364B0.m",2);
AGRTOC("perm","A14G1-p1001B0.m",2);
AGRTOC("perm","A14G1-p1716B0.m",2);
AGRTOC("perm","A14G1-p2002B0.m",2);
AGRTOC("perm","A14G1-p3003B0.m",2);
AGRTOC("matff","A14G1-f2r12B0.m",2);
AGRTOC("matff","A14G1-f2r64aB0.m",2);
AGRTOC("matff","A14G1-f2r64bB0.m",2);
AGRTOC("matff","A14G1-f3r13B0.m",2);
AGRTOC("matff","A14G1-f3r64B0.m",2);
AGRTOC("matff","A14G1-f3r78B0.m",2);
AGRTOC("matff","A14G1-f5r13B0.m",2);
AGRTOC("matff","A14G1-f5r77B0.m",2);
AGRTOC("matff","A14G1-f5r78B0.m",2);
AGRTOC("matff","A14G1-f7r12B0.m",2);
AGRTOC("matff","A14G1-f7r66B0.m",2);
AGRTOC("matff","A14G1-f7r77B0.m",2);
AGRTOC("matff","A14G1-f11r13B0.m",2);
AGRTOC("matff","A14G1-f11r77B0.m",2);
AGRTOC("matff","A14G1-f11r78B0.m",2);
AGRTOC("matff","A14G1-f13r13B0.m",2);
AGRTOC("matff","A14G1-f13r76B0.m",2);
AGRTOC("matff","A14G1-f13r78B0.m",2);
AGRTOC("matint","A14G1-Zr13B0.g");
AGRTOC("matint","A14G1-Zr77B0.g");
AGRTOC("matint","A14G1-Zr78B0.g");

# S14
AGRGRP("alt","A14","S14");
AGRTOC("perm","S14G1-p14B0.m",2);
AGRTOC("perm","S14G1-p91B0.m",2);
AGRTOC("perm","S14G1-p364B0.m",2);
AGRTOC("perm","S14G1-p1001B0.m",2);
AGRTOC("perm","S14G1-p1716B0.m",2);
AGRTOC("perm","S14G1-p2002B0.m",2);
AGRTOC("perm","S14G1-p3003B0.m",2);
AGRTOC("matff","S14G1-f2r12B0.m",2);
AGRTOC("matff","S14G1-f2r64aB0.m",2);
AGRTOC("matff","S14G1-f2r64bB0.m",2);
AGRTOC("matff","S14G1-f7r12B0.m",2);

# A15
AGRGRP("alt","A15","A15");
AGRTOC("matint","A15G1-Zr14B0.g");
AGRTOC("matint","A15G1-Zr90B0.g");
AGRTOC("matint","A15G1-Zr91B0.g");
AGRTOC("matint","A15G1-Zr350B0.g");
AGRTOC("matint","A15G1-Zr364B0.g");

# S15
AGRGRP("alt","A15","S15");
AGRTOC("matint","S15G1-Zr14B0.g");
AGRTOC("matint","S15G1-Zr90B0.g");
AGRTOC("matint","S15G1-Zr91B0.g");
AGRTOC("matint","S15G1-Zr350B0.g");
AGRTOC("matint","S15G1-Zr364B0.g");

# A16
AGRGRP("alt","A16","A16");
AGRTOC("matint","A16G1-Zr15B0.g");
AGRTOC("matint","A16G1-Zr104B0.g");
AGRTOC("matint","A16G1-Zr105B0.g");
AGRTOC("matint","A16G1-Zr440B0.g");
AGRTOC("matint","A16G1-Zr455B0.g");

# S16
AGRGRP("alt","A16","S16");
AGRTOC("matint","S16G1-Zr15B0.g");
AGRTOC("matint","S16G1-Zr104B0.g");
AGRTOC("matint","S16G1-Zr105B0.g");
AGRTOC("matint","S16G1-Zr440B0.g");
AGRTOC("matint","S16G1-Zr455B0.g");

# A17
AGRGRP("alt","A17","A17");
AGRTOC("matint","A17G1-Zr16B0.g");
AGRTOC("matint","A17G1-Zr119B0.g");
AGRTOC("matint","A17G1-Zr120B0.g");
AGRTOC("matint","A17G1-Zr544B0.g");
AGRTOC("matint","A17G1-Zr560B0.g");

# S17
AGRGRP("alt","A17","S17");
AGRTOC("matint","S17G1-Zr16B0.g");
AGRTOC("matint","S17G1-Zr119B0.g");
AGRTOC("matint","S17G1-Zr120B0.g");
AGRTOC("matint","S17G1-Zr544B0.g");
AGRTOC("matint","S17G1-Zr560B0.g");

# A18
AGRGRP("alt","A18","A18");
AGRTOC("matint","A18G1-Zr17B0.g");
AGRTOC("matint","A18G1-Zr135B0.g");
AGRTOC("matint","A18G1-Zr136B0.g");

# S18
AGRGRP("alt","A18","S18");
AGRTOC("matint","S18G1-Zr17B0.g");
AGRTOC("matint","S18G1-Zr135B0.g");
AGRTOC("matint","S18G1-Zr136B0.g");

# A19
AGRGRP("alt","A19","A19");
AGRTOC("matint","A19G1-Zr18B0.g");
AGRTOC("matint","A19G1-Zr152B0.g");
AGRTOC("matint","A19G1-Zr153B0.g");

# S19
AGRGRP("alt","A19","S19");
AGRTOC("matint","S19G1-Zr18B0.g");
AGRTOC("matint","S19G1-Zr152B0.g");
AGRTOC("matint","S19G1-Zr153B0.g");

# A20
AGRGRP("alt","A20","A20");
AGRTOC("matint","A20G1-Zr19B0.g");
AGRTOC("matint","A20G1-Zr170B0.g");
AGRTOC("matint","A20G1-Zr171B0.g");

# S20
AGRGRP("alt","A20","S20");
AGRTOC("matint","S20G1-Zr19B0.g");
AGRTOC("matint","S20G1-Zr170B0.g");
AGRTOC("matint","S20G1-Zr171B0.g");

# A21
AGRGRP("alt","A21","A21");
AGRTOC("matint","A21G1-Zr20B0.g");
AGRTOC("matint","A21G1-Zr189B0.g");
AGRTOC("matint","A21G1-Zr190B0.g");

# S21
AGRGRP("alt","A21","S21");
AGRTOC("matint","S21G1-Zr20B0.g");
AGRTOC("matint","S21G1-Zr189B0.g");
AGRTOC("matint","S21G1-Zr190B0.g");

# A22
AGRGRP("alt","A22","A22");
AGRTOC("matint","A22G1-Zr21B0.g");
AGRTOC("matint","A22G1-Zr209B0.g");
AGRTOC("matint","A22G1-Zr210B0.g");

# S22
AGRGRP("alt","A22","S22");
AGRTOC("matint","S22G1-Zr21B0.g");
AGRTOC("matint","S22G1-Zr209B0.g");
AGRTOC("matint","S22G1-Zr210B0.g");

# A23
AGRGRP("alt","A23","A23");
AGRTOC("matint","A23G1-Zr22B0.g");
AGRTOC("matint","A23G1-Zr230B0.g");
AGRTOC("matint","A23G1-Zr231B0.g");

# S23
AGRGRP("alt","A23","S23");
AGRTOC("matint","S23G1-Zr22B0.g");
AGRTOC("matint","S23G1-Zr230B0.g");
AGRTOC("matint","S23G1-Zr231B0.g");

# 2A5
AGRGRP("alt","A5","2A5");
AGRTOC("perm","2A5G1-p24B0.m",2);
AGRTOC("perm","2A5G1-p40B0.m",2);
AGRTOC("matff","2A5G1-f2r8B0.m",2);
AGRTOC("matff","2A5G1-f2r9B0.m",2);
AGRTOC("matff","2A5G1-f2r10B0.m",2);
AGRTOC("matff","2A5G1-f3r4B0.m",2);
AGRTOC("matff","2A5G1-f3r6B0.m",2);
AGRTOC("matff","2A5G1-f4r5aB0.m",2);
AGRTOC("matff","2A5G1-f4r5bB0.m",2);
AGRTOC("matff","2A5G1-f5r2B0.m",2);
AGRTOC("matff","2A5G1-f5r4B0.m",2);
AGRTOC("matff","2A5G1-f7r4aB0.m",2);
AGRTOC("matff","2A5G1-f7r4bB0.m",2);
AGRTOC("matff","2A5G1-f7r6B0.m",2);
AGRTOC("matff","2A5G1-f9r2aB0.m",2);
AGRTOC("matff","2A5G1-f9r2bB0.m",2);
AGRTOC("matff","2A5G1-f49r2aB0.m",2);
AGRTOC("matff","2A5G1-f49r2bB0.m",2);
AGRTOC("matint","2A5G1-Zr8bB0.g");
AGRTOC("matint","2A5G1-Zr12B0.g");
AGRTOC("matalg","2A5G1-Ar4aB0.g");
AGRTOC("matalg","2A5G1-Ar4aB2.g");
AGRTOC("matalg","2A5G1-Ar6B0.g");
AGRTOC("matalg","2A5G1-Ar6B1.g");
AGRTOC("quat","2A5G1-Hr1aB0.g");

# 2S5
AGRGRP("alt","A5","2S5");
AGRTOC("perm","2S5G1-p40aB0.m",2);
AGRTOC("perm","2S5G1-p40bB0.m",2);
AGRTOC("perm","2S5G1-p48B0.m",2);
AGRTOC("matff","2S5G1-f3r4B0.m",2);
AGRTOC("matff","2S5G1-f3r6B0.m",2);
AGRTOC("matff","2S5G1-f5r4bB0.m",2);
AGRTOC("matff","2S5G1-f5r8B0.m",2);
AGRTOC("matff","2S5G1-f25r2B0.m",2);
AGRTOC("matff","2S5G1-f25r4aB0.m",2);
AGRTOC("matint","2S5G1-Zr8aB0.g");
AGRTOC("matalg","2S5G1-Ar4bB0.g");

# 2S5i
AGRGRP("alt","A5","2S5i");
AGRTOC("perm","2S5iG1-p48B0.m",2);
AGRTOC("perm","2S5iG1-p80B0.m",2);
AGRTOC("matff","2S5iG1-f3r4B0.m",2);
AGRTOC("matff","2S5iG1-f3r12B0.m",2);
AGRTOC("matff","2S5iG1-f5r4bB0.m",2);
AGRTOC("matff","2S5iG1-f5r8B0.m",2);
AGRTOC("matff","2S5iG1-f9r6B0.m",2);
AGRTOC("matff","2S5iG1-f25r2B0.m",2);
AGRTOC("matff","2S5iG1-f25r4aB0.m",2);
AGRTOC("matalg","2S5iG1-Ar4aB1.g");
AGRTOC("matalg","2S5iG1-Ar4aB2.g");

# A5
AGRGRP("alt","A5","A5");
AGRTOC("perm","A5G1-p5B0.m",2);
AGRTOC("perm","A5G1-p6B0.m",2);
AGRTOC("perm","A5G1-p10B0.m",2);
AGRTOC("matff","A5G1-f2r4aB0.m",2);
AGRTOC("matff","A5G1-f2r4bB0.m",2);
AGRTOC("matff","A5G1-f3r4B0.m",2);
AGRTOC("matff","A5G1-f3r6B0.m",2);
AGRTOC("matff","A5G1-f4r2aB0.m",2);
AGRTOC("matff","A5G1-f4r2bB0.m",2);
AGRTOC("matff","A5G1-f5r3B0.m",2);
AGRTOC("matff","A5G1-f5r5B0.m",2);
AGRTOC("matff","A5G1-f9r3aB0.m",2);
AGRTOC("matff","A5G1-f9r3bB0.m",2);
AGRTOC("matint","A5G1-Zr4B0.g");
AGRTOC("matint","A5G1-Zr5B0.g");
AGRTOC("matint","A5G1-Zr6B0.g");
AGRTOC("matalg","A5G1-Ar3aB0.g");
AGRTOC("matalg","A5G1-Ar3bB0.g");
AGRTOC("maxes","A5G1-max1W1");
AGRTOC("maxes","A5G1-max2W1");
AGRTOC("maxes","A5G1-max3W1");

# S5
AGRGRP("alt","A5","S5");
AGRTOC("perm","S5G1-p5B0.m",2);
AGRTOC("perm","S5G1-p6B0.m",2);
AGRTOC("perm","S5G1-p10B0.m",2);
AGRTOC("matff","S5G1-f2r4aB0.m",2);
AGRTOC("matff","S5G1-f2r4bB0.m",2);
AGRTOC("matff","S5G1-f3r4B0.m",2);
AGRTOC("matff","S5G1-f3r6B0.m",2);
AGRTOC("matff","S5G1-f5r3B0.m",2);
AGRTOC("matff","S5G1-f5r5B0.m",2);
AGRTOC("maxes","S5G1-max1W1");
AGRTOC("maxes","S5G1-max2W1");
AGRTOC("maxes","S5G1-max3W1");
AGRTOC("maxes","S5G1-max4W1");

# 2A6
AGRGRP("alt","A6","2A6");
AGRTOC("perm","2A6G1-p80B0.m",2);
AGRTOC("perm","2A6G1-p144B0.m",2);
AGRTOC("perm","2A6G1-p240aB0.m",2);
AGRTOC("perm","2A6G1-p240bB0.m",2);
AGRTOC("matff","2A6G1-f3r4B0.m",2);
AGRTOC("matff","2A6G1-f3r12B0.m",2);
AGRTOC("matff","2A6G1-f5r4aB0.m",2);
AGRTOC("matff","2A6G1-f5r4bB0.m",2);
AGRTOC("matff","2A6G1-f5r20B0.m",2);
AGRTOC("matff","2A6G1-f9r2aB0.m",2);
AGRTOC("matff","2A6G1-f9r2bB0.m",2);
AGRTOC("matff","2A6G1-f9r6aB0.m",2);
AGRTOC("matff","2A6G1-f9r6bB0.m",2);
AGRTOC("matff","2A6G1-f25r10aB0.m",2);
AGRTOC("matff","2A6G1-f25r10bB0.m",2);
AGRTOC("matalg","2A6G1-Ar4B0.g");
AGRTOC("quat","2A6G1-Hr2aB0.g");

# 2S6
AGRGRP("alt","A6","2S6");
AGRTOC("perm","2S6G1-p80B0.m",2);
AGRTOC("perm","2S6G1-p240aB0.m",2);
AGRTOC("perm","2S6G1-p288B0.m",2);

# 3A6
AGRGRP("alt","A6","3A6");
AGRTOC("perm","3A6G1-p18aB0.m",2);
AGRTOC("perm","3A6G1-p18bB0.m",2);
AGRTOC("perm","3A6G1-p45aB0.m",2);
AGRTOC("perm","3A6G1-p45bB0.m",2);
AGRTOC("matff","3A6G1-f2r6aB0.m",2);
AGRTOC("matff","3A6G1-f2r6bB0.m",2);
AGRTOC("matff","3A6G1-f2r18B0.m",2);
AGRTOC("matff","3A6G1-f4r3aB0.m",2);
AGRTOC("matff","3A6G1-f4r3bB0.m",2);
AGRTOC("matff","3A6G1-f4r9aB0.m",2);
AGRTOC("matff","3A6G1-f5r6bB0.m",2);
AGRTOC("matff","3A6G1-f5r12B0.m",2);
AGRTOC("matff","3A6G1-f5r30B0.m",2);
AGRTOC("matff","3A6G1-f25r3aB0.m",2);
AGRTOC("matff","3A6G1-f25r6aB0.m",2);
AGRTOC("matff","3A6G1-f25r15aB0.m",2);

# 3S6
AGRGRP("alt","A6","3S6");
AGRTOC("perm","3S6G1-p18aB0.m",2);
AGRTOC("perm","3S6G1-p18bB0.m",2);
AGRTOC("perm","3S6G1-p45aB0.m",2);
AGRTOC("perm","3S6G1-p45bB0.m",2);

# 6A6
AGRGRP("alt","A6","6A6");
AGRTOC("perm","6A6G1-p432B0.m",2);
AGRTOC("perm","6A6G1-p720aB0.m",2);
AGRTOC("matff","6A6G1-f5r12aB0.m",2);
AGRTOC("matff","6A6G1-f5r12bB0.m",2);
AGRTOC("matff","6A6G1-f9r6aB0.m",2);
AGRTOC("matff","6A6G1-f25r6aB0.m",2);
AGRTOC("matff","6A6G1-f25r6bB0.m",2);
AGRTOC("matalg","6A6G1-Ar12B0.g");

# 6S6
AGRGRP("alt","A6","6S6");
AGRTOC("perm","6S6G1-p720aB0.m",2);

# A6
AGRGRP("alt","A6","A6");
AGRTOC("perm","A6G1-p6aB0.m",2);
AGRTOC("perm","A6G1-p6bB0.m",2);
AGRTOC("perm","A6G1-p10B0.m",2);
AGRTOC("perm","A6G1-p15aB0.m",2);
AGRTOC("perm","A6G1-p15bB0.m",2);
AGRTOC("matff","A6G1-f2r4aB0.m",2);
AGRTOC("matff","A6G1-f2r4bB0.m",2);
AGRTOC("matff","A6G1-f2r16B0.m",2);
AGRTOC("matff","A6G1-f3r4B0.m",2);
AGRTOC("matff","A6G1-f3r6B0.m",2);
AGRTOC("matff","A6G1-f3r9B0.m",2);
AGRTOC("matff","A6G1-f4r8aB0.m",2);
AGRTOC("matff","A6G1-f4r8bB0.m",2);
AGRTOC("matff","A6G1-f5r5aB0.m",2);
AGRTOC("matff","A6G1-f5r5bB0.m",2);
AGRTOC("matff","A6G1-f5r8B0.m",2);
AGRTOC("matff","A6G1-f5r10B0.m",2);
AGRTOC("matff","A6G1-f9r3aB0.m",2);
AGRTOC("matff","A6G1-f9r3bB0.m",2);
AGRTOC("matint","A6G1-Zr5aB0.g");
AGRTOC("matint","A6G1-Zr5bB0.g");
AGRTOC("matint","A6G1-Zr9B0.g");
AGRTOC("matint","A6G1-Zr10B0.g");
AGRTOC("matint","A6G1-Zr16B0.g");
AGRTOC("matalg","A6G1-Ar8aB0.g");
AGRTOC("matalg","A6G1-Ar8bB0.g");
AGRTOC("maxes","A6G1-max1W1");
AGRTOC("maxes","A6G1-max2W1");
AGRTOC("maxes","A6G1-max3W1");
AGRTOC("maxes","A6G1-max4W1");
AGRTOC("maxes","A6G1-max5W1");

# A6V4
AGRGRP("alt","A6","A6V4");
AGRTOC("perm","A6V4G1-p10B0.m",2);

# M10
AGRGRP("alt","A6","M10");
AGRTOC("perm","M10G1-p10B0.m",2);

# PGL29
AGRGRP("alt","A6","PGL29");
AGRTOC("perm","PGL29G1-p10B0.m",2);

# S6
AGRGRP("alt","A6","S6");
AGRTOC("perm","S6G1-p6aB0.m",2);
AGRTOC("perm","S6G1-p6bB0.m",2);
AGRTOC("perm","S6G1-p10B0.m",2);
AGRTOC("perm","S6G1-p15aB0.m",2);
AGRTOC("perm","S6G1-p15bB0.m",2);
AGRTOC("maxes","S6G1-max1W1");
AGRTOC("maxes","S6G1-max2W1");
AGRTOC("maxes","S6G1-max3W1");
AGRTOC("maxes","S6G1-max4W1");
AGRTOC("maxes","S6G1-max5W1");
AGRTOC("maxes","S6G1-max6W1");

# 2A7
AGRGRP("alt","A7","2A7");
AGRTOC("matalg","2A7G1-Ar4aB0.g");
AGRTOC("matalg","2A7G1-Ar4bB0.g");
AGRTOC("matalg","2A7G1-Ar20aB0.g");

# 3A7
AGRGRP("alt","A7","3A7");
AGRTOC("matalg","3A7G1-Ar6B0.g");
AGRTOC("matalg","3A7G1-Ar15aB0.g");
AGRTOC("matalg","3A7G1-Ar15bB0.g");
AGRTOC("matalg","3A7G1-Ar21aB0.g");
AGRTOC("matalg","3A7G1-Ar21bB0.g");

# A7
AGRGRP("alt","A7","A7");
AGRTOC("perm","A7G1-p7B0.m",2);
AGRTOC("matff","A7G1-f2r4aB0.m",2);
AGRTOC("matff","A7G1-f2r4bB0.m",2);
AGRTOC("matff","A7G1-f2r6B0.m",2);
AGRTOC("matff","A7G1-f2r14B0.m",2);
AGRTOC("matff","A7G1-f2r20B0.m",2);
AGRTOC("matff","A7G1-f3r6B0.m",2);
AGRTOC("matff","A7G1-f3r13B0.m",2);
AGRTOC("matff","A7G1-f3r15B0.m",2);
AGRTOC("matff","A7G1-f3r20B0.m",2);
AGRTOC("matff","A7G1-f5r6B0.m",2);
AGRTOC("matff","A7G1-f5r8B0.m",2);
AGRTOC("matff","A7G1-f5r13B0.m",2);
AGRTOC("matff","A7G1-f5r15B0.m",2);
AGRTOC("matff","A7G1-f5r20B0.m",2);
AGRTOC("matff","A7G1-f5r35B0.m",2);
AGRTOC("matff","A7G1-f7r5B0.m",2);
AGRTOC("matff","A7G1-f7r10B0.m",2);
AGRTOC("matff","A7G1-f7r14aB0.m",2);
AGRTOC("matff","A7G1-f7r14bB0.m",2);
AGRTOC("matff","A7G1-f7r21B0.m",2);
AGRTOC("matff","A7G1-f7r35B0.m",2);
AGRTOC("matff","A7G1-f9r10aB0.m",2);
AGRTOC("matff","A7G1-f9r10bB0.m",2);
AGRTOC("matff","A7G1-f25r10aB0.m",2);
AGRTOC("matff","A7G1-f25r10bB0.m",2);
AGRTOC("maxes","A7G1-max1W1");
AGRTOC("maxes","A7G1-max2W1");

# S7
AGRGRP("alt","A7","S7");
AGRTOC("maxes","S7G1-max1W1");
AGRTOC("maxes","S7G1-max2W1");
AGRTOC("maxes","S7G1-max3W1");
AGRTOC("maxes","S7G1-max4W1");
AGRTOC("maxes","S7G1-max5W1");

# 2A8
AGRGRP("alt","A8","2A8");
AGRTOC("perm","2A8G1-p240aB0.m",2);
AGRTOC("perm","2A8G1-p240bB0.m",2);
AGRTOC("perm","2A8G1-p240cB0.m",2);
AGRTOC("matff","2A8G1-f3r8B0.m",2);
AGRTOC("matff","2A8G1-f3r48aB0.m",2);
AGRTOC("matff","2A8G1-f3r48bB0.m",2);
AGRTOC("matff","2A8G1-f5r8B0.m",2);
AGRTOC("matff","2A8G1-f5r48aB0.m",2);
AGRTOC("matff","2A8G1-f5r48bB0.m",2);
AGRTOC("matff","2A8G1-f5r64B0.m",2);
AGRTOC("matff","2A8G1-f7r8B0.m",2);
AGRTOC("matff","2A8G1-f7r16B0.m",2);
AGRTOC("matff","2A8G1-f7r48B0.m",2);
AGRTOC("matff","2A8G1-f7r56aB0.m",2);
AGRTOC("matff","2A8G1-f7r56bB0.m",2);
AGRTOC("matff","2A8G1-f7r112B0.m",2);
AGRTOC("matff","2A8G1-f9r24aB0.m",2);
AGRTOC("matff","2A8G1-f9r24bB0.m",2);
AGRTOC("matff","2A8G1-f25r24aB0.m",2);
AGRTOC("matff","2A8G1-f25r24bB0.m",2);
AGRTOC("matff","2A8G1-f25r32aB0.m",2);
AGRTOC("matff","2A8G1-f25r32bB0.m",2);
AGRTOC("matff","2A8G1-f49r56cB0.m",2);
AGRTOC("matff","2A8G1-f49r56dB0.m",2);
AGRTOC("matint","2A8G1-Zr8B0.g");
AGRTOC("matmodn","2A8G1-Z4r4aB0.g");

# A8
AGRGRP("alt","A8","A8");
AGRTOC("perm","A8G1-p8B0.m",2);
AGRTOC("perm","A8G1-p15aB0.m",2);
AGRTOC("perm","A8G1-p15bB0.m",2);
AGRTOC("matff","A8G1-f2r4aB0.m",2);
AGRTOC("matff","A8G1-f2r4bB0.m",2);
AGRTOC("matff","A8G1-f2r6B0.m",2);
AGRTOC("matff","A8G1-f2r14B0.m",2);
AGRTOC("matff","A8G1-f2r20aB0.m",2);
AGRTOC("matff","A8G1-f2r20bB0.m",2);
AGRTOC("matff","A8G1-f2r64B0.m",2);

# S8
AGRGRP("alt","A8","S8");
AGRTOC("perm","S8G1-p8B0.m",2);
AGRTOC("matff","S8G1-f2r6B0.m",2);
AGRTOC("matff","S8G1-f2r8B0.m",2);
AGRTOC("matff","S8G1-f2r14B0.m",2);
AGRTOC("matff","S8G1-f2r40B0.m",2);
AGRTOC("matff","S8G1-f2r64B0.m",2);

# 2A9
AGRGRP("alt","A9","2A9");
AGRTOC("matff","2A9G1-f3r8B0.m",2);
AGRTOC("matff","2A9G1-f3r48B0.m",2);
AGRTOC("matff","2A9G1-f3r104B0.m",2);
AGRTOC("matff","2A9G1-f5r8aB0.m",2);
AGRTOC("matff","2A9G1-f5r8bB0.m",2);
AGRTOC("matff","2A9G1-f7r8aB0.m",2);
AGRTOC("matff","2A9G1-f7r8bB0.m",2);

# A9
AGRGRP("alt","A9","A9");
AGRTOC("perm","A9G1-p9B0.m",2);
AGRTOC("perm","A9G1-p36B0.m",2);
AGRTOC("perm","A9G1-p84B0.m",2);
AGRTOC("perm","A9G1-p120aB0.m",2);
AGRTOC("perm","A9G1-p120bB0.m",2);
AGRTOC("perm","A9G1-p126B0.m",2);
AGRTOC("perm","A9G1-p280B0.m",2);
AGRTOC("perm","A9G1-p840B0.m",2);
AGRTOC("matff","A9G1-f2r8aB0.m",2);
AGRTOC("matff","A9G1-f2r8bB0.m",2);
AGRTOC("matff","A9G1-f2r8cB0.m",2);
AGRTOC("matff","A9G1-f2r20aB0.m",2);
AGRTOC("matff","A9G1-f2r20bB0.m",2);
AGRTOC("matff","A9G1-f2r26B0.m",2);
AGRTOC("matff","A9G1-f2r48B0.m",2);
AGRTOC("matff","A9G1-f2r78B0.m",2);
AGRTOC("matff","A9G1-f2r160B0.m",2);
AGRTOC("matff","A9G1-f3r7B0.m",2);
AGRTOC("matff","A9G1-f3r21B0.m",2);
AGRTOC("matff","A9G1-f3r27B0.m",2);
AGRTOC("matff","A9G1-f3r35B0.m",2);
AGRTOC("matff","A9G1-f3r41B0.m",2);
AGRTOC("matff","A9G1-f3r162B0.m",2);
AGRTOC("matff","A9G1-f3r189B0.m",2);
AGRTOC("matff","A9G1-f5r8B0.m",2);
AGRTOC("matff","A9G1-f5r21B0.m",2);
AGRTOC("matff","A9G1-f5r27B0.m",2);
AGRTOC("matff","A9G1-f5r28B0.m",2);
AGRTOC("matff","A9G1-f5r34B0.m",2);
AGRTOC("matff","A9G1-f5r35aB0.m",2);
AGRTOC("matff","A9G1-f5r35bB0.m",2);
AGRTOC("matff","A9G1-f5r56B0.m",2);
AGRTOC("matff","A9G1-f5r83B0.m",2);
AGRTOC("matff","A9G1-f5r105B0.m",2);
AGRTOC("matff","A9G1-f5r120B0.m",2);
AGRTOC("matff","A9G1-f5r133B0.m",2);
AGRTOC("matff","A9G1-f5r134B0.m",2);
AGRTOC("matff","A9G1-f7r8B0.m",2);
AGRTOC("matff","A9G1-f7r19B0.m",2);
AGRTOC("matff","A9G1-f7r28B0.m",2);
AGRTOC("matff","A9G1-f7r35aB0.m",2);
AGRTOC("matff","A9G1-f7r35bB0.m",2);
AGRTOC("matff","A9G1-f7r42B0.m",2);
AGRTOC("matff","A9G1-f7r47B0.m",2);
AGRTOC("matff","A9G1-f7r56B0.m",2);
AGRTOC("matff","A9G1-f7r84B0.m",2);
AGRTOC("matff","A9G1-f7r101B0.m",2);
AGRTOC("matff","A9G1-f7r105B0.m",2);
AGRTOC("matff","A9G1-f7r115B0.m",2);
AGRTOC("matff","A9G1-f7r168B0.m",2);
AGRTOC("matff","A9G1-f7r189B0.m",2);
AGRTOC("matff","A9G1-f49r21aB0.m",2);
AGRTOC("matff","A9G1-f49r21bB0.m",2);

# S9
AGRGRP("alt","A9","S9");
AGRTOC("perm","S9G1-p9B0.m",2);

# O10m2
AGRGRP("clas","O10m2","O10m2");
AGRTOC("perm","O10m2G1-p495B0.m",2);
AGRTOC("perm","O10m2G1-p528B0.m",2);
AGRTOC("matff","O10m2G1-f2r10B0.m",2);
AGRTOC("matff","O10m2G1-f2r44B0.m",2);
AGRTOC("matff","O10m2G1-f2r100B0.m",2);
AGRTOC("matff","O10m2G1-f2r164B0.m",2);
AGRTOC("matff","O10m2G1-f2r670B0.m",2);
AGRTOC("matff","O10m2G1-f4r16aB0.m",2);
AGRTOC("matff","O10m2G1-f4r16bB0.m",2);

# O10m2d2
AGRGRP("clas","O10m2","O10m2d2");
AGRTOC("perm","O10m2d2G1-p495B0.m",2);
AGRTOC("perm","O10m2d2G1-p528B0.m",2);
AGRTOC("perm","O10m2d2G1-p104448B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r10B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r32B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r44B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r100B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r164B0.m",2);
AGRTOC("matff","O10m2d2G1-f2r670B0.m",2);

# O10p2
AGRGRP("clas","O10p2","O10p2");
AGRTOC("perm","O10p2G1-p496B0.m",2);
AGRTOC("perm","O10p2G1-p527B0.m",2);
AGRTOC("perm","O10p2G1-p2295aB0.m",2);
AGRTOC("perm","O10p2G1-p2295bB0.m",2);
AGRTOC("perm","O10p2G1-p19840B0.m",2);
AGRTOC("perm","O10p2G1-p23715B0.m",2);
AGRTOC("perm","O10p2G1-p39680B0.m",2);
AGRTOC("matff","O10p2G1-f2r10B0.m",2);
AGRTOC("matff","O10p2G1-f2r16aB0.m",2);
AGRTOC("matff","O10p2G1-f2r16bB0.m",2);
AGRTOC("matff","O10p2G1-f2r44B0.m",2);
AGRTOC("matff","O10p2G1-f2r100B0.m",2);
AGRTOC("matff","O10p2G1-f2r144aB0.m",2);
AGRTOC("matff","O10p2G1-f2r144bB0.m",2);
AGRTOC("matff","O10p2G1-f2r164B0.m",2);
AGRTOC("matff","O10p2G1-f2r320B0.m",2);
AGRTOC("matff","O10p2G1-f2r416aB0.m",2);
AGRTOC("matff","O10p2G1-f2r416bB0.m",2);
AGRTOC("matff","O10p2G1-f2r670B0.m",2);
AGRTOC("matff","O10p2G1-f3r155B0.m",2);
AGRTOC("matff","O10p2G1-f3r185B0.m",2);
AGRTOC("matff","O10p2G1-f3r868B0.m",2);
AGRTOC("maxes","O10p2G1-max1W1");
AGRTOC("maxes","O10p2G1-max2W1");
AGRTOC("maxes","O10p2G1-max3W1");
AGRTOC("maxes","O10p2G1-max4W1");
AGRTOC("out","O10p2G1-aW1");

# O10p2d2
AGRGRP("clas","O10p2","O10p2d2");
AGRTOC("perm","O10p2d2G1-p496B0.m",2);
AGRTOC("perm","O10p2d2G1-p527B0.m",2);
AGRTOC("perm","O10p2d2G1-p4590B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r10B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r32B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r44B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r100B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r164B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r288B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r320B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r670B0.m",2);
AGRTOC("matff","O10p2d2G1-f2r832B0.m",2);

# 2O73
AGRGRP("clas","O73","2O73");
AGRTOC("perm","2O73G1-p2160B0.m",2);
AGRTOC("matff","2O73G1-f3r8B0.m",2);

# 2O73d2
AGRGRP("clas","O73","2O73d2");
AGRTOC("matff","2O73d2G1-f3r8B0.m",2);

# 3O73
AGRGRP("clas","O73","3O73");
AGRTOC("matff","3O73G1-f4r27aB0.m",2);

# 3O73d2
AGRGRP("clas","O73","3O73d2");
AGRTOC("matff","3O73d2G1-f2r54B0.m",2);

# O73
AGRGRP("clas","O73","O73");
AGRTOC("perm","O73G1-p351B0.m",2);
AGRTOC("perm","O73G1-p364B0.m",2);
AGRTOC("perm","O73G1-p378B0.m",2);
AGRTOC("perm","O73G1-p1080aB0.m",2);
AGRTOC("perm","O73G1-p1080bB0.m",2);
AGRTOC("perm","O73G1-p1120B0.m",2);
AGRTOC("perm","O73G1-p3640B0.m",2);
AGRTOC("matff","O73G1-f2r78B0.m",2);
AGRTOC("matff","O73G1-f2r90B0.m",2);
AGRTOC("matff","O73G1-f2r104B0.m",2);
AGRTOC("matff","O73G1-f2r260aB0.m",2);
AGRTOC("matff","O73G1-f2r260bB0.m",2);
AGRTOC("matff","O73G1-f3r7B0.m",2);
AGRTOC("matff","O73G1-f3r21B0.m",2);
AGRTOC("matff","O73G1-f3r27B0.m",2);
AGRTOC("matff","O73G1-f3r35B0.m",2);
AGRTOC("matff","O73G1-f3r63B0.m",2);
AGRTOC("matff","O73G1-f3r189aB0.m",2);
AGRTOC("matff","O73G1-f3r309B0.m",2);
AGRTOC("matff","O73G1-f5r78B0.m",2);
AGRTOC("matff","O73G1-f7r78B0.m",2);
AGRTOC("matff","O73G1-f13r78B0.m",2);

# O73d2
AGRGRP("clas","O73","O73d2");
AGRTOC("perm","O73d2G1-p351B0.m",2);
AGRTOC("matff","O73d2G1-f2r78B0.m",2);
AGRTOC("matff","O73d2G1-f3r7B0.m",2);

# O8m2
AGRGRP("clas","O8m2","O8m2");
AGRTOC("perm","O8m2G1-p119B0.m",2);
AGRTOC("perm","O8m2G1-p136B0.m",2);
AGRTOC("perm","O8m2G1-p765B0.m",2);
AGRTOC("perm","O8m2G1-p1071B0.m",2);
AGRTOC("perm","O8m2G1-p1632B0.m",2);
AGRTOC("perm","O8m2G1-p24192B0.m",2);
AGRTOC("perm","O8m2G1-p45696B0.m",2);
AGRTOC("matff","O8m2G1-f2r8B0.m",2);
AGRTOC("matff","O8m2G1-f2r26B0.m",2);
AGRTOC("matff","O8m2G1-f2r48B0.m",2);
AGRTOC("matff","O8m2G1-f3r34B0.m",2);
AGRTOC("matff","O8m2G1-f3r50B0.m",2);
AGRTOC("matff","O8m2G1-f4r8bB0.m",2);
AGRTOC("matff","O8m2G1-f4r8cB0.m",2);
AGRTOC("matff","O8m2G1-f4r48bB0.m",2);
AGRTOC("matff","O8m2G1-f4r48cB0.m",2);
AGRTOC("matff","O8m2G1-f5r34B0.m",2);
AGRTOC("matff","O8m2G1-f5r51B0.m",2);
AGRTOC("matff","O8m2G1-f5r84B0.m",2);
AGRTOC("matff","O8m2G1-f7r33B0.m",2);
AGRTOC("matff","O8m2G1-f7r51B0.m",2);
AGRTOC("matff","O8m2G1-f7r84B0.m",2);
AGRTOC("matff","O8m2G1-f17r34B0.m",2);
AGRTOC("matff","O8m2G1-f17r51B0.m",2);
AGRTOC("matff","O8m2G1-f17r83B0.m",2);
AGRTOC("matint","O8m2G1-Zr34B0.g");
AGRTOC("matint","O8m2G1-Zr51B0.g");
AGRTOC("matint","O8m2G1-Zr84B0.g");
AGRTOC("matint","O8m2G1-Zr204bB0.g");
AGRTOC("cyclic","O8m2G1-cycW1");
AGRTOC("cyc2ccl","O8m2G1cycW1-cclsW1");

# O8m2d2
AGRGRP("clas","O8m2","O8m2d2");
AGRTOC("perm","O8m2d2G1-p119B0.m",2);
AGRTOC("matff","O8m2d2G1-f2r8B0.m",2);
AGRTOC("matff","O8m2d2G1-f3r34B0.m",2);
AGRTOC("matff","O8m2d2G1-f3r50B0.m",2);
AGRTOC("cyclic","O8m2d2G1-cycW1");
AGRTOC("cyc2ccl","O8m2d2G1cycW1-cclsW1");

# 2O8m3
AGRGRP("clas","O8m3","2O8m3");
AGRTOC("matff","2O8m3G1-f3r16B0.m",2);
AGRTOC("matff","2O8m3G1-f9r8aB0.m",2);
AGRTOC("matff","2O8m3G1-f9r8bB0.m",2);

# 2O8m3d2a
AGRGRP("clas","O8m3","2O8m3d2a");
AGRTOC("matff","2O8m3d2aG1-f3r16B0.m",2);

# O8m3
AGRGRP("clas","O8m3","O8m3");
AGRTOC("perm","O8m3G1-p1066B0.m",2);
AGRTOC("matff","O8m3G1-f3r8B0.m",2);

# O8m3D8
AGRGRP("clas","O8m3","O8m3D8");
AGRTOC("matff","O8m3D8G1-f3r8B0.m",2);

# O8m3V4
AGRGRP("clas","O8m3","O8m3V4");
AGRTOC("perm","O8m3V4G1-p1066B0.m",2);
AGRTOC("matff","O8m3V4G1-f3r16B0.m",2);

# O8m3d2a
AGRGRP("clas","O8m3","O8m3d2a");
AGRTOC("perm","O8m3d2aG1-p1066B0.m",2);
AGRTOC("matff","O8m3d2aG1-f3r8B0.m",2);

# O8m3d2c
AGRGRP("clas","O8m3","O8m3d2c");
AGRTOC("perm","O8m3d2cG1-p1066B0.m",2);
AGRTOC("perm","O8m3d2cG2-p1066B0.m",2);
AGRTOC("matff","O8m3d2cG1-f3r8aB0.m",2);

# O8p2
AGRGRP("clas","O8p2","O8p2");
AGRTOC("matint","O8p2G1-Zr28B0.g");
AGRTOC("matint","O8p2G1-Zr35aB0.g");
AGRTOC("matint","O8p2G1-Zr50B0.g");
AGRTOC("matint","O8p2G1-Zr84aB0.g");
AGRTOC("matint","O8p2G1-Zr175B0.g");
AGRTOC("matint","O8p2G1-Zr210B0.g");

# 2O8p3
AGRGRP("clas","O8p3","2O8p3");
AGRTOC("perm","2O8p3G1-p2160aB0.m",2);
AGRTOC("perm","2O8p3G1-p2160bB0.m",2);
AGRTOC("perm","2O8p3G1-p2240B0.m",2);
AGRTOC("matff","2O8p3G1-f3r8B0.m",2);
AGRTOC("matff","2O8p3G1-f3r56B0.m",2);
AGRTOC("matff","2O8p3G1-f3r104B0.m",2);
AGRTOC("matff","2O8p3G1-f3r224aB0.m",2);
AGRTOC("matff","2O8p3G1-f3r224bB0.m",2);
AGRTOC("matff","2O8p3G1-f3r384B0.m",2);

# 4O8p3S4
AGRGRP("clas","O8p3","4O8p3S4");
AGRTOC("matff","4O8p3S4G2-f3r24B0.m",2);

# O8p3
AGRGRP("clas","O8p3","O8p3");
AGRTOC("perm","O8p3G1-p1080aB0.m",2);
AGRTOC("perm","O8p3G1-p1080bB0.m",2);
AGRTOC("perm","O8p3G1-p1080cB0.m",2);
AGRTOC("perm","O8p3G1-p1080dB0.m",2);
AGRTOC("perm","O8p3G1-p1080eB0.m",2);
AGRTOC("perm","O8p3G1-p1080fB0.m",2);
AGRTOC("perm","O8p3G1-p1120aB0.m",2);
AGRTOC("perm","O8p3G1-p1120bB0.m",2);
AGRTOC("perm","O8p3G1-p1120cB0.m",2);
AGRTOC("perm","O8p3G1-p28431aB0.m",2);
AGRTOC("perm","O8p3G1-p28431bB0.m",2);
AGRTOC("perm","O8p3G1-p28431cB0.m",2);
AGRTOC("perm","O8p3G1-p28431dB0.m",2);
AGRTOC("perm","O8p3G1-p36400B0.m",2);
AGRTOC("matff","O8p3G1-f2r298B0.m",2);
AGRTOC("matff","O8p3G1-f3r28B0.m",2);
AGRTOC("matff","O8p3G1-f3r35aB0.m",2);
AGRTOC("matff","O8p3G1-f3r35bB0.m",2);
AGRTOC("matff","O8p3G1-f3r35cB0.m",2);
AGRTOC("matff","O8p3G1-f3r195B0.m",2);
AGRTOC("matff","O8p3G1-f3r322B0.m",2);
AGRTOC("matff","O8p3G1-f3r518aB0.m",2);
AGRTOC("matff","O8p3G1-f3r518bB0.m",2);
AGRTOC("matff","O8p3G1-f3r518cB0.m",2);
AGRTOC("matff","O8p3G1-f3r567aB0.m",2);
AGRTOC("matff","O8p3G1-f3r567bB0.m",2);
AGRTOC("matff","O8p3G1-f3r567cB0.m",2);
AGRTOC("matff","O8p3G1-f5r300B0.m",2);
AGRTOC("matff","O8p3G1-f7r299B0.m",2);
AGRTOC("matff","O8p3G1-f13r300B0.m",2);
AGRTOC("maxes","O8p3G1-max1W1");
AGRTOC("maxes","O8p3G1-max2W1");
AGRTOC("maxes","O8p3G1-max7W1");
AGRTOC("maxes","O8p3G1-max10W1");
AGRTOC("maxes","O8p3G1-max11W1");
AGRTOC("maxes","O8p3G1-max12W1");
AGRTOC("maxes","O8p3G1-max13W1");

# O8p3S4
AGRGRP("clas","O8p3","O8p3S4");
AGRTOC("perm","O8p3S4G2-p3360B0.m",2);
AGRTOC("perm","O8p3S4G2-p6480B0.m",2);

# 2O93
AGRGRP("clas","O93","2O93");
AGRTOC("matff","2O93G1-f3r16B0.m",2);

# 2O93d2
AGRGRP("clas","O93","2O93d2");
AGRTOC("matff","2O93d2G1-f3r16B0.m",2);

# O93
AGRGRP("clas","O93","O93");
AGRTOC("matff","O93G1-f3r9B0.m",2);

# O93d2
AGRGRP("clas","O93","O93d2");
AGRTOC("matff","O93d2G1-f3r9B0.m",2);

# S102
AGRGRP("clas","S102","S102");
AGRTOC("perm","S102G1-p496B0.m",2);
AGRTOC("perm","S102G1-p528B0.m",2);
AGRTOC("perm","S102G1-p992B0.m",2);
AGRTOC("perm","S102G1-p1023B0.m",2);
AGRTOC("perm","S102G1-p1056B0.m",2);
AGRTOC("matff","S102G1-f2r10B0.m",2);
AGRTOC("matff","S102G1-f2r32B0.m",2);
AGRTOC("matff","S102G1-f2r44B0.m",2);
AGRTOC("matff","S102G1-f2r100B0.m",2);
AGRTOC("matff","S102G1-f2r164B0.m",2);
AGRTOC("matff","S102G1-f3r155B0.m",2);
AGRTOC("matff","S102G1-f5r155B0.m",2);
AGRTOC("matff","S102G1-f7r155B0.m",2);
AGRTOC("matff","S102G1-f11r155B0.m",2);
AGRTOC("matff","S102G1-f17r155B0.m",2);
AGRTOC("matff","S102G1-f31r155B0.m",2);

# S44
AGRGRP("clas","S44","S44");
AGRTOC("perm","S44G1-p85aB0.m",2);
AGRTOC("perm","S44G1-p120bB0.m",2);
AGRTOC("matff","S44G1-f3r18B0.m",2);
AGRTOC("matff","S44G1-f4r4cB0.m",2);
AGRTOC("matff","S44G1-f5r18B0.m",2);
AGRTOC("matff","S44G1-f5r33bB0.m",2);
AGRTOC("matff","S44G1-f17r18B0.m",2);
AGRTOC("matint","S44G1-Zr18B0.g");
AGRTOC("matint","S44G1-Zr34aB0.g");
AGRTOC("matint","S44G1-Zr34bB0.g");
AGRTOC("matint","S44G1-Zr50B0.g");
AGRTOC("matint","S44G1-Zr85B0.g");
AGRTOC("matint","S44G1-Zr102B0.g");
AGRTOC("matint","S44G1-Zr153B0.g");
AGRTOC("matalg","S44G1-Ar204aB0.g");
AGRTOC("maxes","S44G1-max1W1");
AGRTOC("maxes","S44G1-max2W1");
AGRTOC("maxes","S44G1-max3W1");
AGRTOC("maxes","S44G1-max4W1");
AGRTOC("maxes","S44G1-max5W1");
AGRTOC("maxes","S44G1-max6W1");
AGRTOC("maxes","S44G1-max7W1");

# S44d2
AGRGRP("clas","S44","S44d2");
AGRTOC("matff","S44d2G1-f2r8aB0.m",2);

# S44d4
AGRGRP("clas","S44","S44d4");
AGRTOC("matff","S44d4G1-f2r16B0.m",2);

# 2S45
AGRGRP("clas","S45","2S45");
AGRTOC("perm","2S45G1-p624B0.m",2);
AGRTOC("matff","2S45G1-f5r4B0.m",2);

# S45
AGRGRP("clas","S45","S45");
AGRTOC("perm","S45G1-p156aB0.m",2);
AGRTOC("perm","S45G1-p156bB0.m",2);
AGRTOC("perm","S45G1-p300B0.m",2);
AGRTOC("perm","S45G1-p325B0.m",2);
AGRTOC("matff","S45G1-f4r12aB0.m",2);
AGRTOC("matff","S45G1-f5r5B0.m",2);
AGRTOC("matff","S45G1-f9r13B0.m",2);
AGRTOC("maxes","S45G1-max1W1");
AGRTOC("maxes","S45G1-max2W1");
AGRTOC("maxes","S45G1-max3W1");
AGRTOC("maxes","S45G1-max4W1");
AGRTOC("maxes","S45G1-max5W1");
AGRTOC("maxes","S45G1-max6W1");
AGRTOC("maxes","S45G1-max7W1");
AGRTOC("maxes","S45G1-max8W1");

# S45d2
AGRGRP("clas","S45","S45d2");
AGRTOC("matff","S45d2G1-f2r24B0.m",2);
AGRTOC("matff","S45d2G1-f2r40B0.m",2);
AGRTOC("matff","S45d2G1-f2r64B0.m",2);
AGRTOC("matff","S45d2G1-f2r104aB0.m",2);
AGRTOC("matff","S45d2G1-f2r104bB0.m",2);
AGRTOC("matff","S45d2G1-f3r26B0.m",2);
AGRTOC("matff","S45d2G1-f5r5B0.m",2);

# 2S47
AGRGRP("clas","S47","2S47");
AGRTOC("matff","2S47G1-f7r4B0.m",2);

# 2S47d2
AGRGRP("clas","S47","2S47d2");
AGRTOC("matff","2S47d2G1-f7r4B0.m",2);

# S47
AGRGRP("clas","S47","S47");
AGRTOC("perm","S47G1-p400aB0.m",2);
AGRTOC("perm","S47G1-p400bB0.m",2);
AGRTOC("perm","S47G1-p1176B0.m",2);
AGRTOC("perm","S47G1-p1225B0.m",2);
AGRTOC("matff","S47G1-f7r5B0.m",2);

# S47d2
AGRGRP("clas","S47","S47d2");
AGRTOC("perm","S47d2G1-p400aB0.m",2);
AGRTOC("perm","S47d2G1-p400bB0.m",2);
AGRTOC("matff","S47d2G1-f7r5B0.m",2);

# 2S62
AGRGRP("clas","S62","2S62");
AGRTOC("perm","2S62G1-p240aB0.m",2);
AGRTOC("perm","2S62G1-p240bB0.m",2);
AGRTOC("perm","2S62G1-p480B0.m",2);
AGRTOC("perm","2S62G1-p1920B0.m",2);
AGRTOC("perm","2S62G1-p2160B0.m",2);
AGRTOC("matff","2S62G1-f3r8B0.m",2);
AGRTOC("matff","2S62G1-f3r48B0.m",2);
AGRTOC("matff","2S62G1-f3r56aB0.m",2);
AGRTOC("matff","2S62G1-f3r56bB0.m",2);
AGRTOC("matff","2S62G1-f3r104B0.m",2);
AGRTOC("matff","2S62G1-f3r272B0.m",2);
AGRTOC("matint","2S62G1-Zr8B0.g");

# S62
AGRGRP("clas","S62","S62");
AGRTOC("perm","S62G1-p28B0.m",2);
AGRTOC("perm","S62G1-p36B0.m",2);
AGRTOC("perm","S62G1-p56B0.m",2);
AGRTOC("perm","S62G1-p63B0.m",2);
AGRTOC("perm","S62G1-p72B0.m",2);
AGRTOC("perm","S62G1-p120B0.m",2);
AGRTOC("perm","S62G1-p126B0.m",2);
AGRTOC("perm","S62G1-p135B0.m",2);
AGRTOC("perm","S62G1-p240B0.m",2);
AGRTOC("perm","S62G1-p288B0.m",2);
AGRTOC("perm","S62G1-p315B0.m",2);
AGRTOC("perm","S62G1-p336B0.m",2);
AGRTOC("perm","S62G1-p378aB0.m",2);
AGRTOC("perm","S62G1-p378bB0.m",2);
AGRTOC("perm","S62G1-p960B0.m",2);
AGRTOC("matff","S62G1-f2r6B0.m",2);
AGRTOC("matff","S62G1-f2r8B0.m",2);
AGRTOC("matff","S62G1-f2r14B0.m",2);
AGRTOC("matff","S62G1-f2r48B0.m",2);
AGRTOC("matff","S62G1-f2r64B0.m",2);
AGRTOC("matff","S62G1-f2r112B0.m",2);
AGRTOC("matff","S62G1-f2r512B0.m",2);
AGRTOC("matff","S62G1-f3r7B0.m",2);
AGRTOC("matff","S62G1-f3r14B0.m",2);
AGRTOC("matff","S62G1-f3r21B0.m",2);
AGRTOC("matff","S62G1-f3r27B0.m",2);
AGRTOC("matff","S62G1-f3r34B0.m",2);
AGRTOC("matff","S62G1-f3r35B0.m",2);
AGRTOC("matff","S62G1-f3r49B0.m",2);
AGRTOC("matff","S62G1-f3r91B0.m",2);
AGRTOC("matff","S62G1-f3r98B0.m",2);
AGRTOC("matff","S62G1-f3r189aB0.m",2);
AGRTOC("matff","S62G1-f3r189bB0.m",2);
AGRTOC("matff","S62G1-f3r189cB0.m",2);
AGRTOC("matff","S62G1-f3r196B0.m",2);
AGRTOC("matff","S62G1-f3r405B0.m",2);
AGRTOC("matint","S62G1-Zr7B0.g");
AGRTOC("matint","S62G1-Zr15B0.g");
AGRTOC("matint","S62G1-Zr27B0.g");
AGRTOC("matint","S62G1-Zr35bB0.g");
AGRTOC("maxes","S62G1-max1W1");
AGRTOC("maxes","S62G1-max2W1");
AGRTOC("maxes","S62G1-max3W1");
AGRTOC("maxes","S62G1-max4W1");
AGRTOC("maxes","S62G1-max5W1");
AGRTOC("maxes","S62G1-max6W1");
AGRTOC("maxes","S62G1-max7W1");
AGRTOC("maxes","S62G1-max8W1");
AGRTOC("classes","S62G1-cclsW1");
AGRTOC("cyclic","S62G1-cycW1");
AGRTOC("cyc2ccl","S62G1cycW1-cclsW1");

# 2S63
AGRGRP("clas","S63","2S63");
AGRTOC("matff","2S63G1-f3r6B0.m",2);

# 2S63d2
AGRGRP("clas","S63","2S63d2");
AGRTOC("perm","2S63d2G1-p728B0.m",2);
AGRTOC("matff","2S63d2G1-f3r6B0.m",2);

# S63
AGRGRP("clas","S63","S63");
AGRTOC("perm","S63G1-p364B0.m",2);
AGRTOC("perm","S63G1-p1120B0.m",2);
AGRTOC("perm","S63G1-p3640B0.m",2);
AGRTOC("perm","S63G1-p7371B0.m",2);
AGRTOC("matff","S63G1-f2r78B0.m",2);
AGRTOC("matff","S63G1-f4r13aB0.m",2);
AGRTOC("maxes","S63G1-max1W1");
AGRTOC("maxes","S63G1-max2W1");
AGRTOC("maxes","S63G1-max4W1");
AGRTOC("maxes","S63G1-max5W1");
AGRTOC("maxes","S63G1-max6W1");
AGRTOC("maxes","S63G1-max7W1");
AGRTOC("maxes","S63G1-max8W1");
AGRTOC("maxes","S63G1-max9W1");
AGRTOC("maxes","S63G1-max10W1");
AGRTOC("maxes","S63G1-max11W1");

# S63d2
AGRGRP("clas","S63","S63d2");
AGRTOC("perm","S63d2G1-p364B0.m",2);
AGRTOC("perm","S63d2G1-p1120B0.m",2);
AGRTOC("perm","S63d2G1-p3640B0.m",2);
AGRTOC("perm","S63d2G1-p7371B0.m",2);
AGRTOC("matff","S63d2G1-f2r26B0.m",2);
AGRTOC("matff","S63d2G1-f3r13B0.m",2);

# S82
AGRGRP("clas","S82","S82");
AGRTOC("perm","S82G1-p120B0.m",2);
AGRTOC("perm","S82G1-p136B0.m",2);
AGRTOC("perm","S82G1-p240B0.m",2);
AGRTOC("perm","S82G1-p255B0.m",2);
AGRTOC("perm","S82G1-p272B0.m",2);
AGRTOC("perm","S82G1-p2295B0.m",2);
AGRTOC("perm","S82G1-p5355B0.m",2);
AGRTOC("matff","S82G1-f2r8B0.m",2);
AGRTOC("matff","S82G1-f2r16B0.m",2);
AGRTOC("matff","S82G1-f2r26B0.m",2);
AGRTOC("matff","S82G1-f2r48B0.m",2);
AGRTOC("matff","S82G1-f3r35B0.m",2);
AGRTOC("matff","S82G1-f3r50B0.m",2);
AGRTOC("matff","S82G1-f5r35B0.m",2);
AGRTOC("matff","S82G1-f5r51B0.m",2);
AGRTOC("matff","S82G1-f7r35B0.m",2);
AGRTOC("matff","S82G1-f7r51B0.m",2);
AGRTOC("matff","S82G1-f17r35B0.m",2);
AGRTOC("matff","S82G1-f17r51B0.m",2);
AGRTOC("matint","S82G1-Zr35B0.g");
AGRTOC("matint","S82G1-Zr51B0.g");
AGRTOC("matint","S82G1-Zr85B0.g");
AGRTOC("matint","S82G1-Zr119B0.g");
AGRTOC("matint","S82G1-Zr135B0.g");

# 3U311
AGRGRP("clas","U311","3U311");
AGRTOC("matff","3U311G1-f121r3aB0.m",2);

# 3U311d2
AGRGRP("clas","U311","3U311d2");
AGRTOC("matff","3U311d2G1-f11r6B0.m",2);

# U311
AGRGRP("clas","U311","U311");
AGRTOC("perm","U311G1-p1332B0.m",2);
AGRTOC("matff","U311G1-f2r110B0.m",2);
AGRTOC("matff","U311G1-f2r370aB0.m",2);
AGRTOC("matff","U311G1-f2r370bB0.m",2);
AGRTOC("matff","U311G1-f2r370cB0.m",2);
AGRTOC("matff","U311G1-f11r8B0.m",2);
AGRTOC("matff","U311G1-f121r10B0.m",2);
AGRTOC("maxes","U311G1-max1W1");

# U311d2
AGRGRP("clas","U311","U311d2");
AGRTOC("perm","U311d2G1-p1332B0.m",2);
AGRTOC("matff","U311d2G1-f2r110B0.m",2);
AGRTOC("matff","U311d2G1-f11r8B0.m",2);

# U33
AGRGRP("clas","U33","U33");
AGRTOC("perm","U33G1-p28B0.m",2);
AGRTOC("perm","U33G1-p36B0.m",2);
AGRTOC("perm","U33G1-p63aB0.m",2);
AGRTOC("perm","U33G1-p63bB0.m",2);
AGRTOC("matff","U33G1-f2r6B0.m",2);
AGRTOC("matff","U33G1-f2r14B0.m",2);
AGRTOC("matff","U33G1-f2r32aB0.m",2);
AGRTOC("matff","U33G1-f2r32bB0.m",2);
AGRTOC("matff","U33G1-f3r7B0.m",2);
AGRTOC("matff","U33G1-f3r27B0.m",2);
AGRTOC("matff","U33G1-f7r6B0.m",2);
AGRTOC("matff","U33G1-f7r7aB0.m",2);
AGRTOC("matff","U33G1-f7r14B0.m",2);
AGRTOC("matff","U33G1-f7r21aB0.m",2);
AGRTOC("matff","U33G1-f7r26B0.m",2);
AGRTOC("matff","U33G1-f9r3bB0.m",2);
AGRTOC("matff","U33G1-f9r6bB0.m",2);
AGRTOC("matff","U33G1-f9r15bB0.m",2);
AGRTOC("matff","U33G1-f49r7bB0.m",2);
AGRTOC("matff","U33G1-f49r21bB0.m",2);
AGRTOC("matff","U33G1-f49r28aB0.m",2);
AGRTOC("matint","U33G1-Zr7aB0.g");
AGRTOC("matint","U33G1-Zr14aB0.g");
AGRTOC("matint","U33G1-Zr14bB0.g");
AGRTOC("matint","U33G1-Zr21aB0.g");
AGRTOC("matint","U33G1-Zr27B0.g");
AGRTOC("matint","U33G1-Zr42B0.g");
AGRTOC("matint","U33G1-Zr56B0.g");
AGRTOC("matint","U33G1-Zr64B0.g");
AGRTOC("matalg","U33G1-Ar6B0.g");
AGRTOC("matalg","U33G1-Ar7bB0.g");
AGRTOC("matalg","U33G1-Ar21bB0.g");
AGRTOC("matalg","U33G1-Ar28aB0.g");
AGRTOC("maxes","U33G1-max1W1");
AGRTOC("maxes","U33G1-max2W1");
AGRTOC("maxes","U33G1-max4W1");

# U33d2
AGRGRP("clas","U33","U33d2");
AGRTOC("perm","U33d2G1-p63bB0.m",2);
AGRTOC("matff","U33d2G1-f2r6B0.m",2);
AGRTOC("matff","U33d2G1-f2r14B0.m",2);
AGRTOC("matff","U33d2G1-f2r64B0.m",2);
AGRTOC("matff","U33d2G1-f3r6B0.m",2);
AGRTOC("matff","U33d2G1-f3r7B0.m",2);
AGRTOC("matff","U33d2G1-f3r12B0.m",2);
AGRTOC("matff","U33d2G1-f3r27B0.m",2);
AGRTOC("matff","U33d2G1-f3r30B0.m",2);
AGRTOC("maxes","U33d2G1-max1W1");

# U35
AGRGRP("clas","U35","U35");
AGRTOC("matint","U35G1-Zr21B0.g");
AGRTOC("matint","U35G1-Zr28aB0.g");
AGRTOC("matint","U35G1-Zr105B0.g");
AGRTOC("matint","U35G1-Zr125B0.g");

# U35d2
AGRGRP("clas","U35","U35d2");
AGRTOC("perm","U35d2G1-p50B0.m",2);
AGRTOC("perm","U35d2G1-p126B0.m",2);
AGRTOC("perm","U35d2G1-p175B0.m",2);
AGRTOC("perm","U35d2G1-p525B0.m",2);
AGRTOC("perm","U35d2G1-p750B0.m",2);
AGRTOC("matff","U35d2G1-f2r20B0.m",2);
AGRTOC("matff","U35d2G1-f2r28B0.m",2);
AGRTOC("matff","U35d2G1-f2r56B0.m",2);
AGRTOC("matff","U35d2G1-f2r104B0.m",2);
AGRTOC("matff","U35d2G1-f2r288B0.m",2);
AGRTOC("matff","U35d2G1-f3r20aB0.m",2);
AGRTOC("matff","U35d2G1-f3r21aB0.m",2);
AGRTOC("matff","U35d2G1-f3r28aB0.m",2);
AGRTOC("matff","U35d2G1-f3r56B0.m",2);
AGRTOC("matff","U35d2G1-f3r84aB0.m",2);
AGRTOC("matff","U35d2G1-f3r126aB0.m",2);
AGRTOC("matff","U35d2G1-f3r252B0.m",2);
AGRTOC("matff","U35d2G1-f3r288B0.m",2);
AGRTOC("matff","U35d2G1-f5r8aB0.m",2);
AGRTOC("matff","U35d2G1-f5r19aB0.m",2);
AGRTOC("matff","U35d2G1-f5r20B0.m",2);
AGRTOC("matff","U35d2G1-f5r63aB0.m",2);
AGRTOC("matff","U35d2G1-f5r70B0.m",2);
AGRTOC("matff","U35d2G1-f5r125aB0.m",2);
AGRTOC("matff","U35d2G1-f7r20aB0.m",2);
AGRTOC("matff","U35d2G1-f7r21aB0.m",2);
AGRTOC("matff","U35d2G1-f7r28aB0.m",2);
AGRTOC("matff","U35d2G1-f7r56B0.m",2);
AGRTOC("matff","U35d2G1-f7r84aB0.m",2);
AGRTOC("matff","U35d2G1-f7r105aB0.m",2);
AGRTOC("matff","U35d2G1-f7r124aB0.m",2);
AGRTOC("matff","U35d2G1-f7r126aB0.m",2);
AGRTOC("matff","U35d2G1-f7r252B0.m",2);
AGRTOC("maxes","U35d2G1-max2W1");
AGRTOC("maxes","U35d2G1-max2W2");
AGRTOC("maxes","U35d2G1-max3W1");
AGRTOC("maxes","U35d2G1-max4W1");
AGRTOC("maxes","U35d2G1-max5W1");
AGRTOC("maxes","U35d2G1-max6W1");

# U37
AGRGRP("clas","U37","U37");
AGRTOC("perm","U37G1-p344B0.m",2);
AGRTOC("perm","U37G1-p688B0.m",2);
AGRTOC("perm","U37G1-p1032B0.m",2);
AGRTOC("perm","U37G1-p1376B0.m",2);
AGRTOC("perm","U37G1-p2064B0.m",2);
AGRTOC("perm","U37G1-p2107B0.m",2);
AGRTOC("perm","U37G1-p14749B0.m",2);
AGRTOC("perm","U37G1-p16856B0.m",2);
AGRTOC("perm","U37G1-p43904B0.m",2);
AGRTOC("matff","U37G1-f2r42B0.m",2);
AGRTOC("matff","U37G1-f2r258B0.m",2);
AGRTOC("matff","U37G1-f2r344B0.m",2);
AGRTOC("matff","U37G1-f3r42B0.m",2);
AGRTOC("matff","U37G1-f3r43aB0.m",2);
AGRTOC("matff","U37G1-f7r6cB0.m",2);
AGRTOC("matff","U37G1-f7r8B0.m",2);
AGRTOC("matff","U37G1-f7r12B0.m",2);
AGRTOC("matff","U37G1-f7r20B0.m",2);
AGRTOC("matff","U37G1-f7r27B0.m",2);
AGRTOC("matff","U37G1-f7r30aB0.m",2);
AGRTOC("matff","U37G1-f7r30bB0.m",2);
AGRTOC("matff","U37G1-f7r37B0.m",2);
AGRTOC("matff","U37G1-f7r42cB0.m",2);
AGRTOC("matff","U37G1-f7r48B0.m",2);
AGRTOC("matff","U37G1-f43r42B0.m",2);
AGRTOC("matff","U37G1-f43r43aB0.m",2);
AGRTOC("maxes","U37G1-max1W1");
AGRTOC("maxes","U37G1-max2W1");
AGRTOC("maxes","U37G1-max3W1");
AGRTOC("maxes","U37G1-max4W1");
AGRTOC("maxes","U37G1-max5W1");
AGRTOC("out","U37G1-aW1");

# 2U42
AGRGRP("clas","U42","2U42");
AGRTOC("perm","2U42G1-p80B0.m",2);
AGRTOC("perm","2U42G1-p240B0.m",2);
AGRTOC("matff","2U42G1-f3r4B0.m",2);
AGRTOC("matff","2U42G1-f3r16B0.m",2);
AGRTOC("matff","2U42G1-f3r40B0.m",2);

# 2U42d2
AGRGRP("clas","U42","2U42d2");
AGRTOC("perm","2U42d2G1-p240B0.m",2);
AGRTOC("matff","2U42d2G1-f3r4B0.m",2);

# U42
AGRGRP("clas","U42","U42");
AGRTOC("perm","U42G1-p27B0.m",2);
AGRTOC("perm","U42G1-p36B0.m",2);
AGRTOC("perm","U42G1-p40aB0.m",2);
AGRTOC("perm","U42G1-p40bB0.m",2);
AGRTOC("perm","U42G1-p45B0.m",2);
AGRTOC("matff","U42G1-f3r5B0.m",2);
AGRTOC("matff","U42G1-f3r10B0.m",2);
AGRTOC("matff","U42G1-f3r14B0.m",2);
AGRTOC("matff","U42G1-f3r25B0.m",2);
AGRTOC("matff","U42G1-f3r81B0.m",2);
AGRTOC("matff","U42G1-f4r4aB0.m",2);
AGRTOC("matff","U42G1-f5r6B0.m",2);
AGRTOC("matff","U42G1-f25r5aB0.m",2);
AGRTOC("matff","U42G1-f25r10bB0.m",2);
AGRTOC("matint","U42G1-Zr6B0.g");
AGRTOC("matint","U42G1-Zr15aB0.g");
AGRTOC("matint","U42G1-Zr15bB0.g");
AGRTOC("matint","U42G1-Zr20B0.g");
AGRTOC("matint","U42G1-Zr24B0.g");
AGRTOC("matint","U42G1-Zr30aB0.g");
AGRTOC("matint","U42G1-Zr60B0.g");
AGRTOC("matalg","U42G1-Ar5aB0.g");
AGRTOC("matalg","U42G1-Ar10B0.g");
AGRTOC("matalg","U42G1-Ar30bB0.g");
AGRTOC("matalg","U42G1-Ar45aB0.g");
AGRTOC("cyclic","U42G1-cycW1");
AGRTOC("cyc2ccl","U42G1cycW1-cclsW1");

# U42d2
AGRGRP("clas","U42","U42d2");
AGRTOC("perm","U42d2G1-p36B0.m",2);
AGRTOC("matff","U42d2G1-f2r6B0.m",2);
AGRTOC("matff","U42d2G1-f2r8B0.m",2);
AGRTOC("matff","U42d2G1-f2r14B0.m",2);
AGRTOC("matff","U42d2G1-f2r40B0.m",2);
AGRTOC("matff","U42d2G1-f2r64B0.m",2);
AGRTOC("matff","U42d2G1-f3r5B0.m",2);
AGRTOC("cyclic","U42d2G1-cycW1");
AGRTOC("cyc2ccl","U42d2G1cycW1-cclsW1");

# U52
AGRGRP("clas","U52","U52");
AGRTOC("perm","U52G1-p165B0.m",2);
AGRTOC("perm","U52G1-p176B0.m",2);
AGRTOC("perm","U52G1-p297B0.m",2);
AGRTOC("perm","U52G1-p1408B0.m",2);
AGRTOC("perm","U52G1-p3520B0.m",2);
AGRTOC("perm","U52G1-p20736B0.m",2);
AGRTOC("matff","U52G1-f2r24B0.m",2);
AGRTOC("matff","U52G1-f2r74B0.m",2);
AGRTOC("matff","U52G1-f3r10B0.m",2);
AGRTOC("matff","U52G1-f3r44B0.m",2);
AGRTOC("matff","U52G1-f3r55B0.m",2);
AGRTOC("matff","U52G1-f3r100B0.m",2);
AGRTOC("matff","U52G1-f3r110B0.m",2);
AGRTOC("matff","U52G1-f4r5aB0.m",2);
AGRTOC("matff","U52G1-f4r5bB0.m",2);
AGRTOC("matff","U52G1-f4r10aB0.m",2);
AGRTOC("matff","U52G1-f4r10bB0.m",2);
AGRTOC("matff","U52G1-f5r43B0.m",2);
AGRTOC("matff","U52G1-f5r120B0.m",2);
AGRTOC("matff","U52G1-f5r176B0.m",2);
AGRTOC("matff","U52G1-f11r44B0.m",2);
AGRTOC("matff","U52G1-f11r55aB0.m",2);
AGRTOC("matff","U52G1-f11r119B0.m",2);
AGRTOC("matff","U52G1-f11r176B0.m",2);
AGRTOC("maxes","U52G1-max1W1");
AGRTOC("maxes","U52G1-max2W1");
AGRTOC("maxes","U52G1-max2W2");
AGRTOC("maxes","U52G1-max3W1");
AGRTOC("maxes","U52G1-max4W1");
AGRTOC("maxes","U52G1-max6W1");
AGRTOC("cyclic","U52G1-cycW1");
AGRTOC("cyc2ccl","U52G1cycW1-cclsW1");
AGRTOC("out","U52G1-aW1");
AGRTOC("out","U52G1-aW2");

# U52d2
AGRGRP("clas","U52","U52d2");
AGRTOC("perm","U52d2G1-p165B0.m",2);
AGRTOC("perm","U52d2G1-p176B0.m",2);
AGRTOC("perm","U52d2G1-p297B0.m",2);
AGRTOC("perm","U52d2G1-p1408B0.m",2);
AGRTOC("perm","U52d2G1-p3520B0.m",2);
AGRTOC("perm","U52d2G1-p20736B0.m",2);
AGRTOC("matff","U52d2G1-f2r10B0.m",2);
AGRTOC("matff","U52d2G1-f2r20B0.m",2);
AGRTOC("matff","U52d2G1-f2r24B0.m",2);
AGRTOC("matff","U52d2G1-f2r74B0.m",2);
AGRTOC("matff","U52d2G1-f2r80aB0.m",2);
AGRTOC("matff","U52d2G1-f2r80bB0.m",2);
AGRTOC("matff","U52d2G1-f2r320B0.m",2);
AGRTOC("matff","U52d2G1-f2r560B0.m",2);
AGRTOC("matff","U52d2G1-f2r1024B0.m",2);
AGRTOC("matff","U52d2G1-f3r10aB0.m",2);
AGRTOC("maxes","U52d2G1-max1W1");
AGRTOC("maxes","U52d2G1-max1W2");
AGRTOC("maxes","U52d2G1-max2W1");
AGRTOC("maxes","U52d2G1-max3W1");
AGRTOC("maxes","U52d2G1-max4W1");
AGRTOC("maxes","U52d2G1-max5W1");
AGRTOC("maxes","U52d2G1-max7W1");
AGRTOC("cyclic","U52d2G1-cycW1");
AGRTOC("cyc2ccl","U52d2G1cycW1-cclsW1");
AGRTOC("switch","U52d2G2-G1W1");

# U53
AGRGRP("clas","U53","U53");
AGRTOC("matff","U53G1-f3r10cB0.m",2);
AGRTOC("matff","U53G1-f3r20B0.m",2);
AGRTOC("matff","U53G1-f3r24B0.m",2);
AGRTOC("matff","U53G1-f3r30cB0.m",2);
AGRTOC("matff","U53G1-f3r51B0.m",2);
AGRTOC("matff","U53G1-f9r5aB0.m",2);
AGRTOC("matff","U53G1-f9r5bB0.m",2);
AGRTOC("matff","U53G1-f9r10aB0.m",2);
AGRTOC("matff","U53G1-f9r10bB0.m",2);
AGRTOC("matff","U53G1-f9r15aB0.m",2);
AGRTOC("matff","U53G1-f9r15bB0.m",2);
AGRTOC("matff","U53G1-f9r30aB0.m",2);
AGRTOC("matff","U53G1-f9r30bB0.m",2);
AGRTOC("maxes","U53G1-max2W1");

# 12U62
AGRGRP("clas","U62","12U62");
AGRTOC("perm","12U62G1-p4704B0.m",2);
AGRTOC("perm","12U62G1-p8064B0.m",2);
AGRTOC("matff","12U62G1-f4r27aB0.m",2);

# 2U62
AGRGRP("clas","U62","2U62");
AGRTOC("perm","2U62G1-p1344B0.m",2);
AGRTOC("perm","2U62G1-p2816aB0.m",2);
AGRTOC("perm","2U62G1-p2816bB0.m",2);
AGRTOC("perm","2U62G1-p5632B0.m",2);
AGRTOC("perm","2U62G1-p12672aB0.m",2);
AGRTOC("perm","2U62G1-p12672bB0.m",2);
AGRTOC("perm","2U62G1-p12672cB0.m",2);
AGRTOC("perm","2U62G1-p41472B0.m",2);
AGRTOC("matff","2U62G1-f3r56B0.m",2);
AGRTOC("matff","2U62G1-f3r120B0.m",2);
AGRTOC("matff","2U62G1-f3r560B0.m",2);
AGRTOC("matff","2U62G1-f5r56B0.m",2);
AGRTOC("matff","2U62G1-f5r176B0.m",2);
AGRTOC("matff","2U62G1-f5r616B0.m",2);
AGRTOC("matff","2U62G1-f7r56B0.m",2);
AGRTOC("matff","2U62G1-f7r176B0.m",2);
AGRTOC("matff","2U62G1-f7r616B0.m",2);
AGRTOC("matff","2U62G1-f11r56B0.m",2);
AGRTOC("matff","2U62G1-f11r176B0.m",2);
AGRTOC("matff","2U62G1-f11r616B0.m",2);

# 3U62
AGRGRP("clas","U62","3U62");
AGRTOC("perm","3U62G1-p2016B0.m",2);
AGRTOC("perm","3U62G1-p2079B0.m",2);
AGRTOC("perm","3U62G1-p18711B0.m",2);
AGRTOC("perm","3U62G1-p19008aB0.m",2);
AGRTOC("perm","3U62G1-p19008bB0.m",2);
AGRTOC("perm","3U62G1-p19008cB0.m",2);
AGRTOC("matff","3U62G1-f4r6aB0.m",2);
AGRTOC("matff","3U62G1-f4r15aB0.m",2);
AGRTOC("matff","3U62G1-f4r84aB0.m",2);
AGRTOC("matff","3U62G1-f4r90aB0.m",2);
AGRTOC("matff","3U62G1-f4r204aB0.m",2);
AGRTOC("matff","3U62G1-f4r384aB0.m",2);
AGRTOC("matff","3U62G1-f4r720aB0.m",2);
AGRTOC("matff","3U62G1-f4r924aB0.m",2);
AGRTOC("matff","3U62G1-f7r21aB0.m",2);
AGRTOC("matff","3U62G1-f7r210aB0.m",2);
AGRTOC("matff","3U62G1-f7r231aB0.m",2);
AGRTOC("matff","3U62G1-f7r462aB0.m",2);
AGRTOC("matff","3U62G1-f25r21aB0.m",2);
AGRTOC("matff","3U62G1-f25r210aB0.m",2);
AGRTOC("matff","3U62G1-f25r231aB0.m",2);
AGRTOC("matff","3U62G1-f25r462aB0.m",2);
AGRTOC("matff","3U62G1-f121r21aB0.m",2);
AGRTOC("matff","3U62G1-f121r210aB0.m",2);
AGRTOC("matff","3U62G1-f121r231aB0.m",2);
AGRTOC("matff","3U62G1-f121r462aB0.m",2);

# 4U62
AGRGRP("clas","U62","4U62");
AGRTOC("perm","4U62G1-p2688B0.m",2);

# 6U62
AGRGRP("clas","U62","6U62");
AGRTOC("perm","6U62G1-p4032B0.m",2);
AGRTOC("perm","6U62G1-p38016aB0.m",2);
AGRTOC("perm","6U62G1-p38016bB0.m",2);
AGRTOC("perm","6U62G1-p38016cB0.m",2);
AGRTOC("matff","6U62G1-f4r27aB0.m",2);
AGRTOC("matff","6U62G1-f7r120aB0.m",2);
AGRTOC("matff","6U62G1-f25r120aB0.m",2);
AGRTOC("matff","6U62G1-f121r120aB0.m",2);

# U62
AGRGRP("clas","U62","U62");
AGRTOC("perm","U62G1-p672B0.m",2);
AGRTOC("perm","U62G1-p693B0.m",2);
AGRTOC("perm","U62G1-p891B0.m",2);
AGRTOC("perm","U62G1-p1408aB0.m",2);
AGRTOC("perm","U62G1-p1408bB0.m",2);
AGRTOC("perm","U62G1-p1408cB0.m",2);
AGRTOC("perm","U62G1-p2816aB0.m",2);
AGRTOC("perm","U62G1-p2816bB0.m",2);
AGRTOC("perm","U62G1-p2816cB0.m",2);
AGRTOC("perm","U62G1-p6237B0.m",2);
AGRTOC("perm","U62G1-p6336aB0.m",2);
AGRTOC("perm","U62G1-p6336bB0.m",2);
AGRTOC("perm","U62G1-p6336cB0.m",2);
AGRTOC("perm","U62G1-p12474B0.m",2);
AGRTOC("perm","U62G1-p20736aB0.m",2);
AGRTOC("perm","U62G1-p20736bB0.m",2);
AGRTOC("perm","U62G1-p20736cB0.m",2);
AGRTOC("perm","U62G1-p59136B0.m",2);
AGRTOC("matff","U62G1-f2r20B0.m",2);
AGRTOC("matff","U62G1-f2r34B0.m",2);
AGRTOC("matff","U62G1-f2r140B0.m",2);
AGRTOC("matff","U62G1-f2r154B0.m",2);
AGRTOC("matff","U62G1-f2r400B0.m",2);
AGRTOC("matff","U62G1-f3r21B0.m",2);
AGRTOC("matff","U62G1-f3r210B0.m",2);
AGRTOC("matff","U62G1-f3r229B0.m",2);
AGRTOC("matff","U62G1-f3r364B0.m",2);
AGRTOC("matff","U62G1-f4r70aB0.m",2);
AGRTOC("matff","U62G1-f4r70bB0.m",2);
AGRTOC("matff","U62G1-f4r896aB0.m",2);
AGRTOC("matff","U62G1-f5r22B0.m",2);
AGRTOC("matff","U62G1-f5r231B0.m",2);
AGRTOC("matff","U62G1-f5r252B0.m",2);
AGRTOC("matff","U62G1-f5r440B0.m",2);
AGRTOC("matff","U62G1-f5r616B0.m",2);
AGRTOC("matff","U62G1-f7r22B0.m",2);
AGRTOC("matff","U62G1-f7r231B0.m",2);
AGRTOC("matff","U62G1-f7r252B0.m",2);
AGRTOC("matff","U62G1-f7r439B0.m",2);
AGRTOC("matff","U62G1-f7r616B0.m",2);
AGRTOC("matff","U62G1-f11r22B0.m",2);
AGRTOC("matff","U62G1-f11r231B0.m",2);
AGRTOC("matff","U62G1-f11r251B0.m",2);
AGRTOC("matff","U62G1-f11r440B0.m",2);
AGRTOC("matff","U62G1-f11r616B0.m",2);
AGRTOC("matint","U62G1-Zr22B0.g");
AGRTOC("matint","U62G1-Zr231B0.g");
AGRTOC("maxes","U62G1-max1W1");
AGRTOC("maxes","U62G1-max1W2");
AGRTOC("maxes","U62G1-max2W1");
AGRTOC("maxes","U62G1-max3W1");
AGRTOC("maxes","U62G1-max4W1");
AGRTOC("maxes","U62G1-max4W2");
AGRTOC("maxes","U62G1-max5W1");
AGRTOC("maxes","U62G1-max6W1");
AGRTOC("maxes","U62G1-max7W1");
AGRTOC("maxes","U62G1-max8W1");
AGRTOC("maxes","U62G1-max8W2");
AGRTOC("maxes","U62G1-max9W1");
AGRTOC("maxes","U62G1-max10W1");
AGRTOC("maxes","U62G1-max11W1");
AGRTOC("maxes","U62G1-max11W2");
AGRTOC("maxes","U62G1-max12W1");
AGRTOC("maxes","U62G1-max13W1");
AGRTOC("maxes","U62G1-max14W1");
AGRTOC("maxes","U62G1-max15W1");
AGRTOC("maxes","U62G1-max16W1");

# U62S3
AGRGRP("clas","U62","U62S3");
AGRTOC("perm","U62S3G1-p693B0.m",2);
AGRTOC("perm","U62S3G1-p891B0.m",2);
AGRTOC("matff","U62S3G1-f2r20B0.m",2);
AGRTOC("matff","U62S3G1-f2r34B0.m",2);
AGRTOC("matff","U62S3G1-f2r140a0B0.m",2);
AGRTOC("matff","U62S3G1-f2r140a1B0.m",2);
AGRTOC("matff","U62S3G1-f2r140a2B0.m",2);
AGRTOC("matff","U62S3G1-f2r154B0.m",2);
AGRTOC("matff","U62S3G1-f2r400B0.m",2);
AGRTOC("matff","U62S3G1-f3r21aB0.m",2);
AGRTOC("matff","U62S3G1-f3r210aB0.m",2);
AGRTOC("matff","U62S3G1-f3r229aB0.m",2);
AGRTOC("matff","U62S3G1-f3r364aB0.m",2);
AGRTOC("matff","U62S3G1-f5r22aB0.m",2);
AGRTOC("matff","U62S3G1-f7r22aB0.m",2);
AGRTOC("matff","U62S3G1-f11r22aB0.m",2);

# U62d2
AGRGRP("clas","U62","U62d2");
AGRTOC("perm","U62d2G1-p672B0.m",2);
AGRTOC("perm","U62d2G1-p693B0.m",2);
AGRTOC("perm","U62d2G1-p891B0.m",2);
AGRTOC("perm","U62d2G1-p1408B0.m",2);
AGRTOC("perm","U62d2G1-p6237B0.m",2);
AGRTOC("perm","U62d2G1-p6336B0.m",2);
AGRTOC("perm","U62d2G1-p20736B0.m",2);
AGRTOC("matff","U62d2G1-f2r20B0.m",2);
AGRTOC("matff","U62d2G1-f2r34B0.m",2);
AGRTOC("matff","U62d2G1-f2r140B0.m",2);
AGRTOC("matff","U62d2G1-f2r154B0.m",2);
AGRTOC("matff","U62d2G1-f2r400B0.m",2);
AGRTOC("matff","U62d2G1-f3r21aB0.m",2);
AGRTOC("matff","U62d2G1-f3r210aB0.m",2);
AGRTOC("matff","U62d2G1-f3r229aB0.m",2);
AGRTOC("matff","U62d2G1-f3r364aB0.m",2);
AGRTOC("matff","U62d2G1-f5r22aB0.m",2);
AGRTOC("matff","U62d2G1-f7r22aB0.m",2);
AGRTOC("matff","U62d2G1-f11r22aB0.m",2);

# U72
AGRGRP("clas","U72","U72");
AGRTOC("perm","U72G1-p2709B0.m",2);
AGRTOC("perm","U72G1-p2752B0.m",2);
AGRTOC("matff","U72G1-f4r7aB0.m",2);
AGRTOC("matff","U72G1-f4r7bB0.m",2);
AGRTOC("maxes","U72G1-max1W1");
AGRTOC("maxes","U72G1-max2W1");
AGRTOC("maxes","U72G1-max7W1");

# E62
AGRGRP("exc","E62","E62");
AGRTOC("matff","E62G0-f2r27aB0.m",2);
AGRTOC("matff","E62G1-f2r27aB0.m",2);
AGRTOC("matff","E62G0-f2r27bB0.m",2);
AGRTOC("matff","E62G1-f2r27bB0.m",2);
AGRTOC("matff","E62G0-f2r78B0.m",2);
AGRTOC("matff","E62G1-f2r78B0.m",2);
AGRTOC("switch","E62G0-G1W1");

# 3E64
AGRGRP("exc","E64","3E64");
AGRTOC("matff","3E64G0-f4r27B0.m",2);

# 3E64d2
AGRGRP("exc","E64","3E64d2");
AGRTOC("matff","3E64d2G0-f4r54B0.m",2);

# E64
AGRGRP("exc","E64","E64");
AGRTOC("matff","E64G0-f4r78B0.m",2);

# E72
AGRGRP("exc","E72","E72");
AGRTOC("matff","E72G0-f2r56B0.m",2);
AGRTOC("matff","E72G0-f2r132B0.m",2);

# E74
AGRGRP("exc","E74","E74");
AGRTOC("matff","E74G0-f4r56aB0.m",2);
AGRTOC("matff","E74G0-f4r132aB0.m",2);
AGRTOC("matff","E74G0-f4r248aB0.m",2);

# E82
AGRGRP("exc","E82","E82");
AGRTOC("matff","E82G0-f2r248B0.m",2);
AGRTOC("matff","E82G1-f2r248B0.m",9);

# E85
AGRGRP("exc","E85","E85");
AGRTOC("matff","E85G0-f5r248B0.m",2);

# 2F42
AGRGRP("exc","F42","2F42");
AGRTOC("perm","2F42G1-p139776B0.m",2);
AGRTOC("matff","2F42G1-f3r52B0.m",2);
AGRTOC("matff","2F42G1-f3r2380B0.m",2);
AGRTOC("matff","2F42G1-f5r52B0.m",2);
AGRTOC("matff","2F42G1-f37r52B0.m",2);
AGRTOC("matint","2F42G1-Zr52B0.g");

# 2F42d2
AGRGRP("exc","F42","2F42d2");
AGRTOC("matff","2F42d2G1-f25r52B0.m",2);

# 2F42d4i
AGRGRP("exc","F42","2F42d4i");
AGRTOC("matff","2F42d4iG1-f5r52B0.m",2);

# F42
AGRGRP("exc","F42","F42");
AGRTOC("perm","F42G1-p69888aB0.m",2);
AGRTOC("matff","F42G1-f2r26aB0.m",2);
AGRTOC("maxes","F42G1-max3W1");
AGRTOC("out","F42G1-aW1");

# F42d2
AGRGRP("exc","F42","F42d2");
AGRTOC("matff","F42d2G1-f2r52B0.m",2);

# 3G23
AGRGRP("exc","G23","3G23");
AGRTOC("perm","3G23G1-p1134B0.m",2);
AGRTOC("matff","3G23G1-f4r27B0.m",2);
AGRTOC("matff","3G23G1-f7r27B0.m",2);
AGRTOC("matff","3G23G1-f13r27B0.m",2);

# 3G23d2
AGRGRP("exc","G23","3G23d2");
AGRTOC("matff","3G23d2G1-f2r54B0.m",2);

# G23
AGRGRP("exc","G23","G23");
AGRTOC("matff","G23G1-f2r14B0.m",2);
AGRTOC("matff","G23G1-f2r78B0.m",2);
AGRTOC("matff","G23G1-f2r90aB0.m",2);
AGRTOC("matff","G23G1-f2r90bB0.m",2);
AGRTOC("matff","G23G1-f2r90cB0.m",2);
AGRTOC("matff","G23G1-f2r378B0.m",2);
AGRTOC("matff","G23G1-f3r7aB0.m",2);
AGRTOC("matff","G23G1-f3r7bB0.m",2);
AGRTOC("matff","G23G1-f3r27aB0.m",2);
AGRTOC("matff","G23G1-f3r27bB0.m",2);
AGRTOC("matff","G23G1-f3r49B0.m",2);
AGRTOC("matff","G23G1-f3r189aB0.m",2);
AGRTOC("matff","G23G1-f3r189bB0.m",2);
AGRTOC("matff","G23G1-f3r729B0.m",2);
AGRTOC("matff","G23G1-f4r64B0.m",2);
AGRTOC("matff","G23G1-f4r64aB0.m",2);
AGRTOC("matint","G23G1-Zr14B0.g");
AGRTOC("maxes","G23G1-max1W1");
AGRTOC("maxes","G23G1-max2W1");
AGRTOC("maxes","G23G1-max3W1");
AGRTOC("maxes","G23G1-max4W1");
AGRTOC("maxes","G23G1-max5W1");
AGRTOC("maxes","G23G1-max6W1");
AGRTOC("maxes","G23G1-max7W1");
AGRTOC("maxes","G23G1-max8W1");
AGRTOC("maxes","G23G1-max9W1");
AGRTOC("maxes","G23G1-max10W1");
AGRTOC("cyclic","G23G1-cycW1");
AGRTOC("cyc2ccl","G23G1cycW1-cclsW1");
AGRTOC("out","G23G1-aW1");

# G23d2
AGRGRP("exc","G23","G23d2");
AGRTOC("perm","G23d2G1-p756B0.m",2);
AGRTOC("matff","G23d2G1-f2r14B0.m",2);
AGRTOC("matff","G23d2G1-f3r14B0.m",2);
AGRTOC("matff","G23d2G1-f7r14B0.m",2);
AGRTOC("matff","G23d2G1-f13r14B0.m",2);
AGRTOC("matff","G23d2G1-f13r434aB0.m",2);
AGRTOC("matalg","G23d2G1-Ar14B0.g");
AGRTOC("cyclic","G23d2G1-cycW1");
AGRTOC("cyc2ccl","G23d2G1cycW1-cclsW1");

# 2G24
AGRGRP("exc","G24","2G24");
AGRTOC("matff","2G24G1-f3r12B0.m",2);
AGRTOC("matff","2G24G1-f5r12B0.m",2);
AGRTOC("matff","2G24G1-f5r92B0.m",2);
AGRTOC("matff","2G24G1-f7r12B0.m",2);
AGRTOC("matff","2G24G1-f13r12B0.m",2);

# 2G24d2
AGRGRP("exc","G24","2G24d2");
AGRTOC("matff","2G24d2G1-f7r12B0.m",2);
AGRTOC("matff","2G24d2G1-f9r12B0.m",2);
AGRTOC("matff","2G24d2G1-f25r12B0.m",2);
AGRTOC("matff","2G24d2G1-f169r12B0.m",2);

# 2G24d2i
AGRGRP("exc","G24","2G24d2i");
AGRTOC("matff","2G24d2iG1-f3r12B0.m",2);

# G24
AGRGRP("exc","G24","G24");
AGRTOC("perm","G24G1-p416B0.m",2);
AGRTOC("perm","G24G1-p1365aB0.m",2);
AGRTOC("perm","G24G1-p1365bB0.m",2);
AGRTOC("perm","G24G1-p2016B0.m",2);
AGRTOC("perm","G24G1-p2080B0.m",2);
AGRTOC("perm","G24G1-p20800B0.m",2);
AGRTOC("matff","G24G1-f2r36B0.m",2);
AGRTOC("matff","G24G1-f2r196B0.m",2);
AGRTOC("matff","G24G1-f3r64B0.m",2);
AGRTOC("matff","G24G1-f3r78B0.m",2);
AGRTOC("matff","G24G1-f3r286B0.m",2);
AGRTOC("matff","G24G1-f4r6aB0.m",2);
AGRTOC("matff","G24G1-f4r6bB0.m",2);
AGRTOC("matff","G24G1-f4r14aB0.m",2);
AGRTOC("matff","G24G1-f4r14bB0.m",2);
AGRTOC("matff","G24G1-f4r64aB0.m",2);
AGRTOC("matff","G24G1-f4r64bB0.m",2);
AGRTOC("matff","G24G1-f4r84aB0.m",2);
AGRTOC("matff","G24G1-f4r84bB0.m",2);
AGRTOC("matff","G24G1-f4r384aB0.m",2);
AGRTOC("matff","G24G1-f4r896aB0.m",2);
AGRTOC("matff","G24G1-f5r65B0.m",2);
AGRTOC("matff","G24G1-f5r78B0.m",2);
AGRTOC("matff","G24G1-f5r350B0.m",2);
AGRTOC("matff","G24G1-f5r363aB0.m",2);
AGRTOC("matff","G24G1-f5r650B0.m",2);
AGRTOC("matff","G24G1-f7r65B0.m",2);
AGRTOC("matff","G24G1-f7r78B0.m",2);
AGRTOC("matff","G24G1-f13r65B0.m",2);
AGRTOC("matff","G24G1-f13r78B0.m",2);
AGRTOC("matint","G24G1-Zr65B0.g");
AGRTOC("maxes","G24G1-max1W1");
AGRTOC("maxes","G24G1-max2W1");
AGRTOC("maxes","G24G1-max3W1");
AGRTOC("maxes","G24G1-max4W1");
AGRTOC("maxes","G24G1-max5W1");
AGRTOC("maxes","G24G1-max6W1");
AGRTOC("maxes","G24G1-max7W1");
AGRTOC("maxes","G24G1-max8W1");
AGRTOC("cyclic","G24G1-cycW1");
AGRTOC("cyc2ccl","G24G1cycW1-cclsW1");
AGRTOC("out","G24G1-aW1");

# G24d2
AGRGRP("exc","G24","G24d2");
AGRTOC("matff","G24d2G1-f2r12B0.m",2);
AGRTOC("matff","G24d2G1-f2r28B0.m",2);
AGRTOC("matff","G24d2G1-f2r36B0.m",2);
AGRTOC("matff","G24d2G1-f2r128B0.m",2);
AGRTOC("matff","G24d2G1-f2r168B0.m",2);
AGRTOC("matff","G24d2G1-f2r196B0.m",2);
AGRTOC("matff","G24d2G1-f2r768B0.m",2);
AGRTOC("matff","G24d2G1-f3r64B0.m",2);
AGRTOC("matff","G24d2G1-f5r65B0.m",2);
AGRTOC("matff","G24d2G1-f7r65B0.m",2);
AGRTOC("matff","G24d2G1-f13r65B0.m",2);
AGRTOC("maxes","G24d2G1-max1W1");
AGRTOC("cyclic","G24d2G1-cycW1");
AGRTOC("cyc2ccl","G24d2G1cycW1-cclsW1");

# G25
AGRGRP("exc","G25","G25");
AGRTOC("perm","G25G1-p3906aB0.m",2);
AGRTOC("perm","G25G1-p3906bB0.m",2);
AGRTOC("perm","G25G1-p7750B0.m",2);
AGRTOC("perm","G25G1-p7875B0.m",2);
AGRTOC("matff","G25G1-f2r124B0.m",2);
AGRTOC("matff","G25G1-f3r124B0.m",2);
AGRTOC("matff","G25G1-f3r651B0.m",2);
AGRTOC("matff","G25G1-f5r7B0.m",2);
AGRTOC("matff","G25G1-f5r14B0.m",2);
AGRTOC("matff","G25G1-f5r27B0.m",2);
AGRTOC("matff","G25G1-f5r64B0.m",2);
AGRTOC("matff","G25G1-f5r77aB0.m",2);
AGRTOC("matff","G25G1-f5r77bB0.m",2);
AGRTOC("matff","G25G1-f5r97B0.m",2);
AGRTOC("matff","G25G1-f5r182B0.m",2);
AGRTOC("matff","G25G1-f5r189B0.m",2);
AGRTOC("matff","G25G1-f5r196B0.m",2);
AGRTOC("matff","G25G1-f5r371B0.m",2);
AGRTOC("matff","G25G1-f5r469B0.m",2);
AGRTOC("matff","G25G1-f5r483B0.m",2);
AGRTOC("matff","G25G1-f5r721B0.m",2);
AGRTOC("matff","G25G1-f5r792B0.m",2);
AGRTOC("maxes","G25G1-max1W1");
AGRTOC("maxes","G25G1-max2W1");
AGRTOC("maxes","G25G1-max3W1");
AGRTOC("maxes","G25G1-max4W1");
AGRTOC("maxes","G25G1-max5W1");
AGRTOC("maxes","G25G1-max6W1");
AGRTOC("maxes","G25G1-max7W1");
AGRTOC("cyclic","G25G1-cycW1");
AGRTOC("cyc2ccl","G25G1cycW1-cclsW1");

# R27
AGRGRP("exc","R27","R27");
AGRTOC("perm","R27G1-p19684B0.m",2);
AGRTOC("matff","R27G1-f2r702B0.m",2);
AGRTOC("matff","R27G1-f27r7aB0.m",2);
AGRTOC("maxes","R27G1-max1W1");
AGRTOC("maxes","R27G1-max2W1");
AGRTOC("maxes","R27G1-max3W1");
AGRTOC("maxes","R27G1-max4W1");
AGRTOC("maxes","R27G1-max5W1");
AGRTOC("maxes","R27G1-max6W1");
AGRTOC("cyclic","R27G1-cycW1");
AGRTOC("cyc2ccl","R27G1cycW1-cclsW1");
AGRTOC("out","R27G1-a3W1");

# R27d3
AGRGRP("exc","R27","R27d3");
AGRTOC("perm","R27d3G1-p19684B0.m",2);
AGRTOC("matff","R27d3G1-f2r702B0.m",2);
AGRTOC("matff","R27d3G1-f3r21B0.m",2);
AGRTOC("matff","R27d3G1-f4r741B0.m",2);
AGRTOC("maxes","R27d3G1-max1W1");
AGRTOC("maxes","R27d3G1-max2W1");
AGRTOC("maxes","R27d3G1-max5W1");
AGRTOC("maxes","R27d3G1-max6W1");
AGRTOC("cyclic","R27d3G1-cycW1");
AGRTOC("switch","R27d3G2-G1W1");

# Sz32
AGRGRP("exc","Sz32","Sz32");
AGRTOC("perm","Sz32G1-p1025B0.m",2);
AGRTOC("perm","Sz32G1-p198400B0.m",2);
AGRTOC("matff","Sz32G1-f5r124aB0.m",2);
AGRTOC("matff","Sz32G1-f32r4aB0.m",2);
AGRTOC("matff","Sz32G1-f41r124bB0.m",2);
AGRTOC("maxes","Sz32G1-max1W1");
AGRTOC("maxes","Sz32G1-max2W1");
AGRTOC("maxes","Sz32G1-max3W1");
AGRTOC("maxes","Sz32G1-max4W1");
AGRTOC("cyclic","Sz32G1-cycW1");
AGRTOC("cyc2ccl","Sz32G1cycW1-cclsW1");

# Sz32d5
AGRGRP("exc","Sz32","Sz32d5");
AGRTOC("perm","Sz32d5G1-p1025B0.m",2);
AGRTOC("matff","Sz32d5G1-f2r20B0.m",2);
AGRTOC("matff","Sz32d5G1-f5r124B0.m",2);
AGRTOC("matff","Sz32d5G1-f5r248B0.m",2);
AGRTOC("matff","Sz32d5G1-f41r124B0.m",2);
AGRTOC("cyclic","Sz32d5G1-cycW1");

# 2Sz8
AGRGRP("exc","Sz8","2Sz8");
AGRTOC("perm","2Sz8G1-p1040B0.m",2);
AGRTOC("matff","2Sz8G1-f2r128B0.m",2);
AGRTOC("matff","2Sz8G1-f5r8B0.m",2);
AGRTOC("matff","2Sz8G1-f7r40B0.m",2);
AGRTOC("matff","2Sz8G1-f13r16B0.m",2);
AGRTOC("matff","2Sz8G1-f13r24B0.m",2);

# 4Sz8d3
AGRGRP("exc","Sz8","4Sz8d3");
AGRTOC("matff","4Sz8d3G1-f5r24B0.m",2);
AGRTOC("matff","4Sz8d3G1-f7r120B0.m",2);
AGRTOC("matff","4Sz8d3G1-f13r48B0.m",2);

# Sz8
AGRGRP("exc","Sz8","Sz8");
AGRTOC("perm","Sz8G1-p65B0.m",2);
AGRTOC("perm","Sz8G1-p560B0.m",2);
AGRTOC("perm","Sz8G1-p1456B0.m",2);
AGRTOC("perm","Sz8G1-p2080B0.m",2);
AGRTOC("matff","Sz8G1-f2r64B0.m",2);
AGRTOC("matff","Sz8G1-f5r14aB0.m",2);
AGRTOC("matff","Sz8G1-f5r35aB0.m",2);
AGRTOC("matff","Sz8G1-f5r35bB0.m",2);
AGRTOC("matff","Sz8G1-f5r35cB0.m",2);
AGRTOC("matff","Sz8G1-f5r63B0.m",2);
AGRTOC("matff","Sz8G1-f7r64B0.m",2);
AGRTOC("matff","Sz8G1-f7r91B0.m",2);
AGRTOC("matff","Sz8G1-f7r105B0.m",2);
AGRTOC("matff","Sz8G1-f8r4aB0.m",2);
AGRTOC("matff","Sz8G1-f8r16aB0.m",2);
AGRTOC("matff","Sz8G1-f13r14aB0.m",2);
AGRTOC("matff","Sz8G1-f13r14bB0.m",2);
AGRTOC("matff","Sz8G1-f13r35B0.m",2);
AGRTOC("matff","Sz8G1-f13r65aB0.m",2);
AGRTOC("matff","Sz8G1-f13r65bB0.m",2);
AGRTOC("matff","Sz8G1-f13r65cB0.m",2);
AGRTOC("matff","Sz8G1-f13r91B0.m",2);
AGRTOC("matff","Sz8G1-f49r14aB0.m",2);
AGRTOC("matff","Sz8G1-f125r65aB0.m",2);
AGRTOC("maxes","Sz8G1-max1W1");
AGRTOC("maxes","Sz8G1-max2W1");
AGRTOC("maxes","Sz8G1-max3W1");
AGRTOC("maxes","Sz8G1-max4W1");

# Sz8d3
AGRGRP("exc","Sz8","Sz8d3");
AGRTOC("matff","Sz8d3G1-f2r12B0.m",2);
AGRTOC("matff","Sz8d3G1-f2r48B0.m",2);
AGRTOC("matff","Sz8d3G1-f2r64B0.m",2);
AGRTOC("matff","Sz8d3G1-f5r14B0.m",2);
AGRTOC("matff","Sz8d3G1-f13r14B0.m",2);
AGRTOC("matff","Sz8d3G1-f49r14B0.m",2);
AGRTOC("maxes","Sz8d3G1-max1W1");
AGRTOC("maxes","Sz8d3G1-max2W1");
AGRTOC("maxes","Sz8d3G1-max3W1");
AGRTOC("maxes","Sz8d3G1-max4W1");
AGRTOC("maxes","Sz8d3G1-max5W1");

# TD42
AGRGRP("exc","TD42","TD42");
AGRTOC("perm","TD42G1-p819B0.m",2);
AGRTOC("matff","TD42G1-f2r26B0.m",2);
AGRTOC("matff","TD42G1-f3r25B0.m",2);
AGRTOC("matff","TD42G1-f3r52B0.m",2);
AGRTOC("matff","TD42G1-f3r196B0.m",2);
AGRTOC("matff","TD42G1-f3r324B0.m",2);
AGRTOC("matff","TD42G1-f3r441B0.m",2);
AGRTOC("matff","TD42G1-f3r1053B0.m",2);
AGRTOC("matff","TD42G1-f7r26B0.m",2);
AGRTOC("matff","TD42G1-f7r298B0.m",2);
AGRTOC("matff","TD42G1-f8r8aB0.m",2);
AGRTOC("matff","TD42G1-f13r26B0.m",2);
AGRTOC("matff","TD42G1-f27r351aB0.m",2);
AGRTOC("matff","TD42G1-f27r351bB0.m",2);
AGRTOC("matff","TD42G1-f27r351cB0.m",2);
AGRTOC("maxes","TD42G1-max1W1");
AGRTOC("maxes","TD42G1-max2W1");
AGRTOC("maxes","TD42G1-max3W1");
AGRTOC("maxes","TD42G1-max4W1");
AGRTOC("maxes","TD42G1-max5W1");
AGRTOC("maxes","TD42G1-max6W1");
AGRTOC("maxes","TD42G1-max7W1");
AGRTOC("maxes","TD42G1-max8W1");
AGRTOC("maxes","TD42G1-max9W1");
AGRTOC("cyclic","TD42G1-cycW1");
AGRTOC("cyc2ccl","TD42G1cycW1-cclsW1");
AGRTOC("out","TD42G1-a3W1");

# TD42d3
AGRGRP("exc","TD42","TD42d3");
AGRTOC("matff","TD42d3G1-f2r24B0.m",2);
AGRTOC("matff","TD42d3G1-f2r26B0.m",2);
AGRTOC("matff","TD42d3G1-f2r144B0.m",2);
AGRTOC("matff","TD42d3G1-f2r246aB0.m",2);
AGRTOC("matff","TD42d3G1-f2r480B0.m",2);
AGRTOC("matff","TD42d3G1-f3r52B0.m",2);
AGRTOC("matff","TD42d3G1-f3r196B0.m",2);
AGRTOC("matff","TD42d3G1-f7r26aB0.m",2);
AGRTOC("matff","TD42d3G1-f7r52aB0.m",2);
AGRTOC("matff","TD42d3G1-f7r273aB0.m",2);
AGRTOC("matff","TD42d3G1-f7r298aB0.m",2);
AGRTOC("matff","TD42d3G1-f7r467aB0.m",2);
AGRTOC("matff","TD42d3G1-f13r26aB0.m",2);
AGRTOC("maxes","TD42d3G1-max4W1");
AGRTOC("cyclic","TD42d3G1-cycW1");
AGRTOC("cyc2ccl","TD42d3G1cycW1-cclsW1");

# TD43
AGRGRP("exc","TD43","TD43");
AGRTOC("perm","TD43G1-p26572B0.m",2);
AGRTOC("matff","TD43G1-f2r218B0.m",2);
AGRTOC("matff","TD43G1-f27r8aB0.m",2);

# 2TE62
AGRGRP("exc","TE62","2TE62");
AGRTOC("matff","2TE62G1-f2r1704B0.m",2);

# 2TE62d2
AGRGRP("exc","TE62","2TE62d2");
AGRTOC("matff","2TE62d2G1-f2r1705B0.m",2);
AGRTOC("matff","2TE62d2G1-f3r2432B0.m",2);

# 3TE62
AGRGRP("exc","TE62","3TE62");
AGRTOC("matff","3TE62G1-f4r27B0.m",2);

# 3TE62S3
AGRGRP("exc","TE62","3TE62S3");
AGRTOC("matff","3TE62S3G0-f2r54B0.m",2);

# 3TE62d2
AGRGRP("exc","TE62","3TE62d2");
AGRTOC("matff","3TE62d2G1-f2r54B0.m",2);

# 3TE62d3
AGRGRP("exc","TE62","3TE62d3");
AGRTOC("matff","3TE62d3G0-f4r27B0.m",2);

# 4TE62
AGRGRP("exc","TE62","4TE62");
AGRTOC("matff","4TE62G1-f2r1706B0.m",2);

# TE62
AGRGRP("exc","TE62","TE62");
AGRTOC("matff","TE62G1-f2r78B0.m",2);
AGRTOC("matff","TE62G1-f2r1705aB0.m",2);
AGRTOC("out","TE62G1-a2W1");
AGRTOC("out","TE62G1-a3W1");

# TE62S3
AGRGRP("exc","TE62","TE62S3");
AGRTOC("matff","TE62S3G0-f2r78B0.m",2);

# TE62d2
AGRGRP("exc","TE62","TE62d2");
AGRTOC("matff","TE62d2G1-f2r78B0.m",2);
AGRTOC("matff","TE62d2G1-f3r1938B0.m",2);

# TE62d3
AGRGRP("exc","TE62","TE62d3");
AGRTOC("matff","TE62d3G0-f2r78B0.m",2);

# TF42
AGRGRP("exc","TF42","TF42");
AGRTOC("perm","TF42G1-p1600B0.m",2);
AGRTOC("perm","TF42G1-p1755B0.m",2);
AGRTOC("perm","TF42G1-p2304B0.m",2);
AGRTOC("perm","TF42G1-p2925B0.m",2);
AGRTOC("perm","TF42G1-p12480B0.m",2);
AGRTOC("perm","TF42G1-p14976B0.m",2);
AGRTOC("matff","TF42G1-f2r26B0.m",2);
AGRTOC("matff","TF42G1-f2r246B0.m",2);
AGRTOC("matff","TF42G1-f3r26aB0.m",2);
AGRTOC("matff","TF42G1-f3r26bB0.m",2);
AGRTOC("matff","TF42G1-f3r54B0.m",2);
AGRTOC("matff","TF42G1-f3r77B0.m",2);
AGRTOC("matff","TF42G1-f3r124aB0.m",2);
AGRTOC("matff","TF42G1-f3r124bB0.m",2);
AGRTOC("matff","TF42G1-f4r2048aB0.m",2);
AGRTOC("matff","TF42G1-f5r27aB0.m",2);
AGRTOC("matff","TF42G1-f5r27bB0.m",2);
AGRTOC("matff","TF42G1-f5r52B0.m",2);
AGRTOC("matff","TF42G1-f5r78B0.m",2);
AGRTOC("matff","TF42G1-f5r218B0.m",2);
AGRTOC("matff","TF42G1-f9r27aB0.m",2);
AGRTOC("matff","TF42G1-f9r27bB0.m",2);
AGRTOC("matff","TF42G1-f13r27aB0.m",2);
AGRTOC("matff","TF42G1-f13r27bB0.m",2);
AGRTOC("matff","TF42G1-f13r52B0.m",2);
AGRTOC("matff","TF42G1-f13r78B0.m",2);
AGRTOC("matff","TF42G1-f25r26aB0.m",2);
AGRTOC("matff","TF42G1-f25r26bB0.m",2);
AGRTOC("matff","TF42G1-f25r109aB0.m",2);
AGRTOC("matff","TF42G1-f25r109bB0.m",2);
AGRTOC("matff","TF42G1-f169r26B0.m",2);
AGRTOC("maxes","TF42G1-max1W1");
AGRTOC("maxes","TF42G1-max2W1");
AGRTOC("maxes","TF42G1-max3W1");
AGRTOC("maxes","TF42G1-max4W1");
AGRTOC("maxes","TF42G1-max5W1");
AGRTOC("maxes","TF42G1-max6W1");
AGRTOC("maxes","TF42G1-max7W1");
AGRTOC("maxes","TF42G1-max8W1");
AGRTOC("cyclic","TF42G1-cycW1");
AGRTOC("cyc2ccl","TF42G1cycW1-cclsW1");

# TF42d2
AGRGRP("exc","TF42","TF42d2");
AGRTOC("perm","TF42d2G1-p1755B0.m",2);
AGRTOC("perm","TF42d2G1-p2304B0.m",2);
AGRTOC("matff","TF42d2G1-f2r26B0.m",2);
AGRTOC("matff","TF42d2G1-f2r246B0.m",2);
AGRTOC("matff","TF42d2G1-f3r52B0.m",2);
AGRTOC("matff","TF42d2G1-f3r54B0.m",2);
AGRTOC("matff","TF42d2G1-f3r77B0.m",2);
AGRTOC("matff","TF42d2G1-f5r27B0.m",2);
AGRTOC("matff","TF42d2G1-f5r52B0.m",2);
AGRTOC("matff","TF42d2G1-f5r78B0.m",2);
AGRTOC("matff","TF42d2G1-f5r218B0.m",2);
AGRTOC("matff","TF42d2G1-f13r27aB0.m",2);
AGRTOC("matff","TF42d2G1-f13r27bB0.m",2);
AGRTOC("matff","TF42d2G1-f13r78B0.m",2);
AGRTOC("matff","TF42d2G1-f13r1374B0.m",2);
AGRTOC("maxes","TF42d2G1-max1W1");

# 2L211
AGRGRP("lin","L211","2L211");
AGRTOC("matff","2L211G1-f11r2B0.m",2);
AGRTOC("matff","2L211G1-f11r4B0.m",2);
AGRTOC("matff","2L211G1-f11r6B0.m",2);
AGRTOC("matff","2L211G1-f11r8B0.m",2);
AGRTOC("matff","2L211G1-f11r10B0.m",2);

# L211
AGRGRP("lin","L211","L211");
AGRTOC("perm","L211G1-p11aB0.m",2);
AGRTOC("perm","L211G1-p11bB0.m",2);
AGRTOC("perm","L211G1-p12B0.m",2);
AGRTOC("perm","L211G1-p55B0.m",2);
AGRTOC("matff","L211G1-f2r10B0.m",2);
AGRTOC("matff","L211G1-f2r10bB0.m",2);
AGRTOC("matff","L211G1-f2r24B0.m",2);
AGRTOC("matff","L211G1-f3r5aB0.m",2);
AGRTOC("matff","L211G1-f3r5bB0.m",2);
AGRTOC("matff","L211G1-f3r10B0.m",2);
AGRTOC("matff","L211G1-f3r24B0.m",2);
AGRTOC("matff","L211G1-f4r5aB0.m",2);
AGRTOC("matff","L211G1-f4r5bB0.m",2);
AGRTOC("matff","L211G1-f4r12aB0.m",2);
AGRTOC("matff","L211G1-f4r12bB0.m",2);
AGRTOC("matff","L211G1-f5r5aB0.m",2);
AGRTOC("matff","L211G1-f5r5bB0.m",2);
AGRTOC("matff","L211G1-f5r10aB0.m",2);
AGRTOC("matff","L211G1-f5r10bB0.m",2);
AGRTOC("matff","L211G1-f5r11B0.m",2);
AGRTOC("matff","L211G1-f9r12aB0.m",2);
AGRTOC("matff","L211G1-f9r12bB0.m",2);
AGRTOC("matff","L211G1-f11r3B0.m",2);
AGRTOC("matff","L211G1-f11r5B0.m",2);
AGRTOC("matff","L211G1-f11r7B0.m",2);
AGRTOC("matff","L211G1-f11r9B0.m",2);
AGRTOC("matff","L211G1-f11r11B0.m",2);
AGRTOC("maxes","L211G1-max1W1");
AGRTOC("maxes","L211G1-max2W1");
AGRTOC("maxes","L211G1-max3W1");
AGRTOC("maxes","L211G1-max4W1");
AGRTOC("cyclic","L211G1-cycW1");
AGRTOC("cyc2ccl","L211G1cycW1-cclsW1");

# L211d2
AGRGRP("lin","L211","L211d2");
AGRTOC("perm","L211d2G1-p12B0.m",2);
AGRTOC("perm","L211d2G1-p22B0.m",2);
AGRTOC("perm","L211d2G1-p55aB0.m",2);
AGRTOC("perm","L211d2G1-p55bB0.m",2);
AGRTOC("perm","L211d2G1-p66B0.m",2);
AGRTOC("matff","L211d2G1-f2r10aB0.m",2);
AGRTOC("matff","L211d2G1-f2r10bB0.m",2);
AGRTOC("matff","L211d2G1-f4r12aB0.m",2);
AGRTOC("matff","L211d2G1-f4r12bB0.m",2);
AGRTOC("matff","L211d2G1-f11r3B0.m",2);
AGRTOC("matff","L211d2G1-f11r5B0.m",2);
AGRTOC("matff","L211d2G1-f11r7B0.m",2);
AGRTOC("matff","L211d2G1-f11r9B0.m",2);
AGRTOC("matff","L211d2G1-f11r11B0.m",2);
AGRTOC("maxes","L211d2G1-max1W1");
AGRTOC("maxes","L211d2G1-max2W1");
AGRTOC("maxes","L211d2G1-max3W1");
AGRTOC("maxes","L211d2G1-max4W1");
AGRTOC("maxes","L211d2G1-max5W1");
AGRTOC("cyclic","L211d2G1-cycW1");
AGRTOC("cyc2ccl","L211d2G1cycW1-cclsW1");

# 2L213
AGRGRP("lin","L213","2L213");
AGRTOC("matff","2L213G1-f3r6aB0.m",2);
AGRTOC("matff","2L213G1-f3r6bB0.m",2);
AGRTOC("matff","2L213G1-f3r14B0.m",2);
AGRTOC("matff","2L213G1-f7r14aB0.m",2);
AGRTOC("matff","2L213G1-f13r2B0.m",2);
AGRTOC("matff","2L213G1-f13r4B0.m",2);
AGRTOC("matff","2L213G1-f13r6B0.m",2);
AGRTOC("matff","2L213G1-f13r8B0.m",2);
AGRTOC("matff","2L213G1-f13r10B0.m",2);
AGRTOC("matff","2L213G1-f13r12B0.m",2);
AGRTOC("matff","2L213G1-f27r12aB0.m",2);
AGRTOC("matff","2L213G1-f27r12bB0.m",2);
AGRTOC("matff","2L213G1-f27r12cB0.m",2);
AGRTOC("matff","2L213G1-f49r6aB0.m",2);
AGRTOC("matff","2L213G1-f49r6bB0.m",2);
AGRTOC("matff","2L213G1-f49r14bB0.m",2);
AGRTOC("matff","2L213G1-f49r14cB0.m",2);

# 2L213d2
AGRGRP("lin","L213","2L213d2");
AGRTOC("matff","2L213d2G1-f3r12aB0.m",2);

# L213
AGRGRP("lin","L213","L213");
AGRTOC("perm","L213G1-p14B0.m",2);
AGRTOC("matff","L213G1-f2r14B0.m",2);
AGRTOC("matff","L213G1-f3r13B0.m",2);
AGRTOC("matff","L213G1-f4r6aB0.m",2);
AGRTOC("matff","L213G1-f4r6bB0.m",2);
AGRTOC("matff","L213G1-f7r12B0.m",2);
AGRTOC("matff","L213G1-f8r12aB0.m",2);
AGRTOC("matff","L213G1-f8r12bB0.m",2);
AGRTOC("matff","L213G1-f8r12cB0.m",2);
AGRTOC("matff","L213G1-f13r3B0.m",2);
AGRTOC("matff","L213G1-f13r5B0.m",2);
AGRTOC("matff","L213G1-f13r7B0.m",2);
AGRTOC("matff","L213G1-f13r9B0.m",2);
AGRTOC("matff","L213G1-f13r11B0.m",2);
AGRTOC("matff","L213G1-f13r13B0.m",2);
AGRTOC("cyclic","L213G1-cycW1");
AGRTOC("cyc2ccl","L213G1cycW1-cclsW1");
AGRTOC("out","L213G1-a2W1");

# L213d2
AGRGRP("lin","L213","L213d2");
AGRTOC("perm","L213d2G1-p14B0.m",2);
AGRTOC("perm","L213d2G1-p78B0.m",2);
AGRTOC("perm","L213d2G1-p91aB0.m",2);
AGRTOC("matff","L213d2G1-f2r12aB0.m",2);
AGRTOC("matff","L213d2G1-f2r14B0.m",2);
AGRTOC("matff","L213d2G1-f13r3aB0.m",2);
AGRTOC("cyclic","L213d2G1-cycW1");
AGRTOC("cyc2ccl","L213d2G1cycW1-cclsW1");

# L216
AGRGRP("lin","L216","L216");
AGRTOC("perm","L216G1-p17B0.m",2);
AGRTOC("matff","L216G1-f3r16B0.m",2);
AGRTOC("matff","L216G1-f5r16B0.m",2);
AGRTOC("matff","L216G1-f9r17aB0.m",2);
AGRTOC("matff","L216G1-f9r17bB0.m",2);
AGRTOC("matff","L216G1-f16r2aB0.m",2);
AGRTOC("matff","L216G1-f17r15B0.m",2);
AGRTOC("matff","L216G1-f17r17B0.m",2);
AGRTOC("matff","L216G1-f17r34B0.m",2);
AGRTOC("matff","L216G1-f17r68B0.m",2);
AGRTOC("cyclic","L216G1-cycW1");
AGRTOC("cyc2ccl","L216G1cycW1-cclsW1");
AGRTOC("out","L216G1-a2W1");
AGRTOC("out","L216G1-a4W1");

# L216d2
AGRGRP("lin","L216","L216d2");
AGRTOC("matff","L216d2G1-f4r4aB0.m",2);
AGRTOC("cyclic","L216d2G1-cycW1");
AGRTOC("cyc2ccl","L216d2G1cycW1-cclsW1");

# L216d4
AGRGRP("lin","L216","L216d4");
AGRTOC("matff","L216d4G1-f2r8aB0.m",2);
AGRTOC("matff","L216d4G1-f2r8bB0.m",2);
AGRTOC("matff","L216d4G1-f2r16aB0.m",2);
AGRTOC("matff","L216d4G1-f2r16bB0.m",2);
AGRTOC("matff","L216d4G1-f2r32B0.m",2);
AGRTOC("matff","L216d4G1-f3r16aB0.m",2);
AGRTOC("matff","L216d4G1-f5r16aB0.m",2);
AGRTOC("matff","L216d4G1-f5r17aB0.m",2);
AGRTOC("matff","L216d4G1-f9r60aB0.m",2);
AGRTOC("matff","L216d4G1-f9r60bB0.m",2);
AGRTOC("matff","L216d4G1-f17r15aB0.m",2);
AGRTOC("matff","L216d4G1-f17r17aB0.m",2);
AGRTOC("matff","L216d4G1-f17r34aB0.m",2);
AGRTOC("matff","L216d4G1-f17r68B0.m",2);
AGRTOC("matff","L216d4G1-f25r60aB0.m",2);
AGRTOC("matff","L216d4G1-f25r60bB0.m",2);
AGRTOC("cyclic","L216d4G1-cycW1");
AGRTOC("cyc2ccl","L216d4G1cycW1-cclsW1");

# 2L217
AGRGRP("lin","L217","2L217");
AGRTOC("matff","2L217G1-f9r8aB0.m",2);
AGRTOC("matff","2L217G1-f9r8bB0.m",2);
AGRTOC("matff","2L217G1-f17r2B0.m",2);
AGRTOC("matff","2L217G1-f17r4B0.m",2);
AGRTOC("matff","2L217G1-f17r6B0.m",2);
AGRTOC("matff","2L217G1-f17r8B0.m",2);
AGRTOC("matff","2L217G1-f17r10B0.m",2);
AGRTOC("matff","2L217G1-f17r12B0.m",2);
AGRTOC("matff","2L217G1-f17r14B0.m",2);
AGRTOC("matff","2L217G1-f17r16B0.m",2);

# 2L217d2
AGRGRP("lin","L217","2L217d2");
AGRTOC("matff","2L217d2G1-f3r16B0.m",2);

# L217
AGRGRP("lin","L217","L217");
AGRTOC("perm","L217G1-p18B0.m",2);
AGRTOC("matff","L217G1-f2r8aB0.m",2);
AGRTOC("matff","L217G1-f2r8bB0.m",2);
AGRTOC("matff","L217G1-f2r16aB0.m",2);
AGRTOC("matff","L217G1-f2r48B0.m",2);
AGRTOC("matff","L217G1-f3r16B0.m",2);
AGRTOC("matff","L217G1-f3r18aB0.m",2);
AGRTOC("matff","L217G1-f8r16bB0.m",2);
AGRTOC("matff","L217G1-f8r16cB0.m",2);
AGRTOC("matff","L217G1-f8r16dB0.m",2);
AGRTOC("matff","L217G1-f9r9aB0.m",2);
AGRTOC("matff","L217G1-f9r9bB0.m",2);
AGRTOC("matff","L217G1-f9r18bB0.m",2);
AGRTOC("matff","L217G1-f9r18cB0.m",2);
AGRTOC("matff","L217G1-f17r3B0.m",2);
AGRTOC("matff","L217G1-f17r5B0.m",2);
AGRTOC("matff","L217G1-f17r7B0.m",2);
AGRTOC("matff","L217G1-f17r9B0.m",2);
AGRTOC("matff","L217G1-f17r11B0.m",2);
AGRTOC("matff","L217G1-f17r13B0.m",2);
AGRTOC("matff","L217G1-f17r15B0.m",2);
AGRTOC("matff","L217G1-f17r17B0.m",2);
AGRTOC("cyclic","L217G1-cycW1");
AGRTOC("cyc2ccl","L217G1cycW1-cclsW1");

# L217d2
AGRGRP("lin","L217","L217d2");
AGRTOC("perm","L217d2G1-p18B0.m",2);
AGRTOC("matff","L217d2G1-f17r3B0.m",2);

# 2L219
AGRGRP("lin","L219","2L219");
AGRTOC("perm","2L219G1-p40B0.m",2);
AGRTOC("matff","2L219G1-f19r2B0.m",2);

# 2L219d2i
AGRGRP("lin","L219","2L219d2i");
AGRTOC("matff","2L219d2iG1-f3r20B0.m",2);
AGRTOC("matff","2L219d2iG1-f5r20B0.m",2);
AGRTOC("matff","2L219d2iG1-f19r2aB0.m",2);

# L219
AGRGRP("lin","L219","L219");
AGRTOC("perm","L219G1-p20B0.m",2);
AGRTOC("perm","L219G1-p57aB0.m",2);
AGRTOC("perm","L219G1-p57bB0.m",2);
AGRTOC("perm","L219G1-p171B0.m",2);
AGRTOC("perm","L219G1-p190B0.m",2);
AGRTOC("matff","L219G1-f2r20aB0.m",2);
AGRTOC("matff","L219G1-f3r19B0.m",2);
AGRTOC("matff","L219G1-f4r9aB0.m",2);
AGRTOC("matff","L219G1-f4r9bB0.m",2);
AGRTOC("matff","L219G1-f4r18aB0.m",2);
AGRTOC("matff","L219G1-f4r18bB0.m",2);
AGRTOC("matff","L219G1-f5r9aB0.m",2);
AGRTOC("matff","L219G1-f5r9bB0.m",2);
AGRTOC("matff","L219G1-f5r18B0.m",2);
AGRTOC("matff","L219G1-f5r20aB0.m",2);
AGRTOC("matff","L219G1-f8r20bB0.m",2);
AGRTOC("matff","L219G1-f8r20cB0.m",2);
AGRTOC("matff","L219G1-f8r20dB0.m",2);
AGRTOC("matff","L219G1-f9r9aB0.m",2);
AGRTOC("matff","L219G1-f9r9bB0.m",2);
AGRTOC("matff","L219G1-f9r18aB0.m",2);
AGRTOC("matff","L219G1-f9r18bB0.m",2);
AGRTOC("matff","L219G1-f9r18cB0.m",2);
AGRTOC("matff","L219G1-f9r18dB0.m",2);
AGRTOC("matff","L219G1-f19r3B0.m",2);
AGRTOC("matff","L219G1-f19r5B0.m",2);
AGRTOC("matff","L219G1-f19r7B0.m",2);
AGRTOC("matff","L219G1-f19r9B0.m",2);
AGRTOC("matff","L219G1-f19r11B0.m",2);
AGRTOC("matff","L219G1-f19r13B0.m",2);
AGRTOC("matff","L219G1-f19r15B0.m",2);
AGRTOC("matff","L219G1-f19r17B0.m",2);
AGRTOC("matff","L219G1-f19r19B0.m",2);
AGRTOC("matff","L219G1-f125r20bB0.m",2);
AGRTOC("matff","L219G1-f125r20cB0.m",2);
AGRTOC("matff","L219G1-f125r20dB0.m",2);
AGRTOC("cyclic","L219G1-cycW1");
AGRTOC("cyc2ccl","L219G1cycW1-cclsW1");

# L219d2
AGRGRP("lin","L219","L219d2");
AGRTOC("perm","L219d2G1-p20B0.m",2);
AGRTOC("perm","L219d2G1-p114B0.m",2);
AGRTOC("perm","L219d2G1-p171B0.m",2);
AGRTOC("perm","L219d2G1-p190B0.m",2);
AGRTOC("perm","L219d2G1-p285B0.m",2);
AGRTOC("matff","L219d2G1-f19r3B0.m",2);
AGRTOC("cyclic","L219d2G1-cycW1");
AGRTOC("cyc2ccl","L219d2G1cycW1-cclsW1");

# 2L223
AGRGRP("lin","L223","2L223");
AGRTOC("matff","2L223G1-f23r2B0.m",2);

# 2L223d2i
AGRGRP("lin","L223","2L223d2i");
AGRTOC("matff","2L223d2iG1-f23r2B0.m",2);

# L223
AGRGRP("lin","L223","L223");
AGRTOC("perm","L223G1-p24B0.m",2);
AGRTOC("matff","L223G1-f2r11aB0.m",2);
AGRTOC("matff","L223G1-f2r11bB0.m",2);
AGRTOC("matff","L223G1-f2r22B0.m",2);
AGRTOC("matff","L223G1-f3r22aB0.m",2);
AGRTOC("matff","L223G1-f11r23B0.m",2);
AGRTOC("matff","L223G1-f23r3B0.m",2);
AGRTOC("matff","L223G1-f23r5B0.m",2);
AGRTOC("matff","L223G1-f23r7B0.m",2);
AGRTOC("matff","L223G1-f23r9B0.m",2);
AGRTOC("matff","L223G1-f23r11B0.m",2);
AGRTOC("matff","L223G1-f23r13B0.m",2);
AGRTOC("matff","L223G1-f23r15B0.m",2);
AGRTOC("matff","L223G1-f23r17B0.m",2);
AGRTOC("matff","L223G1-f23r19B0.m",2);
AGRTOC("matff","L223G1-f23r21B0.m",2);
AGRTOC("matff","L223G1-f23r23B0.m",2);
AGRTOC("matff","L223G1-f32r24aB0.m",2);
AGRTOC("matff","L223G1-f32r24bB0.m",2);
AGRTOC("matff","L223G1-f32r24cB0.m",2);
AGRTOC("matff","L223G1-f32r24dB0.m",2);
AGRTOC("matff","L223G1-f32r24eB0.m",2);
AGRTOC("cyclic","L223G1-cycW1");
AGRTOC("cyc2ccl","L223G1cycW1-cclsW1");
AGRTOC("out","L223G1-a2W1");

# L223d2
AGRGRP("lin","L223","L223d2");
AGRTOC("matff","L223d2G1-f2r22aB0.m",2);
AGRTOC("matff","L223d2G1-f23r3aB0.m",2);
AGRTOC("cyclic","L223d2G1-cycW1");
AGRTOC("cyc2ccl","L223d2G1cycW1-cclsW1");

# L227
AGRGRP("lin","L227","L227");
AGRTOC("perm","L227G1-p28B0.m",2);
AGRTOC("matff","L227G1-f3r27B0.m",2);
AGRTOC("matff","L227G1-f4r13aB0.m",2);
AGRTOC("matff","L227G1-f4r13bB0.m",2);
AGRTOC("matff","L227G1-f7r26B0.m",2);
AGRTOC("matff","L227G1-f13r27B0.m",2);
AGRTOC("matff","L227G1-f27r2aB0.m",2);
AGRTOC("matff","L227G1-f27r2bB0.m",2);
AGRTOC("matff","L227G1-f27r2cB0.m",2);
AGRTOC("matff","L227G1-f27r3aB0.m",2);
AGRTOC("cyclic","L227G1-cycW1");
AGRTOC("cyc2ccl","L227G1cycW1-cclsW1");

# 2L229
AGRGRP("lin","L229","2L229");
AGRTOC("matff","2L229G1-f29r2B0.m",2);

# L229
AGRGRP("lin","L229","L229");
AGRTOC("perm","L229G1-p30B0.m",2);
AGRTOC("matff","L229G1-f3r28aB0.m",2);
AGRTOC("matff","L229G1-f4r14aB0.m",2);
AGRTOC("matff","L229G1-f4r14bB0.m",2);
AGRTOC("matff","L229G1-f5r28bB0.m",2);
AGRTOC("matff","L229G1-f7r29B0.m",2);
AGRTOC("matff","L229G1-f29r3B0.m",2);
AGRTOC("matff","L229G1-f29r5B0.m",2);
AGRTOC("matff","L229G1-f29r7B0.m",2);
AGRTOC("matff","L229G1-f29r9B0.m",2);
AGRTOC("matff","L229G1-f29r11B0.m",2);
AGRTOC("matff","L229G1-f29r13B0.m",2);
AGRTOC("matff","L229G1-f29r15B0.m",2);
AGRTOC("matff","L229G1-f29r17B0.m",2);
AGRTOC("matff","L229G1-f29r19B0.m",2);
AGRTOC("matff","L229G1-f29r21B0.m",2);
AGRTOC("matff","L229G1-f29r23B0.m",2);
AGRTOC("matff","L229G1-f29r25B0.m",2);
AGRTOC("matff","L229G1-f29r27B0.m",2);
AGRTOC("matff","L229G1-f29r29B0.m",2);
AGRTOC("cyclic","L229G1-cycW1");
AGRTOC("cyc2ccl","L229G1cycW1-cclsW1");

# 2L231
AGRGRP("lin","L231","2L231");
AGRTOC("matff","2L231G1-f5r16aB0.m",2);
AGRTOC("matff","2L231G1-f31r2B0.m",2);

# L231
AGRGRP("lin","L231","L231");
AGRTOC("perm","L231G1-p32B0.m",2);
AGRTOC("matff","L231G1-f2r15aB0.m",2);
AGRTOC("matff","L231G1-f2r15bB0.m",2);
AGRTOC("matff","L231G1-f2r32B0.m",2);
AGRTOC("matff","L231G1-f3r31B0.m",2);
AGRTOC("matff","L231G1-f4r32bB0.m",2);
AGRTOC("matff","L231G1-f4r32cB0.m",2);
AGRTOC("matff","L231G1-f5r31B0.m",2);
AGRTOC("matff","L231G1-f16r32dB0.m",2);
AGRTOC("matff","L231G1-f16r32eB0.m",2);
AGRTOC("matff","L231G1-f16r32fB0.m",2);
AGRTOC("matff","L231G1-f16r32gB0.m",2);
AGRTOC("matff","L231G1-f31r3B0.m",2);
AGRTOC("matff","L231G1-f31r31B0.m",2);
AGRTOC("cyclic","L231G1-cycW1");
AGRTOC("cyc2ccl","L231G1cycW1-cclsW1");

# L231d2
AGRGRP("lin","L231","L231d2");
AGRTOC("matff","L231d2G1-f2r30B0.m",2);

# L232
AGRGRP("lin","L232","L232");
AGRTOC("perm","L232G1-p33B0.m",2);
AGRTOC("perm","L232G1-p496B0.m",2);
AGRTOC("perm","L232G1-p528B0.m",2);
AGRTOC("matff","L232G1-f3r31aB0.m",2);
AGRTOC("matff","L232G1-f11r31bB0.m",2);
AGRTOC("matff","L232G1-f31r32B0.m",2);
AGRTOC("matff","L232G1-f32r2aB0.m",2);
AGRTOC("matint","L232G1-Zr32B0.g");
AGRTOC("matalg","L232G1-Ar33aB0.g");
AGRTOC("maxes","L232G1-max1W1");
AGRTOC("maxes","L232G1-max1W2");
AGRTOC("maxes","L232G1-max2W1");
AGRTOC("maxes","L232G1-max3W1");
AGRTOC("cyclic","L232G1-cycW1");
AGRTOC("cyc2ccl","L232G1cycW1-cclsW1");
AGRTOC("out","L232G1-a5W1");

# L232d5
AGRGRP("lin","L232","L232d5");
AGRTOC("perm","L232d5G1-p33B0.m",2);
AGRTOC("perm","L232d5G1-p496B0.m",2);
AGRTOC("perm","L232d5G1-p528B0.m",2);
AGRTOC("matff","L232d5G1-f2r10B0.m",2);
AGRTOC("matff","L232d5G1-f2r20aB0.m",2);
AGRTOC("matff","L232d5G1-f2r20bB0.m",2);
AGRTOC("matff","L232d5G1-f2r32B0.m",2);
AGRTOC("matff","L232d5G1-f2r40aB0.m",2);
AGRTOC("matff","L232d5G1-f2r40bB0.m",2);
AGRTOC("matff","L232d5G1-f2r80B0.m",2);
AGRTOC("maxes","L232d5G1-max1W1");
AGRTOC("maxes","L232d5G1-max2W1");
AGRTOC("maxes","L232d5G1-max2W2");
AGRTOC("maxes","L232d5G1-max3W1");
AGRTOC("maxes","L232d5G1-max3W2");
AGRTOC("maxes","L232d5G1-max4W1");
AGRTOC("maxes","L232d5G1-max4W2");
AGRTOC("cyclic","L232d5G1-cycW1");
AGRTOC("cyc2ccl","L232d5G1cycW1-cclsW1");

# 2L249
AGRGRP("lin","L249","2L249");
AGRTOC("matff","2L249G1-f49r2aB0.m",2);
AGRTOC("matff","2L249G1-f49r2bB0.m",2);

# L249
AGRGRP("lin","L249","L249");
AGRTOC("perm","L249G1-p50B0.m",2);
AGRTOC("perm","L249G1-p175aB0.m",2);
AGRTOC("perm","L249G1-p175bB0.m",2);
AGRTOC("perm","L249G1-p980aB0.m",2);
AGRTOC("perm","L249G1-p980bB0.m",2);
AGRTOC("perm","L249G1-p1176B0.m",2);
AGRTOC("perm","L249G1-p1225B0.m",2);
AGRTOC("matff","L249G1-f7r4B0.m",2);
AGRTOC("matff","L249G1-f49r3aB0.m",2);
AGRTOC("matff","L249G1-f49r3bB0.m",2);

# L28
AGRGRP("lin","L28","L28");
AGRTOC("perm","L28G1-p9B0.m",2);
AGRTOC("perm","L28G1-p28B0.m",2);
AGRTOC("perm","L28G1-p36B0.m",2);
AGRTOC("matff","L28G1-f2r6B0.m",2);
AGRTOC("matff","L28G1-f2r8B0.m",2);
AGRTOC("matff","L28G1-f2r12B0.m",2);
AGRTOC("matff","L28G1-f3r7B0.m",2);
AGRTOC("matff","L28G1-f3r27B0.m",2);
AGRTOC("matff","L28G1-f7r7aB0.m",2);
AGRTOC("matff","L28G1-f7r8B0.m",2);
AGRTOC("matff","L28G1-f7r21B0.m",2);
AGRTOC("matff","L28G1-f8r2aB0.m",2);
AGRTOC("matff","L28G1-f8r2bB0.m",2);
AGRTOC("matff","L28G1-f8r2cB0.m",2);
AGRTOC("matff","L28G1-f8r4aB0.m",2);
AGRTOC("matff","L28G1-f8r4bB0.m",2);
AGRTOC("matff","L28G1-f8r4cB0.m",2);
AGRTOC("matff","L28G1-f27r9aB0.m",2);
AGRTOC("matff","L28G1-f27r9bB0.m",2);
AGRTOC("matff","L28G1-f27r9cB0.m",2);
AGRTOC("matint","L28G1-Zr8B0.g");
AGRTOC("matint","L28G1-Zr27B0.g");
AGRTOC("maxes","L28G1-max1W1");
AGRTOC("maxes","L28G1-max2W1");
AGRTOC("maxes","L28G1-max3W1");
AGRTOC("classes","L28G1-cclsW1");
AGRTOC("cyclic","L28G1-cycW1");
AGRTOC("cyc2ccl","L28G1cycW1-cclsW1");

# L28d3
AGRGRP("lin","L28","L28d3");
AGRTOC("perm","L28d3G1-p9B0.m",2);
AGRTOC("perm","L28d3G1-p28B0.m",2);
AGRTOC("perm","L28d3G1-p36B0.m",2);
AGRTOC("matff","L28d3G1-f2r6B0.m",2);
AGRTOC("matff","L28d3G1-f2r8B0.m",2);
AGRTOC("matff","L28d3G1-f2r12B0.m",2);
AGRTOC("matff","L28d3G1-f3r7B0.m",2);
AGRTOC("matff","L28d3G1-f3r27B0.m",2);
AGRTOC("matff","L28d3G1-f7r7B0.m",2);
AGRTOC("matff","L28d3G1-f7r8B0.m",2);
AGRTOC("matff","L28d3G1-f7r21B0.m",2);
AGRTOC("matint","L28d3G1-Zr7B0.g");
AGRTOC("matint","L28d3G1-Zr8B0.g");
AGRTOC("matint","L28d3G1-Zr21B0.g");
AGRTOC("matint","L28d3G1-Zr27B0.g");
AGRTOC("classes","L28d3G1-cclsW1");
AGRTOC("cyclic","L28d3G1-cycW1");
AGRTOC("cyc2ccl","L28d3G1cycW1-cclsW1");

# L311
AGRGRP("lin","L311","L311");
AGRTOC("perm","L311G1-p133B0.m",2);
AGRTOC("matff","L311G1-f2r132B0.m",2);
AGRTOC("matff","L311G1-f3r132B0.m",2);
AGRTOC("matff","L311G1-f5r132B0.m",2);
AGRTOC("matff","L311G1-f7r131B0.m",2);
AGRTOC("matff","L311G1-f11r3aB0.m",2);
AGRTOC("matff","L311G1-f19r131B0.m",2);
AGRTOC("matint","L311G1-Zr132B0.g");

# L33
AGRGRP("lin","L33","L33");
AGRTOC("perm","L33G1-p13aB0.m",2);
AGRTOC("perm","L33G1-p13bB0.m",2);
AGRTOC("perm","L33G1-p144B0.m",2);
AGRTOC("perm","L33G1-p234B0.m",2);
AGRTOC("matff","L33G1-f2r12B0.m",2);
AGRTOC("matff","L33G1-f2r26B0.m",2);
AGRTOC("matff","L33G1-f3r3aB0.m",2);
AGRTOC("matff","L33G1-f3r3bB0.m",2);
AGRTOC("matff","L33G1-f3r6aB0.m",2);
AGRTOC("matff","L33G1-f3r6bB0.m",2);
AGRTOC("matff","L33G1-f3r7B0.m",2);
AGRTOC("matff","L33G1-f3r15aB0.m",2);
AGRTOC("matff","L33G1-f3r15bB0.m",2);
AGRTOC("matff","L33G1-f3r27B0.m",2);
AGRTOC("matff","L33G1-f13r11B0.m",2);
AGRTOC("matff","L33G1-f13r13B0.m",2);
AGRTOC("matff","L33G1-f13r16B0.m",2);
AGRTOC("matff","L33G1-f13r26aB0.m",2);
AGRTOC("matff","L33G1-f13r39B0.m",2);
AGRTOC("matff","L33G1-f16r16aB0.m",2);
AGRTOC("matff","L33G1-f169r26bB0.m",2);
AGRTOC("matff","L33G1-f169r26cB0.m",2);

# L33d2
AGRGRP("lin","L33","L33d2");
AGRTOC("perm","L33d2G1-p26B0.m",2);
AGRTOC("perm","L33d2G1-p52B0.m",2);
AGRTOC("perm","L33d2G1-p117B0.m",2);
AGRTOC("perm","L33d2G1-p144B0.m",2);
AGRTOC("perm","L33d2G1-p234B0.m",2);
AGRTOC("matff","L33d2G1-f2r12B0.m",2);
AGRTOC("matff","L33d2G1-f2r26B0.m",2);
AGRTOC("matff","L33d2G1-f3r6B0.m",2);
AGRTOC("matff","L33d2G1-f3r7aB0.m",2);
AGRTOC("matff","L33d2G1-f3r12B0.m",2);
AGRTOC("matff","L33d2G1-f3r27aB0.m",2);
AGRTOC("matff","L33d2G1-f3r30B0.m",2);
AGRTOC("matff","L33d2G1-f4r32aB0.m",2);
AGRTOC("matff","L33d2G1-f4r32bB0.m",2);
AGRTOC("matff","L33d2G1-f13r11a1B0.m",2);
AGRTOC("matff","L33d2G1-f13r13a1B0.m",2);
AGRTOC("matff","L33d2G1-f13r16a1B0.m",2);
AGRTOC("matff","L33d2G1-f13r26a1B0.m",2);
AGRTOC("matff","L33d2G1-f13r39a1B0.m",2);
AGRTOC("matff","L33d2G1-f13r52B0.m",2);

# 12aL34
AGRGRP("lin","L34","12aL34");
AGRTOC("perm","12aL34G1-p1440B0.m",2);

# 12bL34
AGRGRP("lin","L34","12bL34");
AGRTOC("perm","12bL34G1-p1440B0.m",2);
AGRTOC("matff","12bL34G1-f49r12aB0.m",2);
AGRTOC("matff","12bL34G1-f49r36aB0.m",2);
AGRTOC("matff","12bL34G1-f49r48aB0.m",2);
AGRTOC("matff","12bL34G1-f49r84aB0.m",2);

# 2L34
AGRGRP("lin","L34","2L34");
AGRTOC("perm","2L34G1-p112aB0.m",2);
AGRTOC("perm","2L34G1-p112bB0.m",2);
AGRTOC("perm","2L34G1-p112cB0.m",2);
AGRTOC("perm","2L34G1-p240aB0.m",2);
AGRTOC("perm","2L34G1-p240bB0.m",2);
AGRTOC("perm","2L34G1-p240cB0.m",2);
AGRTOC("matff","2L34G1-f3r6B0.m",2);
AGRTOC("matff","2L34G1-f3r20B0.m",2);
AGRTOC("matff","2L34G1-f3r36B0.m",2);
AGRTOC("matff","2L34G1-f3r44B0.m",2);
AGRTOC("matff","2L34G1-f3r90B0.m",2);
AGRTOC("matff","2L34G1-f5r20B0.m",2);
AGRTOC("matff","2L34G1-f5r28B0.m",2);
AGRTOC("matff","2L34G1-f5r36B0.m",2);
AGRTOC("matff","2L34G1-f5r70B0.m",2);
AGRTOC("matff","2L34G1-f5r90B0.m",2);
AGRTOC("matff","2L34G1-f7r10B0.m",2);
AGRTOC("matff","2L34G1-f7r26B0.m",2);
AGRTOC("matff","2L34G1-f7r56B0.m",2);
AGRTOC("matff","2L34G1-f7r64B0.m",2);
AGRTOC("matff","2L34G1-f7r70B0.m",2);
AGRTOC("matff","2L34G1-f9r10aB0.m",2);
AGRTOC("matff","2L34G1-f9r10bB0.m",2);
AGRTOC("matff","2L34G1-f9r22aB0.m",2);
AGRTOC("matff","2L34G1-f9r22bB0.m",2);
AGRTOC("matff","2L34G1-f25r10aB0.m",2);
AGRTOC("matff","2L34G1-f25r10bB0.m",2);
AGRTOC("matff","2L34G1-f49r28aB0.m",2);
AGRTOC("matff","2L34G1-f49r28bB0.m",2);

# 3L34
AGRGRP("lin","L34","3L34");
AGRTOC("perm","3L34G1-p63aB0.m",2);
AGRTOC("perm","3L34G1-p63bB0.m",2);
AGRTOC("perm","3L34G1-p360aB0.m",2);
AGRTOC("perm","3L34G1-p360bB0.m",2);
AGRTOC("perm","3L34G1-p360cB0.m",2);
AGRTOC("matff","3L34G1-f2r6aB0.m",2);
AGRTOC("matff","3L34G1-f2r6bB0.m",2);
AGRTOC("matff","3L34G1-f2r18B0.m",2);
AGRTOC("matff","3L34G1-f2r48aB0.m",2);
AGRTOC("matff","3L34G1-f2r48bB0.m",2);
AGRTOC("matff","3L34G1-f4r3aB0.m",2);
AGRTOC("matff","3L34G1-f4r3bB0.m",2);
AGRTOC("matff","3L34G1-f4r9aB0.m",2);
AGRTOC("matff","3L34G1-f4r24aB0.m",2);
AGRTOC("matff","3L34G1-f4r24bB0.m",2);
AGRTOC("matff","3L34G1-f5r42B0.m",2);
AGRTOC("matff","3L34G1-f7r15aB0.m",2);
AGRTOC("matff","3L34G1-f7r15bB0.m",2);
AGRTOC("matff","3L34G1-f7r15cB0.m",2);
AGRTOC("matff","3L34G1-f7r21aB0.m",2);
AGRTOC("matff","3L34G1-f7r84aB0.m",2);
AGRTOC("matff","3L34G1-f7r126aB0.m",2);
AGRTOC("matff","3L34G1-f25r21aB0.m",2);
AGRTOC("matff","3L34G1-f49r63aB0.m",2);
AGRTOC("matff","3L34G1-f49r63bB0.m",2);

# 4aL34
AGRGRP("lin","L34","4aL34");
AGRTOC("perm","4aL34G1-p224B0.m",2);
AGRTOC("perm","4aL34G1-p480B0.m",2);

# 4bL34
AGRGRP("lin","L34","4bL34");
AGRTOC("perm","4bL34G1-p224B0.m",2);
AGRTOC("perm","4bL34G1-p480B0.m",2);
AGRTOC("matff","4bL34G1-f3r8B0.m",2);
AGRTOC("matff","4bL34G1-f3r32B0.m",2);
AGRTOC("matff","4bL34G1-f3r56aB0.m",2);
AGRTOC("matff","4bL34G1-f3r56bB0.m",2);
AGRTOC("matff","4bL34G1-f3r72B0.m",2);
AGRTOC("matff","4bL34G1-f3r120B0.m",2);
AGRTOC("matff","4bL34G1-f5r20aB0.m",2);
AGRTOC("matff","4bL34G1-f5r28aB0.m",2);
AGRTOC("matff","4bL34G1-f5r36aB0.m",2);
AGRTOC("matff","4bL34G1-f5r160aB0.m",2);
AGRTOC("matff","4bL34G1-f7r40B0.m",2);
AGRTOC("matff","4bL34G1-f7r56aB0.m",2);
AGRTOC("matff","4bL34G1-f7r56bB0.m",2);
AGRTOC("matff","4bL34G1-f7r72B0.m",2);
AGRTOC("matff","4bL34G1-f7r88B0.m",2);
AGRTOC("matff","4bL34G1-f9r4aB0.m",2);
AGRTOC("matff","4bL34G1-f9r16aB0.m",2);
AGRTOC("matff","4bL34G1-f9r28aB0.m",2);
AGRTOC("matff","4bL34G1-f9r28bB0.m",2);
AGRTOC("matff","4bL34G1-f9r36aB0.m",2);
AGRTOC("matff","4bL34G1-f9r60aB0.m",2);
AGRTOC("matff","4bL34G1-f25r80aB0.m",2);
AGRTOC("matff","4bL34G1-f25r80bB0.m",2);
AGRTOC("matff","4bL34G1-f49r20aB0.m",2);
AGRTOC("matff","4bL34G1-f49r28aB0.m",2);
AGRTOC("matff","4bL34G1-f49r28bB0.m",2);
AGRTOC("matff","4bL34G1-f49r36aB0.m",2);
AGRTOC("matff","4bL34G1-f49r44aB0.m",2);

# 6L34
AGRGRP("lin","L34","6L34");
AGRTOC("perm","6L34G1-p720aB0.m",2);
AGRTOC("perm","6L34G1-p720bB0.m",2);
AGRTOC("perm","6L34G1-p720cB0.m",2);
AGRTOC("matalg","6L34G1-Ar6aB0.g");

# L34
AGRGRP("lin","L34","L34");
AGRTOC("perm","L34G1-p21aB0.m",2);
AGRTOC("perm","L34G1-p21bB0.m",2);
AGRTOC("perm","L34G1-p56aB0.m",2);
AGRTOC("perm","L34G1-p56bB0.m",2);
AGRTOC("perm","L34G1-p56cB0.m",2);
AGRTOC("perm","L34G1-p120aB0.m",2);
AGRTOC("perm","L34G1-p120bB0.m",2);
AGRTOC("perm","L34G1-p120cB0.m",2);
AGRTOC("perm","L34G1-p280B0.m",2);
AGRTOC("matff","L34G1-f2r9aB0.m",2);
AGRTOC("matff","L34G1-f2r9bB0.m",2);
AGRTOC("matff","L34G1-f2r16B0.m",2);
AGRTOC("matff","L34G1-f2r64B0.m",2);
AGRTOC("matff","L34G1-f3r15aB0.m",2);
AGRTOC("matff","L34G1-f3r15bB0.m",2);
AGRTOC("matff","L34G1-f3r15cB0.m",2);
AGRTOC("matff","L34G1-f3r19B0.m",2);
AGRTOC("matff","L34G1-f3r90B0.m",2);
AGRTOC("matff","L34G1-f3r126B0.m",2);
AGRTOC("matff","L34G1-f4r8aB0.m",2);
AGRTOC("matff","L34G1-f4r8bB0.m",2);
AGRTOC("matff","L34G1-f5r20B0.m",2);
AGRTOC("matff","L34G1-f5r35aB0.m",2);
AGRTOC("matff","L34G1-f5r35bB0.m",2);
AGRTOC("matff","L34G1-f5r35cB0.m",2);
AGRTOC("matff","L34G1-f5r63B0.m",2);
AGRTOC("matff","L34G1-f5r90B0.m",2);
AGRTOC("matff","L34G1-f7r19B0.m",2);
AGRTOC("matff","L34G1-f7r35aB0.m",2);
AGRTOC("matff","L34G1-f7r35bB0.m",2);
AGRTOC("matff","L34G1-f7r35cB0.m",2);
AGRTOC("matff","L34G1-f7r45B0.m",2);
AGRTOC("matff","L34G1-f7r126B0.m",2);
AGRTOC("matff","L34G1-f9r45aB0.m",2);
AGRTOC("matff","L34G1-f9r45bB0.m",2);
AGRTOC("matff","L34G1-f9r63aB0.m",2);
AGRTOC("matff","L34G1-f9r63bB0.m",2);
AGRTOC("matff","L34G1-f25r45aB0.m",2);
AGRTOC("matff","L34G1-f25r45bB0.m",2);
AGRTOC("matff","L34G1-f49r63aB0.m",2);
AGRTOC("matff","L34G1-f49r63bB0.m",2);
AGRTOC("maxes","L34G1-max1W1");
AGRTOC("maxes","L34G1-max2W1");
AGRTOC("maxes","L34G1-max3W1");
AGRTOC("maxes","L34G1-max4W1");
AGRTOC("maxes","L34G1-max5W1");
AGRTOC("maxes","L34G1-max6W1");
AGRTOC("maxes","L34G1-max7W1");
AGRTOC("maxes","L34G1-max8W1");
AGRTOC("maxes","L34G1-max9W1");

# L35
AGRGRP("lin","L35","L35");
AGRTOC("perm","L35G1-p31aB0.m",2);
AGRTOC("perm","L35G1-p31bB0.m",2);
AGRTOC("matff","L35G1-f5r3aB0.m",2);
AGRTOC("matff","L35G1-f5r3bB0.m",2);
AGRTOC("matff","L35G1-f5r8B0.m",2);
AGRTOC("switch","L35G1-G2W1");
AGRTOC("switch","L35G2-G1W1");

# L35d2
AGRGRP("lin","L35","L35d2");
AGRTOC("perm","L35d2G1-p62B0.m",2);
AGRTOC("perm","L35d2G1-p186B0.m",2);
AGRTOC("perm","L35d2G1-p775B0.m",2);
AGRTOC("perm","L35d2G1-p3100B0.m",2);
AGRTOC("perm","L35d2G1-p3875B0.m",2);
AGRTOC("perm","L35d2G1-p4000B0.m",2);
AGRTOC("matff","L35d2G1-f5r6B0.m",2);
AGRTOC("matff","L35d2G1-f5r8B0.m",2);
AGRTOC("maxes","L35d2G1-max1W1");
AGRTOC("maxes","L35d2G1-max2W1");
AGRTOC("maxes","L35d2G1-max3W1");
AGRTOC("maxes","L35d2G1-max4W1");
AGRTOC("maxes","L35d2G1-max5W1");
AGRTOC("maxes","L35d2G1-max6W1");

# 3L37
AGRGRP("lin","L37","3L37");
AGRTOC("matff","3L37G1-f7r3B0.m",2);

# 3L37d2
AGRGRP("lin","L37","3L37d2");
AGRTOC("matff","3L37d2G1-f7r6B0.m",2);

# L37
AGRGRP("lin","L37","L37");
AGRTOC("perm","L37G1-p57B0.m",2);
AGRTOC("matff","L37G1-f2r152aB0.m",2);
AGRTOC("matff","L37G1-f3r55B0.m",2);
AGRTOC("matff","L37G1-f3r57B0.m",2);
AGRTOC("matff","L37G1-f3r96aB0.m",2);
AGRTOC("matff","L37G1-f3r96bB0.m",2);
AGRTOC("matff","L37G1-f3r96cB0.m",2);
AGRTOC("matff","L37G1-f3r342aB0.m",2);
AGRTOC("matff","L37G1-f3r399B0.m",2);
AGRTOC("matff","L37G1-f7r8B0.m",2);
AGRTOC("matff","L37G1-f7r10aB0.m",2);
AGRTOC("matff","L37G1-f7r10bB0.m",2);
AGRTOC("matff","L37G1-f7r27B0.m",2);
AGRTOC("cyclic","L37G1-cycW1");
AGRTOC("cyc2ccl","L37G1cycW1-cclsW1");

# L37d2
AGRGRP("lin","L37","L37d2");
AGRTOC("matff","L37d2G1-f2r56B0.m",2);
AGRTOC("matff","L37d2G1-f2r152B0.m",2);
AGRTOC("matff","L37d2G1-f2r342B0.m",2);
AGRTOC("matff","L37d2G1-f3r55B0.m",2);
AGRTOC("matff","L37d2G1-f3r57B0.m",2);
AGRTOC("matff","L37d2G1-f3r96B0.m",2);
AGRTOC("matff","L37d2G1-f3r192B0.m",2);
AGRTOC("matff","L37d2G1-f3r399B0.m",2);
AGRTOC("matff","L37d2G1-f7r8B0.m",2);
AGRTOC("matff","L37d2G1-f7r20B0.m",2);
AGRTOC("matff","L37d2G1-f7r27B0.m",2);
AGRTOC("matff","L37d2G1-f7r37B0.m",2);
AGRTOC("matff","L37d2G1-f7r56B0.m",2);
AGRTOC("matff","L37d2G1-f7r70B0.m",2);
AGRTOC("matff","L37d2G1-f7r308B0.m",2);
AGRTOC("matff","L37d2G1-f7r343B0.m",2);
AGRTOC("matff","L37d2G1-f9r342bB0.m",2);
AGRTOC("matff","L37d2G1-f9r342cB0.m",2);
AGRTOC("maxes","L37d2G1-max1W1");
AGRTOC("maxes","L37d2G1-max2W1");
AGRTOC("cyclic","L37d2G1-cycW1");
AGRTOC("cyc2ccl","L37d2G1cycW1-cclsW1");

# L38
AGRGRP("lin","L38","L38");
AGRTOC("perm","L38G1-p73aB0.m",2);
AGRTOC("perm","L38G1-p73bB0.m",2);
AGRTOC("matff","L38G1-f3r72B0.m",2);
AGRTOC("matff","L38G1-f3r511B0.m",2);
AGRTOC("matff","L38G1-f7r72B0.m",2);
AGRTOC("matff","L38G1-f7r511B0.m",2);
AGRTOC("matff","L38G1-f7r512B0.m",2);
AGRTOC("matff","L38G1-f8r3B0.m",2);
AGRTOC("matff","L38G1-f8r8B0.m",2);
AGRTOC("matff","L38G1-f8r9aB0.m",2);
AGRTOC("matff","L38G1-f8r9bB0.m",2);
AGRTOC("matff","L38G1-f8r24aB0.m",2);
AGRTOC("matff","L38G1-f8r24bB0.m",2);
AGRTOC("matff","L38G1-f8r27aB0.m",2);
AGRTOC("matff","L38G1-f8r27bB0.m",2);
AGRTOC("matff","L38G1-f8r64B0.m",2);
AGRTOC("matff","L38G1-f8r72aB0.m",2);
AGRTOC("matff","L38G1-f8r72bB0.m",2);
AGRTOC("matff","L38G1-f8r192B0.m",2);
AGRTOC("matff","L38G1-f8r512B0.m",2);
AGRTOC("matff","L38G1-f27r657B0.m",2);
AGRTOC("matff","L38G1-f73r71B0.m",2);
AGRTOC("matff","L38G1-f73r441B0.m",2);
AGRTOC("matff","L38G1-f73r511aB0.m",2);
AGRTOC("matff","L38G1-f73r511bB0.m",2);
AGRTOC("matff","L38G1-f343r511B0.m",2);
AGRTOC("maxes","L38G1-max1W1");
AGRTOC("maxes","L38G1-max2W1");
AGRTOC("maxes","L38G1-max3W1");
AGRTOC("maxes","L38G1-max4W1");
AGRTOC("maxes","L38G1-max5W1");
AGRTOC("cyclic","L38G1-cycW1");
AGRTOC("out","L38G1-a3W1");
AGRTOC("out","L38G1-a6W1");

# L38d2
AGRGRP("lin","L38","L38d2");
AGRTOC("matff","L38d2G1-f8r6B0.m",2);
AGRTOC("matff","L38d2G1-f8r8B0.m",2);
AGRTOC("matff","L38d2G1-f8r18aB0.m",2);
AGRTOC("matff","L38d2G1-f8r18bB0.m",2);
AGRTOC("matff","L38d2G1-f8r48aB0.m",2);
AGRTOC("matff","L38d2G1-f8r48bB0.m",2);
AGRTOC("matff","L38d2G1-f8r54aB0.m",2);
AGRTOC("matff","L38d2G1-f8r54bB0.m",2);
AGRTOC("matff","L38d2G1-f8r64B0.m",2);
AGRTOC("matff","L38d2G1-f8r144aB0.m",2);
AGRTOC("matff","L38d2G1-f8r144bB0.m",2);
AGRTOC("matff","L38d2G1-f8r384B0.m",2);
AGRTOC("matff","L38d2G1-f8r512B0.m",2);
AGRTOC("maxes","L38d2G1-max1W1");
AGRTOC("maxes","L38d2G1-max2W1");
AGRTOC("maxes","L38d2G1-max3W1");
AGRTOC("maxes","L38d2G1-max4W1");
AGRTOC("maxes","L38d2G1-max5W1");
AGRTOC("maxes","L38d2G1-max6W1");
AGRTOC("cyclic","L38d2G1-cycW1");

# L43
AGRGRP("lin","L43","L43");
AGRTOC("matint","L43G1-Zr26aB0.g");
AGRTOC("matint","L43G1-Zr39B0.g");
AGRTOC("matint","L43G1-Zr52B0.g");
AGRTOC("matint","L43G1-Zr65bB0.g");
AGRTOC("matint","L43G1-Zr90B0.g");
AGRTOC("matint","L43G1-Zr234aB0.g");

# L52
AGRGRP("lin","L52","L52");
AGRTOC("perm","L52G1-p31aB0.m",2);
AGRTOC("perm","L52G1-p155aB0.m",2);
AGRTOC("matff","L52G1-f2r5aB0.m",2);
AGRTOC("matff","L52G1-f2r5bB0.m",2);
AGRTOC("matff","L52G1-f2r10aB0.m",2);
AGRTOC("matff","L52G1-f2r10bB0.m",2);
AGRTOC("matff","L52G1-f2r24B0.m",2);
AGRTOC("matff","L52G1-f3r30B0.m",2);
AGRTOC("matff","L52G1-f3r124B0.m",2);
AGRTOC("matff","L52G1-f3r155B0.m",2);
AGRTOC("matff","L52G1-f5r30B0.m",2);
AGRTOC("matff","L52G1-f5r123B0.m",2);
AGRTOC("matff","L52G1-f5r155B0.m",2);
AGRTOC("matff","L52G1-f5r280B0.m",2);
AGRTOC("matff","L52G1-f7r30B0.m",2);
AGRTOC("matff","L52G1-f7r94B0.m",2);
AGRTOC("matff","L52G1-f7r280B0.m",2);
AGRTOC("matff","L52G1-f31r29B0.m",2);
AGRTOC("matff","L52G1-f31r124B0.m",2);
AGRTOC("matff","L52G1-f31r251B0.m",2);
AGRTOC("cyclic","L52G1-cycW1");
AGRTOC("cyc2ccl","L52G1cycW1-cclsW1");

# L52d2
AGRGRP("lin","L52","L52d2");
AGRTOC("perm","L52d2G1-p62B0.m",2);
AGRTOC("matff","L52d2G1-f2r10B0.m",2);
AGRTOC("matff","L52d2G1-f2r20B0.m",2);
AGRTOC("matff","L52d2G1-f2r24B0.m",2);
AGRTOC("matff","L52d2G1-f7r30aB0.m",2);
AGRTOC("matff","L52d2G1-f9r30aB0.m",2);
AGRTOC("matff","L52d2G1-f25r30aB0.m",2);
AGRTOC("matff","L52d2G1-f31r29aB0.m",2);
AGRTOC("matalg","L52d2G1-Ar30B0.g");
AGRTOC("maxes","L52d2G1-max1W1");

# L62
AGRGRP("lin","L62","L62");
AGRTOC("perm","L62G1-p63aB0.m",2);
AGRTOC("matff","L62G1-f2r6aB0.m",2);
AGRTOC("matff","L62G1-f2r6bB0.m",2);
AGRTOC("matff","L62G1-f2r15aB0.m",2);
AGRTOC("matff","L62G1-f2r15bB0.m",2);
AGRTOC("matff","L62G1-f2r20B0.m",2);
AGRTOC("matff","L62G1-f2r34B0.m",2);
AGRTOC("matff","L62G1-f2r70aB0.m",2);
AGRTOC("matff","L62G1-f2r84aB0.m",2);
AGRTOC("matff","L62G1-f2r90aB0.m",2);
AGRTOC("matff","L62G1-f2r154B0.m",2);
AGRTOC("matff","L62G1-f2r204aB0.m",2);
AGRTOC("matff","L62G1-f2r384aB0.m",2);
AGRTOC("matff","L62G1-f2r400B0.m",2);
AGRTOC("matff","L62G1-f2r720aB0.m",2);
AGRTOC("matff","L62G1-f2r896aB0.m",2);
AGRTOC("matff","L62G1-f2r924aB0.m",2);
AGRTOC("matff","L62G1-f3r61B0.m",2);
AGRTOC("matff","L62G1-f3r527aB0.m",2);
AGRTOC("matff","L62G1-f3r651aB0.m",2);
AGRTOC("matff","L62G1-f5r62B0.m",2);
AGRTOC("matff","L62G1-f7r61B0.m",2);
AGRTOC("matff","L62G1-f31r62B0.m",2);

# L62d2
AGRGRP("lin","L62","L62d2");
AGRTOC("perm","L62d2G1-p126B0.m",2);
AGRTOC("matff","L62d2G1-f2r12B0.m",2);
AGRTOC("matff","L62d2G1-f2r20B0.m",2);
AGRTOC("matff","L62d2G1-f2r30B0.m",2);
AGRTOC("matff","L62d2G1-f2r34B0.m",2);
AGRTOC("matff","L62d2G1-f2r140B0.m",2);
AGRTOC("matff","L62d2G1-f2r154B0.m",2);
AGRTOC("matff","L62d2G1-f2r168B0.m",2);
AGRTOC("matff","L62d2G1-f2r180B0.m",2);
AGRTOC("matff","L62d2G1-f2r400B0.m",2);
AGRTOC("matff","L62d2G1-f2r408B0.m",2);
AGRTOC("matff","L62d2G1-f2r768B0.m",2);
AGRTOC("matff","L62d2G1-f3r61B0.m",2);
AGRTOC("matff","L62d2G1-f7r61B0.m",2);

# L72
AGRGRP("lin","L72","L72");
AGRTOC("perm","L72G1-p127aB0.m",2);
AGRTOC("perm","L72G1-p127bB0.m",2);
AGRTOC("matff","L72G1-f2r7aB0.m",2);
AGRTOC("matff","L72G1-f2r7bB0.m",2);
AGRTOC("matff","L72G1-f2r21aB0.m",2);
AGRTOC("matff","L72G1-f2r21bB0.m",2);
AGRTOC("matff","L72G1-f2r35aB0.m",2);
AGRTOC("matff","L72G1-f2r35bB0.m",2);
AGRTOC("matff","L72G1-f2r48B0.m",2);
AGRTOC("matff","L72G1-f2r112aB0.m",2);
AGRTOC("matff","L72G1-f2r112bB0.m",2);
AGRTOC("matff","L72G1-f2r133aB0.m",2);
AGRTOC("matff","L72G1-f2r133bB0.m",2);
AGRTOC("matff","L72G1-f2r175aB0.m",2);
AGRTOC("matff","L72G1-f2r175bB0.m",2);
AGRTOC("matff","L72G1-f2r224aB0.m",2);
AGRTOC("matff","L72G1-f2r224bB0.m",2);
AGRTOC("matff","L72G1-f2r392aB0.m",2);
AGRTOC("matff","L72G1-f2r448aB0.m",2);
AGRTOC("matff","L72G1-f2r448bB0.m",2);
AGRTOC("matff","L72G1-f2r469aB0.m",2);
AGRTOC("matff","L72G1-f2r469bB0.m",2);
AGRTOC("matff","L72G1-f2r707aB0.m",2);
AGRTOC("matff","L72G1-f2r707bB0.m",2);
AGRTOC("matff","L72G1-f2r736aB0.m",2);
AGRTOC("matint","L72G1-Zr126B0.g");
AGRTOC("out","L72G1-aW1");

# L72d2
AGRGRP("lin","L72","L72d2");
AGRTOC("perm","L72d2G2-p254B0.m",2);
AGRTOC("matff","L72d2G2-f2r14B0.m",2);
AGRTOC("matff","L72d2G2-f2r42B0.m",2);
AGRTOC("matff","L72d2G2-f2r48B0.m",2);
AGRTOC("matff","L72d2G2-f2r70B0.m",2);
AGRTOC("matff","L72d2G2-f2r224B0.m",2);
AGRTOC("matff","L72d2G2-f2r266B0.m",2);
AGRTOC("matff","L72d2G2-f2r350B0.m",2);
AGRTOC("matff","L72d2G2-f2r392B0.m",2);
AGRTOC("matff","L72d2G2-f2r448B0.m",2);
AGRTOC("matff","L72d2G2-f2r736B0.m",2);
AGRTOC("matff","L72d2G2-f2r896B0.m",2);
AGRTOC("matff","L72d2G2-f2r938B0.m",2);
AGRTOC("maxes","L72d2G2-max1W1");

# 214U72
AGRGRP("misc","214U72","214U72");
AGRTOC("perm","214U72G1-p10836B0.m",2);

# 24A8
AGRGRP("misc","24A8","24A8");
AGRTOC("perm","24A8G1-p30B0.m",2);
AGRTOC("perm","24A8G1-p128B0.m",2);
AGRTOC("matff","24A8G1-f2r11aB0.m",2);
AGRTOC("matff","24A8G1-f2r11bB0.m",2);
AGRTOC("matff","24A8G1-f3r15B0.m",2);
AGRTOC("matff","24A8G1-f5r15B0.m",2);
AGRTOC("matff","24A8G1-f7r15B0.m",2);
AGRTOC("matint","24A8G1-Zr15B0.g");

# 25L52
AGRGRP("misc","25L52","25L52");
AGRTOC("perm","25L52G1-p7440aB0.m",2);
AGRTOC("perm","25L52G1-p7440bB0.m",2);
AGRTOC("perm","25L52G1-p7440cB0.m",2);
AGRTOC("matff","25L52G1-f2r69aB0.m",2);
AGRTOC("matff","25L52G1-f3r248B0.m",2);
AGRTOC("matff","25L52G1-f5r248B0.m",2);
AGRTOC("matff","25L52G1-f7r248B0.m",2);
AGRTOC("matff","25L52G1-f31r248B0.m",2);
AGRTOC("matint","25L52G1-Zr248B0.g");

# 53L35
AGRGRP("misc","53L35","53L35");
AGRTOC("perm","53L35G2-p3875aB0.m",2);
AGRTOC("perm","53L35G2-p3875bB0.m",2);
AGRTOC("perm","53L35G2-p4650B0.m",2);
AGRTOC("matff","53L35G2-f2r620B0.m",2);
AGRTOC("matff","53L35G2-f5r16aB0.m",2);
AGRTOC("switch","53L35G2-G1W1");

# 2aM20
AGRGRP("misc","M20","2aM20");
AGRTOC("perm","2aM20G1-p12aB0.m",2);
AGRTOC("perm","2aM20G1-p12bB0.m",2);
AGRTOC("perm","2aM20G1-p20aB0.m",2);
AGRTOC("perm","2aM20G1-p20bB0.m",2);
AGRTOC("matint","2aM20G1-Zr6aB0.g");
AGRTOC("matint","2aM20G1-Zr6bB0.g");
AGRTOC("matint","2aM20G1-Zr10aB0.g");
AGRTOC("matint","2aM20G1-Zr10bB0.g");
AGRTOC("matint","2aM20G1-Zr20B0.g");
AGRTOC("matint","2aM20G1-Zr24B0.g");
AGRTOC("matalg","2aM20G1-Ar12aB0.g");
AGRTOC("matalg","2aM20G1-Ar12bB0.g");
AGRTOC("matalg","2aM20G1-Ar12bB1.g");

# 2bM20
AGRGRP("misc","M20","2bM20");
AGRTOC("perm","2bM20G1-p120aB0.m",2);

# 2cM20
AGRGRP("misc","M20","2cM20");
AGRTOC("perm","2cM20G1-p24B0.m",2);

# 4bM20
AGRGRP("misc","M20","4bM20");
AGRTOC("matalg","4bM20G1-Ar4aB0.g");
AGRTOC("matalg","4bM20G1-Ar4aB1.g");
AGRTOC("matalg","4bM20G1-Ar20aB0.g");

# M20
AGRGRP("misc","M20","M20");
AGRTOC("perm","M20G1-p20aB0.m",2);
AGRTOC("perm","M20G1-p20bB0.m",2);
AGRTOC("perm","M20G1-p20cB0.m",2);
AGRTOC("perm","M20G1-p20dB0.m",2);

# WF4
AGRGRP("misc","WF4","WF4");
AGRTOC("switch","WF4G1-G2W1");
AGRTOC("switch","WF4G2-G1W1");

# B
AGRGRP("spor","B","B");
AGRTOC("matff","BG1-f2r4370B0.m",2);
AGRTOC("matff","BG1-f3r4371B0.m",2);
AGRTOC("matff","BG1-f5r4371B0.m",2);
AGRTOC("maxes","BG1-max1W1");
AGRTOC("maxes","BG1-max2W1");
AGRTOC("maxes","BG1-max3W1");
AGRTOC("maxes","BG1-max4W1");
AGRTOC("maxes","BG1-max5W1");
AGRTOC("maxes","BG1-max6W1");
AGRTOC("maxes","BG1-max7W1");
AGRTOC("maxes","BG1-max8W1");
AGRTOC("maxes","BG1-max9W1");
AGRTOC("maxes","BG1-max11W1");
AGRTOC("maxes","BG1-max13W1");
AGRTOC("maxes","BG1-max15W1");
AGRTOC("maxes","BG1-max16W1");
AGRTOC("maxes","BG1-max21W1");
AGRTOC("maxes","BG1-max30W1");
AGRTOC("cyclic","BG1-cycW1");

# 2Co1
AGRGRP("spor","Co1","2Co1");
AGRTOC("perm","2Co1G1-p196560B0.m",2);
AGRTOC("matff","2Co1G1-f3r24B0.m",2);
AGRTOC("matff","2Co1G1-f5r24B0.m",2);
AGRTOC("matff","2Co1G1-f7r24B0.m",2);
AGRTOC("matff","2Co1G1-f11r24B0.m",2);
AGRTOC("matff","2Co1G1-f13r24B0.m",2);
AGRTOC("matff","2Co1G1-f23r24B0.m",2);

# Co1
AGRGRP("spor","Co1","Co1");
AGRTOC("perm","Co1G1-p98280B0.m",2);
AGRTOC("matff","Co1G1-f2r24B0.m",2);
AGRTOC("matff","Co1G1-f2r274B0.m",2);
AGRTOC("matff","Co1G1-f3r276B0.m",2);
AGRTOC("matff","Co1G1-f3r298B0.m",2);
AGRTOC("matff","Co1G1-f5r276B0.m",2);
AGRTOC("matff","Co1G1-f5r299B0.m",2);
AGRTOC("matff","Co1G1-f7r276B0.m",2);
AGRTOC("matff","Co1G1-f7r299B0.m",2);
AGRTOC("matff","Co1G1-f11r276B0.m",2);
AGRTOC("matff","Co1G1-f11r299B0.m",2);
AGRTOC("matff","Co1G1-f13r276B0.m",2);
AGRTOC("matff","Co1G1-f13r299B0.m",2);
AGRTOC("matff","Co1G1-f23r276B0.m",2);
AGRTOC("matff","Co1G1-f23r299B0.m",2);
AGRTOC("maxes","Co1G1-max1W1");
AGRTOC("maxes","Co1G1-max2W1");
AGRTOC("maxes","Co1G1-max3W1");
AGRTOC("maxes","Co1G1-max4W1");
AGRTOC("maxes","Co1G1-max5W1");
AGRTOC("maxes","Co1G1-max6W1");
AGRTOC("cyclic","Co1G1-cycW1");

# Co2
AGRGRP("spor","Co2","Co2");
AGRTOC("perm","Co2G1-p2300B0.m",2);
AGRTOC("perm","Co2G1-p4600B0.m",2);
AGRTOC("matff","Co2G1-f2r22B0.m",2);
AGRTOC("matff","Co2G1-f2r24B0.m",2);
AGRTOC("matff","Co2G1-f2r230B0.m",2);
AGRTOC("matff","Co2G1-f2r748aB0.m",2);
AGRTOC("matff","Co2G1-f2r748bB0.m",2);
AGRTOC("matff","Co2G1-f3r23B0.m",2);
AGRTOC("matff","Co2G1-f3r253B0.m",2);
AGRTOC("matff","Co2G1-f3r275B0.m",2);
AGRTOC("matff","Co2G1-f5r23B0.m",2);
AGRTOC("matff","Co2G1-f5r253B0.m",2);
AGRTOC("matff","Co2G1-f5r275B0.m",2);
AGRTOC("matff","Co2G1-f7r23B0.m",2);
AGRTOC("matff","Co2G1-f7r253B0.m",2);
AGRTOC("matff","Co2G1-f7r275B0.m",2);
AGRTOC("matff","Co2G1-f11r23B0.m",2);
AGRTOC("matff","Co2G1-f11r253B0.m",2);
AGRTOC("matff","Co2G1-f11r275B0.m",2);
AGRTOC("matff","Co2G1-f23r23B0.m",2);
AGRTOC("matff","Co2G1-f23r253B0.m",2);
AGRTOC("matff","Co2G1-f23r274B0.m",2);
AGRTOC("maxes","Co2G1-max1W1");
AGRTOC("maxes","Co2G1-max1W2");
AGRTOC("maxes","Co2G1-max2W1");
AGRTOC("maxes","Co2G1-max3W1");
AGRTOC("maxes","Co2G1-max4W1");
AGRTOC("maxes","Co2G1-max5W1");
AGRTOC("maxes","Co2G1-max6W1");
AGRTOC("maxes","Co2G1-max7W1");
AGRTOC("maxes","Co2G1-max8W1");
AGRTOC("maxes","Co2G1-max9W1");
AGRTOC("maxes","Co2G1-max10W1");
AGRTOC("maxes","Co2G1-max11W1");
AGRTOC("cyclic","Co2G1-cycW1");
AGRTOC("cyc2ccl","Co2G1cycW1-cclsW1");

# Co3
AGRGRP("spor","Co3","Co3");
AGRTOC("perm","Co3G1-p276B0.m",2);
AGRTOC("perm","Co3G1-p552B0.m",2);
AGRTOC("perm","Co3G1-p11178B0.m",2);
AGRTOC("perm","Co3G1-p37950B0.m",2);
AGRTOC("perm","Co3G1-p48600B0.m",2);
AGRTOC("perm","Co3G1-p128800B0.m",2);
AGRTOC("matff","Co3G1-f2r22B0.m",2);
AGRTOC("matff","Co3G1-f2r230B0.m",2);
AGRTOC("matff","Co3G1-f3r22B0.m",2);
AGRTOC("matff","Co3G1-f3r126aB0.m",2);
AGRTOC("matff","Co3G1-f3r126bB0.m",2);
AGRTOC("matff","Co3G1-f3r231aB0.m",2);
AGRTOC("matff","Co3G1-f3r231bB0.m",2);
AGRTOC("matff","Co3G1-f3r770aB0.m",2);
AGRTOC("matff","Co3G1-f3r770bB0.m",2);
AGRTOC("matff","Co3G1-f4r896aB0.m",2);
AGRTOC("matff","Co3G1-f5r23B0.m",2);
AGRTOC("matff","Co3G1-f5r230B0.m",2);
AGRTOC("matff","Co3G1-f5r253B0.m",2);
AGRTOC("matff","Co3G1-f5r275B0.m",2);
AGRTOC("matff","Co3G1-f5r896bB0.m",2);
AGRTOC("matff","Co3G1-f7r23B0.m",2);
AGRTOC("matff","Co3G1-f7r253aB0.m",2);
AGRTOC("matff","Co3G1-f7r253bB0.m",2);
AGRTOC("matff","Co3G1-f7r275B0.m",2);
AGRTOC("matff","Co3G1-f11r23B0.m",2);
AGRTOC("matff","Co3G1-f11r253aB0.m",2);
AGRTOC("matff","Co3G1-f11r253bB0.m",2);
AGRTOC("matff","Co3G1-f11r275B0.m",2);
AGRTOC("matff","Co3G1-f11r896B0.m",2);
AGRTOC("matff","Co3G1-f23r23B0.m",2);
AGRTOC("matff","Co3G1-f23r253aB0.m",2);
AGRTOC("matff","Co3G1-f23r253bB0.m",2);
AGRTOC("matff","Co3G1-f23r274B0.m",2);
AGRTOC("matff","Co3G1-f23r896bB0.m",2);
AGRTOC("matff","Co3G1-f49r896aB0.m",2);
AGRTOC("matint","Co3G1-Zr23B0.g");
AGRTOC("maxes","Co3G1-max1W1");
AGRTOC("maxes","Co3G1-max2W1");
AGRTOC("maxes","Co3G1-max3W1");
AGRTOC("maxes","Co3G1-max4W1");
AGRTOC("maxes","Co3G1-max5W1");
AGRTOC("maxes","Co3G1-max6W1");
AGRTOC("maxes","Co3G1-max7W1");
AGRTOC("maxes","Co3G1-max8W1");
AGRTOC("maxes","Co3G1-max9W1");
AGRTOC("maxes","Co3G1-max10W1");
AGRTOC("maxes","Co3G1-max11W1");
AGRTOC("maxes","Co3G1-max12W1");
AGRTOC("maxes","Co3G1-max12W2");
AGRTOC("maxes","Co3G1-max13W1");
AGRTOC("maxes","Co3G1-max14W1");
AGRTOC("maxes","Co3G1-max14W2");
AGRTOC("cyclic","Co3G1-cycW1");
AGRTOC("cyc2ccl","Co3G1cycW1-cclsW1");

# 2F22
AGRGRP("spor","F22","2F22");
AGRTOC("perm","2F22G1-p28160B0.m",2);
AGRTOC("perm","2F22G1-p123552B0.m",2);
AGRTOC("matff","2F22G1-f3r176aB0.m",2);
AGRTOC("matff","2F22G1-f5r352B0.m",2);
AGRTOC("matff","2F22G1-f7r352B0.m",2);
AGRTOC("matff","2F22G1-f11r352B0.m",2);
AGRTOC("matff","2F22G1-f13r352B0.m",2);

# 2F22d2
AGRGRP("spor","F22","2F22d2");
AGRTOC("perm","2F22d2G1-p56320B0.m",2);
AGRTOC("matff","2F22d2G1-f3r352B0.m",2);

# 3F22
AGRGRP("spor","F22","3F22");
AGRTOC("perm","3F22G1-p185328B0.m",2);
AGRTOC("matff","3F22G1-f4r27aB0.m",2);
AGRTOC("matff","3F22G1-f7r351aB0.m",2);

# 3F22d2
AGRGRP("spor","F22","3F22d2");
AGRTOC("perm","3F22d2G1-p185328B0.m",2);
AGRTOC("matff","3F22d2G1-f2r54B0.m",2);
AGRTOC("matff","3F22d2G1-f7r702B0.m",2);

# F22
AGRGRP("spor","F22","F22");
AGRTOC("perm","F22G1-p3510B0.m",2);
AGRTOC("perm","F22G1-p14080bB0.m",2);
AGRTOC("perm","F22G1-p61776B0.m",2);
AGRTOC("perm","F22G1-p142155B0.m",2);
AGRTOC("perm","F22G1-p694980B0.m",2);
AGRTOC("matff","F22G1-f2r78B0.m",2);
AGRTOC("matff","F22G1-f2r350B0.m",2);
AGRTOC("matff","F22G1-f2r572B0.m",2);
AGRTOC("matff","F22G1-f3r77B0.m",2);
AGRTOC("matff","F22G1-f3r351B0.m",2);
AGRTOC("matff","F22G1-f3r924B0.m",2);
AGRTOC("matff","F22G1-f5r78B0.m",2);
AGRTOC("matff","F22G1-f5r428B0.m",2);
AGRTOC("matff","F22G1-f7r78B0.m",2);
AGRTOC("matff","F22G1-f7r429B0.m",2);
AGRTOC("matff","F22G1-f11r78B0.m",2);
AGRTOC("matff","F22G1-f11r429B0.m",2);
AGRTOC("matff","F22G1-f13r78B0.m",2);
AGRTOC("matff","F22G1-f13r429B0.m",2);
AGRTOC("maxes","F22G1-max1W1");
AGRTOC("maxes","F22G1-max2W1");
AGRTOC("maxes","F22G1-max3W1");
AGRTOC("maxes","F22G1-max3W2");
AGRTOC("maxes","F22G1-max4W1");
AGRTOC("maxes","F22G1-max5W1");
AGRTOC("maxes","F22G1-max6W1");
AGRTOC("maxes","F22G1-max7W1");
AGRTOC("maxes","F22G1-max8W1");
AGRTOC("maxes","F22G1-max9W1");
AGRTOC("maxes","F22G1-max10W1");
AGRTOC("maxes","F22G1-max11W1");
AGRTOC("maxes","F22G1-max12W1");
AGRTOC("maxes","F22G1-max13W2");
AGRTOC("maxes","F22G1-max13W1");
AGRTOC("maxes","F22G1-max14W1");
AGRTOC("cyclic","F22G1-cycW1");

# F22d2
AGRGRP("spor","F22","F22d2");
AGRTOC("perm","F22d2G1-p3510B0.m",2);
AGRTOC("matff","F22d2G1-f2r78B0.m",2);
AGRTOC("matff","F22d2G1-f2r350B0.m",2);
AGRTOC("matff","F22d2G1-f2r572B0.m",2);
AGRTOC("matff","F22d2G1-f2r1352B0.m",2);
AGRTOC("matff","F22d2G1-f3r77aB0.m",2);
AGRTOC("matff","F22d2G1-f3r351B0.m",2);
AGRTOC("matff","F22d2G1-f3r924B0.m",2);
AGRTOC("matff","F22d2G1-f5r78aB0.m",2);
AGRTOC("matff","F22d2G1-f5r428aB0.m",2);
AGRTOC("matff","F22d2G1-f7r78aB0.m",2);
AGRTOC("matff","F22d2G1-f7r429aB0.m",2);
AGRTOC("matff","F22d2G1-f11r78aB0.m",2);
AGRTOC("matff","F22d2G1-f11r429aB0.m",2);
AGRTOC("matff","F22d2G1-f13r78aB0.m",2);
AGRTOC("matff","F22d2G1-f13r429aB0.m",2);
AGRTOC("maxes","F22d2G1-max1W1");
AGRTOC("maxes","F22d2G1-max2W1");
AGRTOC("maxes","F22d2G1-max2W2");
AGRTOC("maxes","F22d2G1-max3W1");
AGRTOC("maxes","F22d2G1-max4W1");
AGRTOC("maxes","F22d2G1-max5W1");
AGRTOC("maxes","F22d2G1-max6W1");
AGRTOC("maxes","F22d2G1-max7W1");
AGRTOC("maxes","F22d2G1-max8W1");
AGRTOC("maxes","F22d2G1-max9W1");
AGRTOC("maxes","F22d2G1-max10W1");
AGRTOC("maxes","F22d2G1-max11W1");
AGRTOC("maxes","F22d2G1-max12W1");
AGRTOC("maxes","F22d2G1-max13W1");

# F23
AGRGRP("spor","F23","F23");
AGRTOC("perm","F23G1-p31671B0.m",2);
AGRTOC("perm","F23G1-p137632B0.m",2);
AGRTOC("perm","F23G1-p275264B0.m",2);
AGRTOC("matff","F23G1-f2r782B0.m",2);
AGRTOC("matff","F23G1-f2r1494B0.m",2);
AGRTOC("matff","F23G1-f3r253B0.m",2);
AGRTOC("matff","F23G1-f3r528B0.m",2);
AGRTOC("matff","F23G1-f5r782B0.m",2);
AGRTOC("matff","F23G1-f7r782B0.m",2);
AGRTOC("matff","F23G1-f11r782B0.m",2);
AGRTOC("matff","F23G1-f13r782B0.m",2);
AGRTOC("matff","F23G1-f17r782B0.m",2);
AGRTOC("matff","F23G1-f23r782B0.m",2);
AGRTOC("maxes","F23G1-max1W1");
AGRTOC("maxes","F23G1-max1W2");
AGRTOC("maxes","F23G1-max2W1");
AGRTOC("maxes","F23G1-max3W1");
AGRTOC("maxes","F23G1-max4W1");
AGRTOC("maxes","F23G1-max5W1");
AGRTOC("maxes","F23G1-max6W1");
AGRTOC("maxes","F23G1-max9W1");
AGRTOC("maxes","F23G1-max10W1");
AGRTOC("maxes","F23G1-max13W1");
AGRTOC("maxes","F23G1-max14W1");
AGRTOC("cyclic","F23G1-cycW1");

# 3F24
AGRGRP("spor","F24","3F24");
AGRTOC("perm","3F24G1-p920808B0.m",2);
AGRTOC("matff","3F24G1-f4r783B0.m",2);

# 3F24d2
AGRGRP("spor","F24","3F24d2");
AGRTOC("perm","3F24d2G1-p920808B0.m",2);
AGRTOC("matff","3F24d2G1-f2r1566B0.m",2);

# F24
AGRGRP("spor","F24","F24");
AGRTOC("perm","F24G1-p306936B0.m",2);
AGRTOC("matff","F24G1-f2r3774B0.m",2);
AGRTOC("matff","F24G1-f3r781B0.m",2);
AGRTOC("cyclic","F24G1-cycW1");

# F24d2
AGRGRP("spor","F24","F24d2");
AGRTOC("perm","F24d2G1-p306936B0.m",2);
AGRTOC("matff","F24d2G1-f3r781B0.m",2);
AGRTOC("maxes","F24d2G1-max1W1");
AGRTOC("maxes","F24d2G1-max2W1");
AGRTOC("maxes","F24d2G1-max3W1");
AGRTOC("maxes","F24d2G1-max4W1");
AGRTOC("maxes","F24d2G1-max5W1");
AGRTOC("maxes","F24d2G1-max6W1");
AGRTOC("maxes","F24d2G1-max7W1");
AGRTOC("maxes","F24d2G1-max8W1");
AGRTOC("maxes","F24d2G1-max9W1");
AGRTOC("maxes","F24d2G1-max10W1");
AGRTOC("maxes","F24d2G1-max11W1");
AGRTOC("maxes","F24d2G1-max12W1");
AGRTOC("maxes","F24d2G1-max13W1");
AGRTOC("maxes","F24d2G1-max14W1");
AGRTOC("maxes","F24d2G1-max15W1");
AGRTOC("maxes","F24d2G1-max16W1");
AGRTOC("maxes","F24d2G1-max17W1");
AGRTOC("maxes","F24d2G1-max18W1");
AGRTOC("maxes","F24d2G1-max19W1");
AGRTOC("maxes","F24d2G1-max20W1");
AGRTOC("maxes","F24d2G1-max21W1");

# HN
AGRGRP("spor","HN","HN");
AGRTOC("perm","HNG1-p1140000B0.m",2);
AGRTOC("matff","HNG1-f2r760B0.m",2);
AGRTOC("matff","HNG1-f3r760B0.m",2);
AGRTOC("matff","HNG1-f4r132aB0.m",2);
AGRTOC("matff","HNG1-f4r132bB0.m",2);
AGRTOC("matff","HNG1-f4r133B0.m",2);
AGRTOC("matff","HNG1-f4r2650aB0.m",2);
AGRTOC("matff","HNG1-f5r133B0.m",2);
AGRTOC("matff","HNG1-f5r626B0.m",2);
AGRTOC("matff","HNG1-f5r627B0.m",2);
AGRTOC("matff","HNG1-f7r760B0.m",2);
AGRTOC("matff","HNG1-f9r133aB0.m",2);
AGRTOC("matff","HNG1-f9r133bB0.m",2);
AGRTOC("matff","HNG1-f11r133aB0.m",2);
AGRTOC("matff","HNG1-f11r133bB0.m",2);
AGRTOC("matff","HNG1-f11r760B0.m",2);
AGRTOC("matff","HNG1-f19r133aB0.m",2);
AGRTOC("matff","HNG1-f19r133bB0.m",2);
AGRTOC("matff","HNG1-f19r760B0.m",2);
AGRTOC("matff","HNG1-f49r133aB0.m",2);
AGRTOC("matff","HNG1-f49r133bB0.m",2);
AGRTOC("maxes","HNG1-max1W1");
AGRTOC("maxes","HNG1-max2W1");
AGRTOC("maxes","HNG1-max3W1");
AGRTOC("maxes","HNG1-max4W1");
AGRTOC("maxes","HNG1-max5W1");
AGRTOC("maxes","HNG1-max6W1");
AGRTOC("maxes","HNG1-max7W1");
AGRTOC("maxes","HNG1-max10W1");
AGRTOC("maxes","HNG1-max11W1");
AGRTOC("maxes","HNG1-max12W1");
AGRTOC("maxes","HNG1-max14W1");
AGRTOC("cyclic","HNG1-cycW1");
AGRTOC("cyc2ccl","HNG1cycW1-cclsW1");
AGRTOC("out","HNG1-a2W1");

# HNd2
AGRGRP("spor","HN","HNd2");
AGRTOC("matff","HNd2G1-f2r264B0.m",2);
AGRTOC("matff","HNd2G1-f5r133B0.m",2);
AGRTOC("maxes","HNd2G1-max1W1");
AGRTOC("maxes","HNd2G1-max2W1");
AGRTOC("maxes","HNd2G1-max3W1");
AGRTOC("maxes","HNd2G1-max4W1");
AGRTOC("maxes","HNd2G1-max5W1");
AGRTOC("maxes","HNd2G1-max6W1");
AGRTOC("maxes","HNd2G1-max7W1");
AGRTOC("maxes","HNd2G1-max8W1");
AGRTOC("maxes","HNd2G1-max9W1");
AGRTOC("maxes","HNd2G1-max10W1");
AGRTOC("maxes","HNd2G1-max11W1");
AGRTOC("maxes","HNd2G1-max12W1");
AGRTOC("maxes","HNd2G1-max13W1");

# 2HS
AGRGRP("spor","HS","2HS");
AGRTOC("perm","2HSG1-p704B0.m",2);
AGRTOC("perm","2HSG1-p4400B0.m",2);
AGRTOC("perm","2HSG1-p11200aB0.m",2);
AGRTOC("matff","2HSG1-f3r56B0.m",2);
AGRTOC("matff","2HSG1-f3r440B0.m",2);
AGRTOC("matff","2HSG1-f5r28bB0.m",2);
AGRTOC("matff","2HSG1-f5r120bB0.m",2);
AGRTOC("matff","2HSG1-f5r440bB0.m",2);
AGRTOC("matff","2HSG1-f7r56B0.m",2);
AGRTOC("matff","2HSG1-f9r176bB0.m",2);
AGRTOC("matff","2HSG1-f11r56B0.m",2);

# 2HSd2
AGRGRP("spor","HS","2HSd2");
AGRTOC("perm","2HSd2G1-p1408B0.m",2);
AGRTOC("matff","2HSd2G1-f3r112B0.m",2);
AGRTOC("matff","2HSd2G1-f5r56B0.m",2);
AGRTOC("matff","2HSd2G1-f9r56B0.m",2);

# HS
AGRGRP("spor","HS","HS");
AGRTOC("perm","HSG1-p100B0.m",2);
AGRTOC("perm","HSG1-p176bB0.m",2);
AGRTOC("perm","HSG1-p1100aB0.m",2);
AGRTOC("perm","HSG1-p1100bB0.m",2);
AGRTOC("perm","HSG1-p3850B0.m",2);
AGRTOC("perm","HSG1-p4125B0.m",2);
AGRTOC("perm","HSG1-p5600aB0.m",2);
AGRTOC("perm","HSG1-p15400B0.m",2);
AGRTOC("matff","HSG1-f2r20B0.m",2);
AGRTOC("matff","HSG1-f2r56B0.m",2);
AGRTOC("matff","HSG1-f2r132B0.m",2);
AGRTOC("matff","HSG1-f2r518B0.m",2);
AGRTOC("matff","HSG1-f2r1000B0.m",2);
AGRTOC("matff","HSG1-f3r22B0.m",2);
AGRTOC("matff","HSG1-f3r49aB0.m",2);
AGRTOC("matff","HSG1-f3r49bB0.m",2);
AGRTOC("matff","HSG1-f3r77B0.m",2);
AGRTOC("matff","HSG1-f3r154aB0.m",2);
AGRTOC("matff","HSG1-f3r154bB0.m",2);
AGRTOC("matff","HSG1-f3r154cB0.m",2);
AGRTOC("matff","HSG1-f3r231B0.m",2);
AGRTOC("matff","HSG1-f3r321B0.m",2);
AGRTOC("matff","HSG1-f3r693B0.m",2);
AGRTOC("matff","HSG1-f3r748B0.m",2);
AGRTOC("matff","HSG1-f3r770aB0.m",2);
AGRTOC("matff","HSG1-f3r825B0.m",2);
AGRTOC("matff","HSG1-f4r896aB0.m",2);
AGRTOC("matff","HSG1-f4r896bB0.m",2);
AGRTOC("matff","HSG1-f5r21B0.m",2);
AGRTOC("matff","HSG1-f5r55B0.m",2);
AGRTOC("matff","HSG1-f5r98B0.m",2);
AGRTOC("matff","HSG1-f5r133aB0.m",2);
AGRTOC("matff","HSG1-f5r133bB0.m",2);
AGRTOC("matff","HSG1-f5r175B0.m",2);
AGRTOC("matff","HSG1-f5r210B0.m",2);
AGRTOC("matff","HSG1-f5r280aB0.m",2);
AGRTOC("matff","HSG1-f5r518B0.m",2);
AGRTOC("matff","HSG1-f5r650B0.m",2);
AGRTOC("matff","HSG1-f7r22B0.m",2);
AGRTOC("matff","HSG1-f7r77B0.m",2);
AGRTOC("matff","HSG1-f7r154aB0.m",2);
AGRTOC("matff","HSG1-f7r154bB0.m",2);
AGRTOC("matff","HSG1-f7r154cB0.m",2);
AGRTOC("matff","HSG1-f7r175B0.m",2);
AGRTOC("matff","HSG1-f7r231B0.m",2);
AGRTOC("matff","HSG1-f7r605B0.m",2);
AGRTOC("matff","HSG1-f7r693B0.m",2);
AGRTOC("matff","HSG1-f7r770aB0.m",2);
AGRTOC("matff","HSG1-f7r770bB0.m",2);
AGRTOC("matff","HSG1-f7r770cB0.m",2);
AGRTOC("matff","HSG1-f7r803B0.m",2);
AGRTOC("matff","HSG1-f11r22B0.m",2);
AGRTOC("matff","HSG1-f11r77B0.m",2);
AGRTOC("matff","HSG1-f11r154aB0.m",2);
AGRTOC("matff","HSG1-f11r154bB0.m",2);
AGRTOC("matff","HSG1-f11r154cB0.m",2);
AGRTOC("matff","HSG1-f11r174B0.m",2);
AGRTOC("matff","HSG1-f11r231B0.m",2);
AGRTOC("matff","HSG1-f11r693B0.m",2);
AGRTOC("matff","HSG1-f11r770aB0.m",2);
AGRTOC("matff","HSG1-f11r825B0.m",2);
AGRTOC("matff","HSG1-f11r854B0.m",2);
AGRTOC("matff","HSG1-f11r896B0.m",2);
AGRTOC("matff","HSG1-f49r896aB0.m",2);
AGRTOC("matff","HSG1-f49r896bB0.m",2);
AGRTOC("matff","HSG1-f121r770bB0.m",2);
AGRTOC("matff","HSG1-f121r770cB0.m",2);
AGRTOC("maxes","HSG1-max1W1");
AGRTOC("maxes","HSG1-max2W1");
AGRTOC("maxes","HSG1-max3W1");
AGRTOC("maxes","HSG1-max4W1");
AGRTOC("maxes","HSG1-max5W1");
AGRTOC("maxes","HSG1-max6W1");
AGRTOC("maxes","HSG1-max7W1");
AGRTOC("maxes","HSG1-max8W1");
AGRTOC("maxes","HSG1-max9W1");
AGRTOC("maxes","HSG1-max10W1");
AGRTOC("maxes","HSG1-max11W1");
AGRTOC("maxes","HSG1-max12W1");
AGRTOC("cyclic","HSG1-cycW1");
AGRTOC("cyc2ccl","HSG1cycW1-cclsW1");

# HSd2
AGRGRP("spor","HS","HSd2");
AGRTOC("perm","HSd2G1-p100B0.m",2);
AGRTOC("perm","HSd2G1-p352B0.m",2);
AGRTOC("perm","HSd2G1-p1100bB0.m",2);
AGRTOC("perm","HSd2G1-p15400B0.m",2);
AGRTOC("matff","HSd2G1-f2r20B0.m",2);
AGRTOC("matff","HSd2G1-f2r22B0.m",2);
AGRTOC("matff","HSd2G1-f3r22aB0.m",2);
AGRTOC("matff","HSd2G1-f5r21aB0.m",2);
AGRTOC("matff","HSd2G1-f7r22B0.m",2);
AGRTOC("matff","HSd2G1-f7r154B0.m",2);
AGRTOC("matff","HSd2G1-f7r693B0.m",2);
AGRTOC("matff","HSd2G1-f7r770aB0.m",2);
AGRTOC("matff","HSd2G1-f7r803B0.m",2);
AGRTOC("matff","HSd2G1-f11r22B0.m",2);
AGRTOC("matff","HSd2G1-f11r896aB0.m",2);
AGRTOC("maxes","HSd2G1-max1W1");
AGRTOC("maxes","HSd2G1-max2W1");
AGRTOC("maxes","HSd2G1-max2W2");
AGRTOC("maxes","HSd2G1-max3W1");
AGRTOC("maxes","HSd2G1-max4W1");
AGRTOC("maxes","HSd2G1-max4W2");
AGRTOC("maxes","HSd2G1-max5W1");
AGRTOC("maxes","HSd2G1-max6W1");
AGRTOC("maxes","HSd2G1-max6W2");
AGRTOC("maxes","HSd2G1-max7W1");
AGRTOC("maxes","HSd2G1-max8W1");
AGRTOC("maxes","HSd2G1-max9W1");
AGRTOC("maxes","HSd2G1-max10W1");

# He
AGRGRP("spor","He","He");
AGRTOC("perm","HeG1-p2058B0.m",2);
AGRTOC("perm","HeG1-p8330B0.m",2);
AGRTOC("perm","HeG1-p29155B0.m",2);
AGRTOC("perm","HeG1-p244800B0.m",2);
AGRTOC("matff","HeG1-f2r51B0.m",2);
AGRTOC("matff","HeG1-f2r101B0.m",2);
AGRTOC("matff","HeG1-f2r246B0.m",2);
AGRTOC("matff","HeG1-f2r680B0.m",2);
AGRTOC("matff","HeG1-f3r679B0.m",2);
AGRTOC("matff","HeG1-f5r104B0.m",2);
AGRTOC("matff","HeG1-f5r680B0.m",2);
AGRTOC("matff","HeG1-f7r50B0.m",2);
AGRTOC("matff","HeG1-f7r153B0.m",2);
AGRTOC("matff","HeG1-f7r426B0.m",2);
AGRTOC("matff","HeG1-f7r798B0.m",2);
AGRTOC("matff","HeG1-f9r51B0.m",2);
AGRTOC("matff","HeG1-f9r153aB0.m",2);
AGRTOC("matff","HeG1-f9r153bB0.m",2);
AGRTOC("matff","HeG1-f17r102B0.m",2);
AGRTOC("matff","HeG1-f17r306B0.m",2);
AGRTOC("matff","HeG1-f17r680B0.m",2);
AGRTOC("matff","HeG1-f25r51B0.m",2);
AGRTOC("matff","HeG1-f25r153aB0.m",2);
AGRTOC("matff","HeG1-f25r153bB0.m",2);
AGRTOC("matff","HeG1-f25r925aB0.m",2);
AGRTOC("matff","HeG1-f25r925bB0.m",2);
AGRTOC("maxes","HeG1-max1W1");
AGRTOC("maxes","HeG1-max2W1");
AGRTOC("maxes","HeG1-max3W1");
AGRTOC("maxes","HeG1-max4W1");
AGRTOC("maxes","HeG1-max5W1");
AGRTOC("maxes","HeG1-max6W1");
AGRTOC("maxes","HeG1-max7W1");
AGRTOC("maxes","HeG1-max8W1");
AGRTOC("maxes","HeG1-max9W1");
AGRTOC("maxes","HeG1-max10W1");
AGRTOC("maxes","HeG1-max11W1");
AGRTOC("cyclic","HeG1-cycW1");

# Hed2
AGRGRP("spor","He","Hed2");
AGRTOC("perm","Hed2G1-p2058B0.m",2);
AGRTOC("perm","Hed2G1-p8330B0.m",2);
AGRTOC("matff","Hed2G1-f2r102B0.m",2);
AGRTOC("matff","Hed2G1-f2r202B0.m",2);
AGRTOC("matff","Hed2G1-f2r492B0.m",2);
AGRTOC("matff","Hed2G1-f2r680B0.m",2);
AGRTOC("matff","Hed2G1-f3r102B0.m",2);
AGRTOC("matff","Hed2G1-f3r679B0.m",2);
AGRTOC("matff","Hed2G1-f5r102B0.m",2);
AGRTOC("matff","Hed2G1-f5r104B0.m",2);
AGRTOC("matff","Hed2G1-f5r680B0.m",2);
AGRTOC("matff","Hed2G1-f7r50B0.m",2);
AGRTOC("matff","Hed2G1-f7r153B0.m",2);
AGRTOC("matff","Hed2G1-f7r426B0.m",2);
AGRTOC("matff","Hed2G1-f17r102B0.m",2);
AGRTOC("matff","Hed2G1-f17r680B0.m",2);
AGRTOC("maxes","Hed2G1-max1W1");
AGRTOC("maxes","Hed2G1-max2W1");
AGRTOC("maxes","Hed2G1-max2W2");
AGRTOC("maxes","Hed2G1-max3W1");
AGRTOC("maxes","Hed2G1-max3W2");
AGRTOC("maxes","Hed2G1-max4W1");
AGRTOC("maxes","Hed2G1-max4W2");
AGRTOC("maxes","Hed2G1-max5W1");
AGRTOC("maxes","Hed2G1-max6W1");
AGRTOC("maxes","Hed2G1-max6W2");
AGRTOC("maxes","Hed2G1-max7W1");
AGRTOC("maxes","Hed2G1-max8W1");
AGRTOC("maxes","Hed2G1-max9W1");
AGRTOC("maxes","Hed2G1-max10W2");
AGRTOC("maxes","Hed2G1-max10W1");
AGRTOC("maxes","Hed2G1-max11W1");
AGRTOC("maxes","Hed2G1-max12W1");

# J1
AGRGRP("spor","J1","J1");
AGRTOC("perm","J1G1-p266B0.m",2);
AGRTOC("perm","J1G1-p1045B0.m",2);
AGRTOC("perm","J1G1-p1463B0.m",2);
AGRTOC("perm","J1G1-p1540B0.m",2);
AGRTOC("perm","J1G1-p1596B0.m",2);
AGRTOC("perm","J1G1-p2926B0.m",2);
AGRTOC("perm","J1G1-p4180B0.m",2);
AGRTOC("matff","J1G1-f2r20B0.m",2);
AGRTOC("matff","J1G1-f2r76aB0.m",2);
AGRTOC("matff","J1G1-f2r76bB0.m",2);
AGRTOC("matff","J1G1-f2r112aB0.m",2);
AGRTOC("matff","J1G1-f2r112bB0.m",2);
AGRTOC("matff","J1G1-f2r360B0.m",2);
AGRTOC("matff","J1G1-f3r76aB0.m",2);
AGRTOC("matff","J1G1-f3r76bB0.m",2);
AGRTOC("matff","J1G1-f3r112B0.m",2);
AGRTOC("matff","J1G1-f3r133B0.m",2);
AGRTOC("matff","J1G1-f3r154B0.m",2);
AGRTOC("matff","J1G1-f3r360B0.m",2);
AGRTOC("matff","J1G1-f4r56aB0.m",2);
AGRTOC("matff","J1G1-f4r56bB0.m",2);
AGRTOC("matff","J1G1-f4r56cB0.m",2);
AGRTOC("matff","J1G1-f4r56dB0.m",2);
AGRTOC("matff","J1G1-f5r56B0.m",2);
AGRTOC("matff","J1G1-f5r76aB0.m",2);
AGRTOC("matff","J1G1-f5r76bB0.m",2);
AGRTOC("matff","J1G1-f5r77B0.m",2);
AGRTOC("matff","J1G1-f5r133B0.m",2);
AGRTOC("matff","J1G1-f5r360B0.m",2);
AGRTOC("matff","J1G1-f7r31B0.m",2);
AGRTOC("matff","J1G1-f7r45B0.m",2);
AGRTOC("matff","J1G1-f7r75B0.m",2);
AGRTOC("matff","J1G1-f7r77aB0.m",2);
AGRTOC("matff","J1G1-f7r89B0.m",2);
AGRTOC("matff","J1G1-f7r112B0.m",2);
AGRTOC("matff","J1G1-f7r120B0.m",2);
AGRTOC("matff","J1G1-f7r133aB0.m",2);
AGRTOC("matff","J1G1-f7r154B0.m",2);
AGRTOC("matff","J1G1-f7r266B0.m",2);
AGRTOC("matff","J1G1-f8r120aB0.m",2);
AGRTOC("matff","J1G1-f8r120bB0.m",2);
AGRTOC("matff","J1G1-f8r120cB0.m",2);
AGRTOC("matff","J1G1-f9r56aB0.m",2);
AGRTOC("matff","J1G1-f9r56bB0.m",2);
AGRTOC("matff","J1G1-f9r77aB0.m",2);
AGRTOC("matff","J1G1-f9r77bB0.m",2);
AGRTOC("matff","J1G1-f11r7B0.m",2);
AGRTOC("matff","J1G1-f11r14B0.m",2);
AGRTOC("matff","J1G1-f11r27B0.m",2);
AGRTOC("matff","J1G1-f11r49B0.m",2);
AGRTOC("matff","J1G1-f11r56B0.m",2);
AGRTOC("matff","J1G1-f11r64B0.m",2);
AGRTOC("matff","J1G1-f11r69B0.m",2);
AGRTOC("matff","J1G1-f11r77aB0.m",2);
AGRTOC("matff","J1G1-f11r77bB0.m",2);
AGRTOC("matff","J1G1-f11r77cB0.m",2);
AGRTOC("matff","J1G1-f11r106B0.m",2);
AGRTOC("matff","J1G1-f11r119B0.m",2);
AGRTOC("matff","J1G1-f11r209B0.m",2);
AGRTOC("matff","J1G1-f19r22B0.m",2);
AGRTOC("matff","J1G1-f19r34B0.m",2);
AGRTOC("matff","J1G1-f19r43B0.m",2);
AGRTOC("matff","J1G1-f19r55B0.m",2);
AGRTOC("matff","J1G1-f19r76aB0.m",2);
AGRTOC("matff","J1G1-f19r76bB0.m",2);
AGRTOC("matff","J1G1-f19r77B0.m",2);
AGRTOC("matff","J1G1-f19r133aB0.m",2);
AGRTOC("matff","J1G1-f19r133bB0.m",2);
AGRTOC("matff","J1G1-f19r133cB0.m",2);
AGRTOC("matff","J1G1-f19r209B0.m",2);
AGRTOC("matff","J1G1-f27r120aB0.m",2);
AGRTOC("matff","J1G1-f27r120bB0.m",2);
AGRTOC("matff","J1G1-f27r120cB0.m",2);
AGRTOC("matff","J1G1-f49r56aB0.m",2);
AGRTOC("matff","J1G1-f49r56bB0.m",2);
AGRTOC("matff","J1G1-f49r77bB0.m",2);
AGRTOC("matff","J1G1-f49r77cB0.m",2);
AGRTOC("matff","J1G1-f49r133bB0.m",2);
AGRTOC("matff","J1G1-f49r133cB0.m",2);
AGRTOC("matff","J1G1-f125r120aB0.m",2);
AGRTOC("matff","J1G1-f125r120bB0.m",2);
AGRTOC("matff","J1G1-f125r120cB0.m",2);
AGRTOC("maxes","J1G1-max1W1");
AGRTOC("maxes","J1G1-max2W1");
AGRTOC("maxes","J1G1-max3W1");
AGRTOC("maxes","J1G1-max4W1");
AGRTOC("maxes","J1G1-max5W1");
AGRTOC("maxes","J1G1-max6W1");
AGRTOC("maxes","J1G1-max7W1");
AGRTOC("cyclic","J1G1-cycW1");
AGRTOC("cyc2ccl","J1G1cycW1-cclsW1");
AGRTOC("maxstd","J1G1max1W1-L211G1W1");

# 2J2
AGRGRP("spor","J2","2J2");
AGRTOC("perm","2J2G1-p200B0.m",2);
AGRTOC("perm","2J2G1-p1120B0.m",2);
AGRTOC("matff","2J2G1-f3r14B0.m",2);
AGRTOC("matff","2J2G1-f3r216B0.m",2);
AGRTOC("matff","2J2G1-f3r236B0.m",2);
AGRTOC("matff","2J2G1-f5r6B0.m",2);
AGRTOC("matff","2J2G1-f5r14B0.m",2);
AGRTOC("matff","2J2G1-f5r50aB0.m",2);
AGRTOC("matff","2J2G1-f5r50bB0.m",2);
AGRTOC("matff","2J2G1-f5r56B0.m",2);
AGRTOC("matff","2J2G1-f5r64B0.m",2);
AGRTOC("matff","2J2G1-f7r14B0.m",2);
AGRTOC("matff","2J2G1-f9r6aB0.m",2);
AGRTOC("matff","2J2G1-f9r36aB0.m",2);
AGRTOC("matff","2J2G1-f9r50bB0.m",2);
AGRTOC("matff","2J2G1-f9r126bB0.m",2);
AGRTOC("matff","2J2G1-f49r6aB0.m",2);
AGRTOC("matff","2J2G1-f49r50bB0.m",2);
AGRTOC("matff","2J2G1-f49r58aB0.m",2);

# 2J2d2
AGRGRP("spor","J2","2J2d2");
AGRTOC("matff","2J2d2G1-f3r12B0.m",2);
AGRTOC("matff","2J2d2G1-f7r12B0.m",2);
AGRTOC("matff","2J2d2G1-f25r6aB0.m",2);

# J2
AGRGRP("spor","J2","J2");
AGRTOC("perm","J2G1-p100B0.m",2);
AGRTOC("perm","J2G1-p280B0.m",2);
AGRTOC("perm","J2G1-p315B0.m",2);
AGRTOC("perm","J2G1-p525B0.m",2);
AGRTOC("perm","J2G1-p840B0.m",2);
AGRTOC("perm","J2G1-p1008B0.m",2);
AGRTOC("perm","J2G1-p1800B0.m",2);
AGRTOC("matff","J2G1-f2r36B0.m",2);
AGRTOC("matff","J2G1-f2r84B0.m",2);
AGRTOC("matff","J2G1-f2r160B0.m",2);
AGRTOC("matff","J2G1-f3r36B0.m",2);
AGRTOC("matff","J2G1-f3r63B0.m",2);
AGRTOC("matff","J2G1-f3r90B0.m",2);
AGRTOC("matff","J2G1-f3r133B0.m",2);
AGRTOC("matff","J2G1-f3r225B0.m",2);
AGRTOC("matff","J2G1-f4r6aB0.m",2);
AGRTOC("matff","J2G1-f4r14aB0.m",2);
AGRTOC("matff","J2G1-f4r64aB0.m",2);
AGRTOC("matff","J2G1-f5r14B0.m",2);
AGRTOC("matff","J2G1-f5r21B0.m",2);
AGRTOC("matff","J2G1-f5r41B0.m",2);
AGRTOC("matff","J2G1-f5r70B0.m",2);
AGRTOC("matff","J2G1-f5r85B0.m",2);
AGRTOC("matff","J2G1-f5r90B0.m",2);
AGRTOC("matff","J2G1-f5r175B0.m",2);
AGRTOC("matff","J2G1-f5r189B0.m",2);
AGRTOC("matff","J2G1-f5r225B0.m",2);
AGRTOC("matff","J2G1-f5r300B0.m",2);
AGRTOC("matff","J2G1-f7r36B0.m",2);
AGRTOC("matff","J2G1-f7r63B0.m",2);
AGRTOC("matff","J2G1-f7r89B0.m",2);
AGRTOC("matff","J2G1-f7r101B0.m",2);
AGRTOC("matff","J2G1-f7r124B0.m",2);
AGRTOC("matff","J2G1-f7r126B0.m",2);
AGRTOC("matff","J2G1-f7r175B0.m",2);
AGRTOC("matff","J2G1-f7r199B0.m",2);
AGRTOC("matff","J2G1-f7r336B0.m",2);
AGRTOC("matff","J2G1-f9r13aB0.m",2);
AGRTOC("matff","J2G1-f9r21aB0.m",2);
AGRTOC("matff","J2G1-f9r57aB0.m",2);
AGRTOC("matff","J2G1-f9r189aB0.m",2);
AGRTOC("matff","J2G1-f49r14aB0.m",2);
AGRTOC("matff","J2G1-f49r21aB0.m",2);
AGRTOC("matff","J2G1-f49r70aB0.m",2);
AGRTOC("matff","J2G1-f49r189aB0.m",2);
AGRTOC("matff","J2G1-f49r224bB0.m",2);
AGRTOC("maxes","J2G1-max1W1");
AGRTOC("maxes","J2G1-max2W1");
AGRTOC("maxes","J2G1-max3W1");
AGRTOC("maxes","J2G1-max4W1");
AGRTOC("maxes","J2G1-max5W1");
AGRTOC("maxes","J2G1-max6W1");
AGRTOC("maxes","J2G1-max7W1");
AGRTOC("maxes","J2G1-max8W1");
AGRTOC("maxes","J2G1-max9W1");
AGRTOC("cyclic","J2G1-cycW1");
AGRTOC("cyc2ccl","J2G1cycW1-cclsW1");

# J2d2
AGRGRP("spor","J2","J2d2");
AGRTOC("perm","J2d2G1-p100B0.m",2);
AGRTOC("matff","J2d2G1-f2r12B0.m",2);
AGRTOC("matff","J2d2G1-f2r28B0.m",2);
AGRTOC("matff","J2d2G1-f2r36B0.m",2);
AGRTOC("matff","J2d2G1-f2r84B0.m",2);
AGRTOC("matff","J2d2G1-f2r128B0.m",2);
AGRTOC("matff","J2d2G1-f2r160B0.m",2);
AGRTOC("matff","J2d2G1-f3r26B0.m",2);
AGRTOC("matff","J2d2G1-f5r14aB0.m",2);
AGRTOC("matff","J2d2G1-f7r28B0.m",2);
AGRTOC("maxes","J2d2G1-max1W1");
AGRTOC("maxes","J2d2G1-max2W2");
AGRTOC("maxes","J2d2G1-max2W1");
AGRTOC("maxes","J2d2G1-max3W1");
AGRTOC("maxes","J2d2G1-max3W2");
AGRTOC("maxes","J2d2G1-max4W1");
AGRTOC("maxes","J2d2G1-max5W1");
AGRTOC("maxes","J2d2G1-max6W1");
AGRTOC("maxes","J2d2G1-max7W1");
AGRTOC("maxes","J2d2G1-max8W2");
AGRTOC("maxes","J2d2G1-max8W1");
AGRTOC("maxes","J2d2G1-max9W1");
AGRTOC("maxes","J2d2G1-max10W1");
AGRTOC("maxes","J2d2G1-max10W2");

# 3J3
AGRGRP("spor","J3","3J3");
AGRTOC("matff","3J3G1-f4r9aB0.m",2);
AGRTOC("matff","3J3G1-f4r18aB0.m",2);
AGRTOC("matff","3J3G1-f4r18bB0.m",2);
AGRTOC("matff","3J3G1-f4r126aB0.m",2);
AGRTOC("matff","3J3G1-f4r153aB0.m",2);
AGRTOC("matff","3J3G1-f4r153bB0.m",2);
AGRTOC("matff","3J3G1-f4r324aB0.m",2);
AGRTOC("matff","3J3G1-f4r720aB0.m",2);
AGRTOC("matff","3J3G1-f4r1008aB0.m",2);
AGRTOC("matff","3J3G1-f5r36B0.m",2);
AGRTOC("matff","3J3G1-f17r36aB0.m",2);
AGRTOC("matff","3J3G1-f17r36bB0.m",2);
AGRTOC("matff","3J3G1-f17r342aB0.m",2);
AGRTOC("matff","3J3G1-f17r648aB0.m",2);
AGRTOC("matff","3J3G1-f19r18aB0.m",2);
AGRTOC("matff","3J3G1-f19r18bB0.m",2);
AGRTOC("matff","3J3G1-f25r18B0.m",2);
AGRTOC("matff","3J3G1-f25r153B0.m",2);
AGRTOC("matff","3J3G1-f25r171aB0.m",2);

# 3J3d2
AGRGRP("spor","J3","3J3d2");
AGRTOC("matff","3J3d2G1-f2r18B0.m",2);

# J3
AGRGRP("spor","J3","J3");
AGRTOC("perm","J3G1-p6156B0.m",2);
AGRTOC("perm","J3G1-p14688aB0.m",2);
AGRTOC("perm","J3G1-p14688bB0.m",2);
AGRTOC("perm","J3G1-p17442B0.m",2);
AGRTOC("perm","J3G1-p20520B0.m",2);
AGRTOC("perm","J3G1-p23256B0.m",2);
AGRTOC("perm","J3G1-p25840B0.m",2);
AGRTOC("perm","J3G1-p26163B0.m",2);
AGRTOC("perm","J3G1-p43605B0.m",2);
AGRTOC("matff","J3G1-f2r80B0.m",2);
AGRTOC("matff","J3G1-f2r244B0.m",2);
AGRTOC("matff","J3G1-f2r248B0.m",2);
AGRTOC("matff","J3G1-f2r966B0.m",2);
AGRTOC("matff","J3G1-f3r324B0.m",2);
AGRTOC("matff","J3G1-f3r934B0.m",2);
AGRTOC("matff","J3G1-f4r78bB0.m",2);
AGRTOC("matff","J3G1-f4r84aB0.m",2);
AGRTOC("matff","J3G1-f4r322aB0.m",2);
AGRTOC("matff","J3G1-f5r85aB0.m",2);
AGRTOC("matff","J3G1-f5r323B0.m",2);
AGRTOC("matff","J3G1-f5r646B0.m",2);
AGRTOC("matff","J3G1-f5r816B0.m",2);
AGRTOC("matff","J3G1-f9r18bB0.m",2);
AGRTOC("matff","J3G1-f9r84bB0.m",2);
AGRTOC("matff","J3G1-f9r153bB0.m",2);
AGRTOC("matff","J3G1-f17r85bB0.m",2);
AGRTOC("matff","J3G1-f17r324B0.m",2);
AGRTOC("matff","J3G1-f17r379B0.m",2);
AGRTOC("matff","J3G1-f17r646cB0.m",2);
AGRTOC("matff","J3G1-f17r761B0.m",2);
AGRTOC("matff","J3G1-f17r816B0.m",2);
AGRTOC("matff","J3G1-f17r836B0.m",2);
AGRTOC("matff","J3G1-f17r1292B0.m",2);
AGRTOC("matff","J3G1-f19r85B0.m",2);
AGRTOC("matff","J3G1-f19r110B0.m",2);
AGRTOC("matff","J3G1-f19r214B0.m",2);
AGRTOC("matff","J3G1-f19r323aB0.m",2);
AGRTOC("matff","J3G1-f19r646aB0.m",2);
AGRTOC("matff","J3G1-f19r706B0.m",2);
AGRTOC("matff","J3G1-f19r919B0.m",2);
AGRTOC("matff","J3G1-f19r1001B0.m",2);
AGRTOC("maxes","J3G1-max1W1");
AGRTOC("maxes","J3G1-max2W1");
AGRTOC("maxes","J3G1-max3W1");
AGRTOC("maxes","J3G1-max4W1");
AGRTOC("maxes","J3G1-max5W1");
AGRTOC("maxes","J3G1-max6W1");
AGRTOC("maxes","J3G1-max7W1");
AGRTOC("maxes","J3G1-max8W1");
AGRTOC("maxes","J3G1-max9W1");
AGRTOC("cyclic","J3G1-cycW1");
AGRTOC("cyc2ccl","J3G1cycW1-cclsW1");

# J3d2
AGRGRP("spor","J3","J3d2");
AGRTOC("perm","J3d2G1-p6156B0.m",2);
AGRTOC("matff","J3d2G1-f3r36B0.m",2);
AGRTOC("matff","J3d2G1-f5r323bB0.m",2);
AGRTOC("matff","J3d2G1-f19r214bB0.m",2);
AGRTOC("maxes","J3d2G1-max1W1");
AGRTOC("maxes","J3d2G1-max1W2");
AGRTOC("maxes","J3d2G1-max2W1");
AGRTOC("maxes","J3d2G1-max2W2");
AGRTOC("maxes","J3d2G1-max3W1");
AGRTOC("maxes","J3d2G1-max3W2");
AGRTOC("maxes","J3d2G1-max4W1");
AGRTOC("maxes","J3d2G1-max4W2");
AGRTOC("maxes","J3d2G1-max4W3");
AGRTOC("maxes","J3d2G1-max5W1");
AGRTOC("maxes","J3d2G1-max5W2");
AGRTOC("maxes","J3d2G1-max6W1");
AGRTOC("maxes","J3d2G1-max6W2");
AGRTOC("maxes","J3d2G1-max7W1");
AGRTOC("maxes","J3d2G1-max7W2");
AGRTOC("maxes","J3d2G1-max8W1");
AGRTOC("maxes","J3d2G1-max8W2");
AGRTOC("maxes","J3d2G1-max9W1");
AGRTOC("maxes","J3d2G1-max9W2");

# J4
AGRGRP("spor","J4","J4");
AGRTOC("matff","J4G1-f2r112B0.m",2);
AGRTOC("matff","J4G1-f2r1220aB0.m",2);
AGRTOC("matff","J4G1-f11r1333B0.m",2);
AGRTOC("maxes","J4G1-max1W1");
AGRTOC("maxes","J4G1-max2W1");
AGRTOC("maxes","J4G1-max3W1");
AGRTOC("maxes","J4G1-max4W1");
AGRTOC("maxes","J4G1-max5W1");
AGRTOC("maxes","J4G1-max6W1");
AGRTOC("maxes","J4G1-max7W1");
AGRTOC("maxes","J4G1-max8W1");
AGRTOC("maxes","J4G1-max9W1");
AGRTOC("maxes","J4G1-max10W1");
AGRTOC("maxes","J4G1-max11W1");
AGRTOC("maxes","J4G1-max12W1");
AGRTOC("maxes","J4G1-max13W1");
AGRTOC("cyclic","J4G1-cycW1");
AGRTOC("switch","J4G1-G2W1");

# Ly
AGRGRP("spor","Ly","Ly");
AGRTOC("matff","LyG1-f3r651B0.m",2);
AGRTOC("matff","LyG1-f4r2480B0.m",2);
AGRTOC("matff","LyG1-f5r111B0.m",2);
AGRTOC("matff","LyG1-f5r517B0.m",2);
AGRTOC("matff","LyG1-f5r2480aB0.m",2);
AGRTOC("matff","LyG1-f5r2480bB0.m",2);
AGRTOC("maxes","LyG1-max1W1");
AGRTOC("maxes","LyG1-max2W1");
AGRTOC("maxes","LyG1-max3W1");
AGRTOC("maxes","LyG1-max4W1");
AGRTOC("maxes","LyG1-max5W1");
AGRTOC("maxes","LyG1-max6W1");
AGRTOC("maxes","LyG1-max7W1");
AGRTOC("maxes","LyG1-max8W1");
AGRTOC("maxes","LyG1-max9W1");
AGRTOC("cyclic","LyG1-cycW1");
AGRTOC("cyc2ccl","LyG1cycW1-cclsW1");

# M3max7
AGRGRP("spor","M","M3max7");
AGRTOC("matff","M3max7G0-f3r38B0.m",4);

# Mmax11
AGRGRP("spor","M","Mmax11");
AGRTOC("perm","Mmax11G0-p805896B0.m",2);
AGRTOC("matff","Mmax11G0-f3r204B0.m",2);

# Mmax12
AGRGRP("spor","M","Mmax12");
AGRTOC("matff","Mmax12G0-f5r135B0.m",2);

# Mmax13
AGRGRP("spor","M","Mmax13");
AGRTOC("perm","Mmax13G0-p3369B0.m",2);

# Mmax14
AGRGRP("spor","M","Mmax14");
AGRTOC("perm","Mmax14G0-p34992B0.m",2);
AGRTOC("perm","Mmax14G0-p69984B0.m",2);

# Mmax15
AGRGRP("spor","M","Mmax15");
AGRTOC("perm","Mmax15G0-p85293B0.m",2);
AGRTOC("perm","Mmax15G0-p113724B0.m",2);
AGRTOC("perm","Mmax15G0-p227448B0.m",2);

# Mmax15q1
AGRGRP("spor","M","Mmax15q1");
AGRTOC("perm","Mmax15q1G0-p6561B0.m",2);

# Mmax15q2
AGRGRP("spor","M","Mmax15q2");
AGRTOC("perm","Mmax15q2G0-p1404B0.m",2);

# Mmax15q3
AGRGRP("spor","M","Mmax15q3");
AGRTOC("perm","Mmax15q3G0-p108B0.m",2);

# Mmax16
AGRGRP("spor","M","Mmax16");
AGRTOC("perm","Mmax16G0-p78125B0.m",2);
AGRTOC("matff","Mmax16G0-f5r8B0.m",2);

# Mmax17
AGRGRP("spor","M","Mmax17");
AGRTOC("perm","Mmax17G0-p2065B0.m",2);

# Mmax18
AGRGRP("spor","M","Mmax18");
AGRTOC("perm","Mmax18G0-p17B0.m",2);

# Mmax19
AGRGRP("spor","M","Mmax19");
AGRTOC("perm","Mmax19G0-p7750B0.m",2);
AGRTOC("perm","Mmax19G0-p46500B0.m",2);
AGRTOC("perm","Mmax19G0-p96875B0.m",2);
AGRTOC("matff","Mmax19G0-f5r46B0.m",2);

# Mmax20
AGRGRP("spor","M","Mmax20");
AGRTOC("perm","Mmax20G0-p30B0.m",2);

# Mmax21
AGRGRP("spor","M","Mmax21");
AGRTOC("perm","Mmax21G0-p3653B0.m",2);
AGRTOC("matff","Mmax21G0-f2r28B0.m",2);

# Mmax22
AGRGRP("spor","M","Mmax22");
AGRTOC("perm","Mmax22G0-p750B0.m",2);
AGRTOC("perm","Mmax22G0-p15625B0.m",2);

# Mmax23
AGRGRP("spor","M","Mmax23");
AGRTOC("perm","Mmax23G0-p524B0.m",2);
AGRTOC("matff","Mmax23G0-f2r22B0.m",2);

# Mmax24
AGRGRP("spor","M","Mmax24");
AGRTOC("perm","Mmax24G0-p16807B0.m",2);
AGRTOC("matff","Mmax24G0-f7r6B0.m",2);

# Mmax25
AGRGRP("spor","M","Mmax25");
AGRTOC("perm","Mmax25G0-p151B0.m",2);

# Mmax26
AGRGRP("spor","M","Mmax26");
AGRTOC("perm","Mmax26G0-p36B0.m",2);

# Mmax27
AGRGRP("spor","M","Mmax27");
AGRTOC("perm","Mmax27G0-p17B0.m",2);

# Mmax28
AGRGRP("spor","M","Mmax28");
AGRTOC("perm","Mmax28G0-p625B0.m",2);
AGRTOC("matff","Mmax28G0-f5r5B0.m",2);

# Mmax29
AGRGRP("spor","M","Mmax29");
AGRTOC("perm","Mmax29G0-p392B0.m",2);
AGRTOC("perm","Mmax29G0-p2401B0.m",2);
AGRTOC("matff","Mmax29G0-f7r7B0.m",2);

# Mmax3
AGRGRP("spor","M","Mmax3");
AGRTOC("perm","Mmax3G0-p920808B0.m",2);
AGRTOC("matff","Mmax3G0-f2r1566B0.m",2);

# Mmax30
AGRGRP("spor","M","Mmax30");
AGRTOC("perm","Mmax30G0-p21B0.m",2);

# Mmax31
AGRGRP("spor","M","Mmax31");
AGRTOC("perm","Mmax31G0-p15B0.m",2);

# Mmax32
AGRGRP("spor","M","Mmax32");
AGRTOC("perm","Mmax32G0-p24B0.m",2);

# Mmax33
AGRGRP("spor","M","Mmax33");
AGRTOC("perm","Mmax33G0-p169B0.m",2);
AGRTOC("matff","Mmax33G0-f13r3B0.m",2);

# Mmax34
AGRGRP("spor","M","Mmax34");
AGRTOC("perm","Mmax34G0-p57B0.m",2);

# Mmax35
AGRGRP("spor","M","Mmax35");
AGRTOC("perm","Mmax35G0-p39B0.m",2);

# Mmax36
AGRGRP("spor","M","Mmax36");
AGRTOC("perm","Mmax36G0-p2197B0.m",2);
AGRTOC("matff","Mmax36G0-f13r4B0.m",2);

# Mmax37
AGRGRP("spor","M","Mmax37");
AGRTOC("perm","Mmax37G0-p72B0.m",2);

# Mmax38
AGRGRP("spor","M","Mmax38");
AGRTOC("perm","Mmax38G0-p60B0.m",2);

# Mmax39
AGRGRP("spor","M","Mmax39");
AGRTOC("perm","Mmax39G0-p121B0.m",2);
AGRTOC("matff","Mmax39G0-f11r3B0.m",2);

# Mmax4
AGRGRP("spor","M","Mmax4");
AGRTOC("matff","Mmax4G0-f2r1708B0.m",2);

# Mmax40
AGRGRP("spor","M","Mmax40");
AGRTOC("perm","Mmax40G0-p30B0.m",2);

# Mmax41
AGRGRP("spor","M","Mmax41");
AGRTOC("perm","Mmax41G0-p49B0.m",2);
AGRTOC("matff","Mmax41G0-f7r3B0.m",2);

# Mmax42
AGRGRP("spor","M","Mmax42");
AGRTOC("perm","Mmax42G0-p20B0.m",2);

# Mmax43
AGRGRP("spor","M","Mmax43");
AGRTOC("perm","Mmax43G0-p41B0.m",2);

# Mmax6
AGRGRP("spor","M","Mmax6");
AGRTOC("perm","Mmax6G0-p294912B0.m",2);

# Mmax9
AGRGRP("spor","M","Mmax9");
AGRTOC("matff","Mmax9G0-f2r250B0.m",2);

# Mnotmax19
AGRGRP("spor","M","Mnotmax19");
AGRTOC("perm","Mnotmax19G0-p7750B0.m",2);
AGRTOC("perm","Mnotmax19G0-p46500B0.m",2);
AGRTOC("perm","Mnotmax19G0-p96875B0.m",2);
AGRTOC("matff","Mnotmax19G0-f5r46B0.m",2);

# M11
AGRGRP("spor","M11","M11");
AGRTOC("perm","M11G1-p11B0.m",2);
AGRTOC("perm","M11G1-p12B0.m",2);
AGRTOC("perm","M11G1-p55B0.m",2);
AGRTOC("perm","M11G1-p66B0.m",2);
AGRTOC("perm","M11G1-p165B0.m",2);
AGRTOC("matff","M11G1-f2r10B0.m",2);
AGRTOC("matff","M11G1-f2r32B0.m",2);
AGRTOC("matff","M11G1-f2r44B0.m",2);
AGRTOC("matff","M11G1-f3r5aB0.m",2);
AGRTOC("matff","M11G1-f3r5bB0.m",2);
AGRTOC("matff","M11G1-f3r10aB0.m",2);
AGRTOC("matff","M11G1-f3r10bB0.m",2);
AGRTOC("matff","M11G1-f3r10cB0.m",2);
AGRTOC("matff","M11G1-f3r24B0.m",2);
AGRTOC("matff","M11G1-f3r45B0.m",2);
AGRTOC("matff","M11G1-f4r16aB0.m",2);
AGRTOC("matff","M11G1-f4r16bB0.m",2);
AGRTOC("matff","M11G1-f5r10aB0.m",2);
AGRTOC("matff","M11G1-f5r11B0.m",2);
AGRTOC("matff","M11G1-f5r16aB0.m",2);
AGRTOC("matff","M11G1-f5r16bB0.m",2);
AGRTOC("matff","M11G1-f5r20B0.m",2);
AGRTOC("matff","M11G1-f5r45B0.m",2);
AGRTOC("matff","M11G1-f5r55B0.m",2);
AGRTOC("matff","M11G1-f11r9B0.m",2);
AGRTOC("matff","M11G1-f11r10aB0.m",2);
AGRTOC("matff","M11G1-f11r10bB0.m",2);
AGRTOC("matff","M11G1-f11r11B0.m",2);
AGRTOC("matff","M11G1-f11r16B0.m",2);
AGRTOC("matff","M11G1-f11r44B0.m",2);
AGRTOC("matff","M11G1-f11r55B0.m",2);
AGRTOC("matff","M11G1-f25r10bB0.m",2);
AGRTOC("matff","M11G1-f25r10cB0.m",2);
AGRTOC("matint","M11G1-Zr10aB0.g");
AGRTOC("matint","M11G1-Zr11B0.g");
AGRTOC("matint","M11G1-Zr20B0.g");
AGRTOC("matint","M11G1-Zr32B0.g");
AGRTOC("matint","M11G1-Zr44B0.g");
AGRTOC("matint","M11G1-Zr45B0.g");
AGRTOC("matint","M11G1-Zr55B0.g");
AGRTOC("matalg","M11G1-Ar10bB0.g");
AGRTOC("matalg","M11G1-Ar10cB0.g");
AGRTOC("maxes","M11G1-max1W1");
AGRTOC("maxes","M11G1-max2W1");
AGRTOC("maxes","M11G1-max3W1");
AGRTOC("maxes","M11G1-max4W1");
AGRTOC("maxes","M11G1-max5W1");
AGRTOC("classes","M11G1-cclsW1");
AGRTOC("cyclic","M11G1-cycW1");
AGRTOC("cyc2ccl","M11G1cycW1-cclsW1");
AGRTOC("maxstd","M11G1max1W1-M10G1W1");
AGRTOC("maxstd","M11G1max2W1-L211G1W1");
AGRTOC("maxstd","M11G1max4W1-S5G1W1");

# 2M12
AGRGRP("spor","M12","2M12");
AGRTOC("perm","2M12G1-p24aB0.m",2);
AGRTOC("matff","2M12G1-f3r6bB0.m",2);
AGRTOC("matff","2M12G1-f5r12B0.m",2);

# 2M12d2
AGRGRP("spor","M12","2M12d2");
AGRTOC("perm","2M12d2G1-p48B0.m",2);
AGRTOC("matff","2M12d2G1-f3r10bB0.m",2);
AGRTOC("matff","2M12d2G1-f3r12B0.m",2);

# M12
AGRGRP("spor","M12","M12");
AGRTOC("perm","M12G1-p12aB0.m",2);
AGRTOC("perm","M12G1-p12bB0.m",2);
AGRTOC("perm","M12G1-p66aB0.m",2);
AGRTOC("perm","M12G1-p66bB0.m",2);
AGRTOC("matff","M12G1-f2r10B0.m",2);
AGRTOC("matff","M12G1-f2r44B0.m",2);
AGRTOC("matff","M12G1-f2r144B0.m",2);
AGRTOC("matff","M12G1-f3r10aB0.m",2);
AGRTOC("matff","M12G1-f3r15bB0.m",2);
AGRTOC("matff","M12G1-f3r34B0.m",2);
AGRTOC("matff","M12G1-f3r45aB0.m",2);
AGRTOC("matff","M12G1-f3r45bB0.m",2);
AGRTOC("matff","M12G1-f3r54B0.m",2);
AGRTOC("matff","M12G1-f3r99B0.m",2);
AGRTOC("matff","M12G1-f4r16aB0.m",2);
AGRTOC("matff","M12G1-f4r16bB0.m",2);
AGRTOC("matff","M12G1-f5r11aB0.m",2);
AGRTOC("matff","M12G1-f5r16bB0.m",2);
AGRTOC("matff","M12G1-f5r45B0.m",2);
AGRTOC("matff","M12G1-f5r55aB0.m",2);
AGRTOC("matff","M12G1-f5r55cB0.m",2);
AGRTOC("matff","M12G1-f5r66B0.m",2);
AGRTOC("matff","M12G1-f5r78B0.m",2);
AGRTOC("matff","M12G1-f5r98B0.m",2);
AGRTOC("matff","M12G1-f5r120B0.m",2);
AGRTOC("matff","M12G1-f11r11aB0.m",2);
AGRTOC("matff","M12G1-f11r16B0.m",2);
AGRTOC("matff","M12G1-f11r29B0.m",2);
AGRTOC("matff","M12G1-f11r53B0.m",2);
AGRTOC("matff","M12G1-f11r55aB0.m",2);
AGRTOC("matff","M12G1-f11r55cB0.m",2);
AGRTOC("matff","M12G1-f11r66B0.m",2);
AGRTOC("matff","M12G1-f11r91B0.m",2);
AGRTOC("matff","M12G1-f11r99B0.m",2);
AGRTOC("matff","M12G1-f11r176B0.m",2);
AGRTOC("maxes","M12G1-max1W1");
AGRTOC("maxes","M12G1-max2W1");
AGRTOC("maxes","M12G1-max3W1");
AGRTOC("maxes","M12G1-max4W1");
AGRTOC("maxes","M12G1-max5W1");
AGRTOC("maxes","M12G1-max6W1");
AGRTOC("maxes","M12G1-max7W1");
AGRTOC("maxes","M12G1-max8W1");
AGRTOC("maxes","M12G1-max9W1");
AGRTOC("maxes","M12G1-max9W2");
AGRTOC("maxes","M12G1-max10W1");
AGRTOC("maxes","M12G1-max11W1");
AGRTOC("cyclic","M12G1-cycW1");
AGRTOC("cyc2ccl","M12G1cycW1-cclsW1");

# M12d2
AGRGRP("spor","M12","M12d2");
AGRTOC("perm","M12d2G1-p24B0.m",2);
AGRTOC("matff","M12d2G1-f2r10B0.m",2);
AGRTOC("matff","M12d2G1-f2r32B0.m",2);
AGRTOC("matff","M12d2G1-f2r44B0.m",2);
AGRTOC("matff","M12d2G1-f2r144B0.m",2);
AGRTOC("maxes","M12d2G1-max2W1");
AGRTOC("maxes","M12d2G1-max2W2");
AGRTOC("maxes","M12d2G1-max3W1");
AGRTOC("maxes","M12d2G1-max3W2");
AGRTOC("maxes","M12d2G1-max4W1");
AGRTOC("maxes","M12d2G1-max5W1");
AGRTOC("maxes","M12d2G1-max6W1");
AGRTOC("maxes","M12d2G1-max7W1");
AGRTOC("maxes","M12d2G1-max8W1");
AGRTOC("maxes","M12d2G1-max9W1");

# 12M22
AGRGRP("spor","M22","12M22");
AGRTOC("matff","12M22G1-f25r48aB0.m",2);
AGRTOC("matff","12M22G1-f25r120aB0.m",2);
AGRTOC("matff","12M22G1-f25r120bB0.m",2);
AGRTOC("matff","12M22G1-f25r144aB0.m",2);
AGRTOC("matff","12M22G1-f25r144bB0.m",2);
AGRTOC("matff","12M22G1-f25r336aB0.m",2);
AGRTOC("matff","12M22G1-f49r120aB0.m",2);
AGRTOC("matff","12M22G1-f49r120bB0.m",2);
AGRTOC("matff","12M22G1-f49r144aB0.m",2);
AGRTOC("matff","12M22G1-f49r336aB0.m",2);
AGRTOC("matff","12M22G1-f49r336bB0.m",2);
AGRTOC("matff","12M22G1-f121r24aB0.m",2);
AGRTOC("matff","12M22G1-f121r24bB0.m",2);
AGRTOC("matff","12M22G1-f121r96aB0.m",2);
AGRTOC("matff","12M22G1-f121r120aB0.m",2);
AGRTOC("matff","12M22G1-f121r120bB0.m",2);
AGRTOC("matff","12M22G1-f121r120cB0.m",2);
AGRTOC("matff","12M22G1-f121r120dB0.m",2);
AGRTOC("matff","12M22G1-f121r144aB0.m",2);
AGRTOC("matff","12M22G1-f121r144bB0.m",2);
AGRTOC("matff","12M22G1-f121r336aB0.m",2);

# 2M22
AGRGRP("spor","M22","2M22");
AGRTOC("perm","2M22G1-p352aB0.m",2);
AGRTOC("perm","2M22G1-p660B0.m",2);
AGRTOC("matff","2M22G1-f3r56B0.m",2);
AGRTOC("matff","2M22G1-f3r120B0.m",2);
AGRTOC("matff","2M22G1-f3r126bB0.m",2);
AGRTOC("matff","2M22G1-f3r210B0.m",2);
AGRTOC("matff","2M22G1-f5r28aB0.m",2);
AGRTOC("matff","2M22G1-f5r28bB0.m",2);
AGRTOC("matff","2M22G1-f5r120B0.m",2);
AGRTOC("matff","2M22G1-f5r210B0.m",2);
AGRTOC("matff","2M22G1-f5r330B0.m",2);
AGRTOC("matff","2M22G1-f5r440B0.m",2);
AGRTOC("matff","2M22G1-f7r10B0.m",2);
AGRTOC("matff","2M22G1-f7r56B0.m",2);
AGRTOC("matff","2M22G1-f7r120B0.m",2);
AGRTOC("matff","2M22G1-f7r210B0.m",2);
AGRTOC("matff","2M22G1-f7r252B0.m",2);
AGRTOC("matff","2M22G1-f7r308B0.m",2);
AGRTOC("matff","2M22G1-f7r320B0.m",2);
AGRTOC("matff","2M22G1-f9r10aB0.m",2);
AGRTOC("matff","2M22G1-f9r10bB0.m",2);
AGRTOC("matff","2M22G1-f9r154B0.m",2);
AGRTOC("matff","2M22G1-f11r10aB0.m",2);
AGRTOC("matff","2M22G1-f11r10bB0.m",2);
AGRTOC("matff","2M22G1-f11r56B0.m",2);
AGRTOC("matff","2M22G1-f11r64B0.m",2);
AGRTOC("matff","2M22G1-f11r126B0.m",2);
AGRTOC("matff","2M22G1-f11r308B0.m",2);
AGRTOC("matff","2M22G1-f11r330B0.m",2);
AGRTOC("matff","2M22G1-f11r440B0.m",2);
AGRTOC("matff","2M22G1-f25r10aB0.m",2);
AGRTOC("matff","2M22G1-f25r10bB0.m",2);
AGRTOC("matff","2M22G1-f25r126aB0.m",2);
AGRTOC("matff","2M22G1-f49r126aB0.m",2);
AGRTOC("matff","2M22G1-f49r126bB0.m",2);
AGRTOC("matff","2M22G1-f49r154aB0.m",2);
AGRTOC("matff","2M22G1-f49r154bB0.m",2);
AGRTOC("matff","2M22G1-f121r154aB0.m",2);
AGRTOC("matff","2M22G1-f121r154bB0.m",2);
AGRTOC("matmodn","2M22G1-Z4r10aB0.g");

# 2M22d2
AGRGRP("spor","M22","2M22d2");
AGRTOC("matff","2M22d2G1-f7r10aB0.m",2);
AGRTOC("matff","2M22d2G1-f9r10bB0.m",2);
AGRTOC("matff","2M22d2G1-f11r10bB0.m",2);
AGRTOC("matff","2M22d2G1-f25r10bB0.m",2);

# 3M22
AGRGRP("spor","M22","3M22");
AGRTOC("perm","3M22G1-p693B0.m",2);
AGRTOC("perm","3M22G1-p990B0.m",2);
AGRTOC("perm","3M22G1-p2016B0.m",2);
AGRTOC("matff","3M22G1-f4r6aB0.m",2);
AGRTOC("matff","3M22G1-f4r15aB0.m",2);
AGRTOC("matff","3M22G1-f4r45aB0.m",2);
AGRTOC("matff","3M22G1-f4r45bB0.m",2);
AGRTOC("matff","3M22G1-f4r84aB0.m",2);
AGRTOC("matff","3M22G1-f4r384aB0.m",2);
AGRTOC("matff","3M22G1-f7r21aB0.m",2);
AGRTOC("matff","3M22G1-f7r45aB0.m",2);
AGRTOC("matff","3M22G1-f7r99aB0.m",2);
AGRTOC("matff","3M22G1-f7r210aB0.m",2);
AGRTOC("matff","3M22G1-f7r210bB0.m",2);
AGRTOC("matff","3M22G1-f7r231aB0.m",2);
AGRTOC("matff","3M22G1-f7r231bB0.m",2);
AGRTOC("matff","3M22G1-f7r285aB0.m",2);
AGRTOC("matff","3M22G1-f25r21aB0.m",2);
AGRTOC("matff","3M22G1-f25r45aB0.m",2);
AGRTOC("matff","3M22G1-f25r45bB0.m",2);
AGRTOC("matff","3M22G1-f25r78aB0.m",2);
AGRTOC("matff","3M22G1-f25r105aB0.m",2);
AGRTOC("matff","3M22G1-f25r105bB0.m",2);
AGRTOC("matff","3M22G1-f25r153aB0.m",2);
AGRTOC("matff","3M22G1-f25r210aB0.m",2);
AGRTOC("matff","3M22G1-f25r231aB0.m",2);
AGRTOC("matff","3M22G1-f25r330aB0.m",2);
AGRTOC("matff","3M22G1-f49r105aB0.m",2);
AGRTOC("matff","3M22G1-f49r105bB0.m",2);
AGRTOC("matff","3M22G1-f121r21aB0.m",2);
AGRTOC("matff","3M22G1-f121r21a1B0.m",2);
AGRTOC("matff","3M22G1-f121r45aB0.m",2);
AGRTOC("matff","3M22G1-f121r45bB0.m",2);
AGRTOC("matff","3M22G1-f121r84aB0.m",2);
AGRTOC("matff","3M22G1-f121r99aB0.m",2);
AGRTOC("matff","3M22G1-f121r210aB0.m",2);
AGRTOC("matff","3M22G1-f121r231aB0.m",2);
AGRTOC("matff","3M22G1-f121r231bB0.m",2);
AGRTOC("matff","3M22G1-f121r330aB0.m",2);

# 3M22d2
AGRGRP("spor","M22","3M22d2");
AGRTOC("matff","3M22d2G1-f2r12B0.m",2);

# 4M22
AGRGRP("spor","M22","4M22");
AGRTOC("perm","4M22G1-p4928aB0.m",2);
AGRTOC("perm","4M22G1-p4928bB0.m",2);
AGRTOC("matff","4M22G1-f5r160aB0.m",2);
AGRTOC("matff","4M22G1-f5r160bB0.m",2);
AGRTOC("matff","4M22G1-f5r560aB0.m",2);
AGRTOC("matff","4M22G1-f9r56aB0.m",2);
AGRTOC("matff","4M22G1-f9r56bB0.m",2);
AGRTOC("matff","4M22G1-f9r64aB0.m",2);
AGRTOC("matff","4M22G1-f9r144aB0.m",2);
AGRTOC("matff","4M22G1-f9r144bB0.m",2);
AGRTOC("matff","4M22G1-f9r160aB0.m",2);
AGRTOC("matff","4M22G1-f9r160bB0.m",2);
AGRTOC("matff","4M22G1-f25r56aB0.m",2);
AGRTOC("matff","4M22G1-f25r56bB0.m",2);
AGRTOC("matff","4M22G1-f25r88aB0.m",2);
AGRTOC("matff","4M22G1-f25r88bB0.m",2);
AGRTOC("matff","4M22G1-f49r16aB0.m",2);
AGRTOC("matff","4M22G1-f49r56aB0.m",2);
AGRTOC("matff","4M22G1-f49r56bB0.m",2);
AGRTOC("matff","4M22G1-f49r144aB0.m",2);
AGRTOC("matff","4M22G1-f49r160aB0.m",2);
AGRTOC("matff","4M22G1-f49r560aB0.m",2);
AGRTOC("matff","4M22G1-f121r56aB0.m",2);
AGRTOC("matff","4M22G1-f121r56bB0.m",2);
AGRTOC("matff","4M22G1-f121r144aB0.m",2);
AGRTOC("matff","4M22G1-f121r144bB0.m",2);
AGRTOC("matff","4M22G1-f121r160aB0.m",2);
AGRTOC("matff","4M22G1-f121r176aB0.m",2);

# 4M22d2
AGRGRP("spor","M22","4M22d2");
AGRTOC("matff","4M22d2G1-f7r32B0.m",2);

# 6M22
AGRGRP("spor","M22","6M22");
AGRTOC("matff","6M22G1-f7r54aB0.m",2);
AGRTOC("matff","6M22G1-f7r66aB0.m",2);
AGRTOC("matff","6M22G1-f7r210aB0.m",2);
AGRTOC("matff","6M22G1-f7r252aB0.m",2);
AGRTOC("matff","6M22G1-f7r330aB0.m",2);
AGRTOC("matff","6M22G1-f7r420aB0.m",2);
AGRTOC("matff","6M22G1-f25r66aB0.m",2);
AGRTOC("matff","6M22G1-f25r66bB0.m",2);
AGRTOC("matff","6M22G1-f25r120aB0.m",2);
AGRTOC("matff","6M22G1-f25r126aB0.m",2);
AGRTOC("matff","6M22G1-f25r126bB0.m",2);
AGRTOC("matff","6M22G1-f25r210aB0.m",2);
AGRTOC("matff","6M22G1-f25r210bB0.m",2);
AGRTOC("matff","6M22G1-f25r210cB0.m",2);
AGRTOC("matff","6M22G1-f25r330aB0.m",2);
AGRTOC("matff","6M22G1-f49r126aB0.m",2);
AGRTOC("matff","6M22G1-f49r126bB0.m",2);
AGRTOC("matff","6M22G1-f49r210bB0.m",2);
AGRTOC("matff","6M22G1-f49r210cB0.m",2);
AGRTOC("matff","6M22G1-f121r36aB0.m",2);
AGRTOC("matff","6M22G1-f121r36a1B0.m",2);
AGRTOC("matff","6M22G1-f121r66aB0.m",2);
AGRTOC("matff","6M22G1-f121r66bB0.m",2);
AGRTOC("matff","6M22G1-f121r90aB0.m",2);
AGRTOC("matff","6M22G1-f121r120aB0.m",2);
AGRTOC("matff","6M22G1-f121r174aB0.m",2);
AGRTOC("matff","6M22G1-f121r210aB0.m",2);
AGRTOC("matff","6M22G1-f121r330aB0.m",2);

# 6M22d2
AGRGRP("spor","M22","6M22d2");
AGRTOC("matff","6M22d2G1-f11r72B0.m",2);

# M22
AGRGRP("spor","M22","M22");
AGRTOC("perm","M22G1-p22B0.m",2);
AGRTOC("matff","M22G1-f2r10aB0.m",2);
AGRTOC("matff","M22G1-f2r10bB0.m",2);
AGRTOC("matff","M22G1-f2r34B0.m",2);
AGRTOC("matff","M22G1-f2r98B0.m",2);
AGRTOC("matff","M22G1-f3r21B0.m",2);
AGRTOC("matff","M22G1-f3r49aB0.m",2);
AGRTOC("matff","M22G1-f3r49bB0.m",2);
AGRTOC("matff","M22G1-f3r55B0.m",2);
AGRTOC("matff","M22G1-f3r99B0.m",2);
AGRTOC("matff","M22G1-f3r210B0.m",2);
AGRTOC("matff","M22G1-f3r231B0.m",2);
AGRTOC("matff","M22G1-f4r70aB0.m",2);
AGRTOC("matff","M22G1-f4r70bB0.m",2);
AGRTOC("matff","M22G1-f5r21B0.m",2);
AGRTOC("matff","M22G1-f5r55B0.m",2);
AGRTOC("matff","M22G1-f5r98B0.m",2);
AGRTOC("matff","M22G1-f5r133B0.m",2);
AGRTOC("matff","M22G1-f5r210B0.m",2);
AGRTOC("matff","M22G1-f5r280aB0.m",2);
AGRTOC("matff","M22G1-f5r385B0.m",2);
AGRTOC("matff","M22G1-f7r21B0.m",2);
AGRTOC("matff","M22G1-f7r45B0.m",2);
AGRTOC("matff","M22G1-f7r54B0.m",2);
AGRTOC("matff","M22G1-f7r154B0.m",2);
AGRTOC("matff","M22G1-f7r210B0.m",2);
AGRTOC("matff","M22G1-f7r231B0.m",2);
AGRTOC("matff","M22G1-f7r385B0.m",2);
AGRTOC("matff","M22G1-f9r45aB0.m",2);
AGRTOC("matff","M22G1-f11r20B0.m",2);
AGRTOC("matff","M22G1-f11r45aB0.m",2);
AGRTOC("matff","M22G1-f11r45bB0.m",2);
AGRTOC("matff","M22G1-f11r55B0.m",2);
AGRTOC("matff","M22G1-f11r99B0.m",2);
AGRTOC("matff","M22G1-f11r154B0.m",2);
AGRTOC("matff","M22G1-f11r190B0.m",2);
AGRTOC("matff","M22G1-f11r231B0.m",2);
AGRTOC("matff","M22G1-f11r385B0.m",2);
AGRTOC("matff","M22G1-f25r45aB0.m",2);
AGRTOC("matff","M22G1-f49r280aB0.m",2);
AGRTOC("matff","M22G1-f49r280bB0.m",2);
AGRTOC("maxes","M22G1-max1W1");
AGRTOC("maxes","M22G1-max2W1");
AGRTOC("maxes","M22G1-max3W1");
AGRTOC("maxes","M22G1-max4W1");
AGRTOC("maxes","M22G1-max5W1");
AGRTOC("maxes","M22G1-max6W1");
AGRTOC("maxes","M22G1-max7W1");
AGRTOC("maxes","M22G1-max7W2");
AGRTOC("maxes","M22G1-max8W1");
AGRTOC("cyclic","M22G1-cycW1");
AGRTOC("cyc2ccl","M22G1cycW1-cclsW1");

# M22d2
AGRGRP("spor","M22","M22d2");
AGRTOC("perm","M22d2G1-p22B0.m",2);
AGRTOC("perm","M22d2G1-p77B0.m",2);
AGRTOC("matff","M22d2G1-f2r10aB0.m",2);
AGRTOC("matff","M22d2G1-f2r10bB0.m",2);
AGRTOC("matff","M22d2G1-f2r34B0.m",2);
AGRTOC("matff","M22d2G1-f2r98B0.m",2);
AGRTOC("matff","M22d2G1-f2r140B0.m",2);
AGRTOC("matff","M22d2G1-f3r21aB0.m",2);
AGRTOC("matff","M22d2G1-f3r55aB0.m",2);
AGRTOC("matff","M22d2G1-f3r98B0.m",2);
AGRTOC("matff","M22d2G1-f3r99aB0.m",2);
AGRTOC("matff","M22d2G1-f3r210aB0.m",2);
AGRTOC("matff","M22d2G1-f3r231aB0.m",2);
AGRTOC("matff","M22d2G1-f5r21aB0.m",2);
AGRTOC("matff","M22d2G1-f5r55aB0.m",2);
AGRTOC("matff","M22d2G1-f5r98aB0.m",2);
AGRTOC("matff","M22d2G1-f5r133aB0.m",2);
AGRTOC("matff","M22d2G1-f5r210aB0.m",2);
AGRTOC("matff","M22d2G1-f5r385aB0.m",2);
AGRTOC("matff","M22d2G1-f5r560B0.m",2);
AGRTOC("matff","M22d2G1-f7r21aB0.m",2);
AGRTOC("matff","M22d2G1-f7r45aB0.m",2);
AGRTOC("matff","M22d2G1-f7r54aB0.m",2);
AGRTOC("matff","M22d2G1-f7r154aB0.m",2);
AGRTOC("matff","M22d2G1-f7r210aB0.m",2);
AGRTOC("matff","M22d2G1-f7r231aB0.m",2);
AGRTOC("matff","M22d2G1-f7r385aB0.m",2);
AGRTOC("matff","M22d2G1-f7r560B0.m",2);
AGRTOC("matff","M22d2G1-f9r45aB0.m",2);
AGRTOC("matff","M22d2G1-f9r45bB0.m",2);
AGRTOC("matff","M22d2G1-f11r20aB0.m",2);
AGRTOC("matff","M22d2G1-f11r45aB0.m",2);
AGRTOC("matff","M22d2G1-f11r45bB0.m",2);
AGRTOC("matff","M22d2G1-f11r55aB0.m",2);
AGRTOC("matff","M22d2G1-f11r99aB0.m",2);
AGRTOC("matff","M22d2G1-f11r154aB0.m",2);
AGRTOC("matff","M22d2G1-f11r190aB0.m",2);
AGRTOC("matff","M22d2G1-f11r231aB0.m",2);
AGRTOC("matff","M22d2G1-f11r385aB0.m",2);
AGRTOC("matff","M22d2G1-f25r45aB0.m",2);
AGRTOC("matff","M22d2G1-f25r45bB0.m",2);
AGRTOC("maxes","M22d2G1-max2W1");
AGRTOC("maxes","M22d2G1-max2W2");
AGRTOC("maxes","M22d2G1-max3W1");
AGRTOC("maxes","M22d2G1-max4W1");
AGRTOC("maxes","M22d2G1-max5W1");
AGRTOC("maxes","M22d2G1-max5W2");
AGRTOC("maxes","M22d2G1-max6W1");
AGRTOC("maxes","M22d2G1-max7W1");
AGRTOC("maxes","M22d2G1-max7W2");
AGRTOC("cyclic","M22d2G1-cycW1");
AGRTOC("cyc2ccl","M22d2G1cycW1-cclsW1");

# M23
AGRGRP("spor","M23","M23");
AGRTOC("perm","M23G1-p23B0.m",2);
AGRTOC("perm","M23G1-p253aB0.m",2);
AGRTOC("perm","M23G1-p253bB0.m",2);
AGRTOC("perm","M23G1-p506B0.m",2);
AGRTOC("perm","M23G1-p1288B0.m",2);
AGRTOC("perm","M23G1-p1771B0.m",2);
AGRTOC("perm","M23G1-p40320B0.m",2);
AGRTOC("matff","M23G1-f2r11aB0.m",2);
AGRTOC("matff","M23G1-f2r11bB0.m",2);
AGRTOC("matff","M23G1-f2r44aB0.m",2);
AGRTOC("matff","M23G1-f2r44bB0.m",2);
AGRTOC("matff","M23G1-f2r120B0.m",2);
AGRTOC("matff","M23G1-f2r220aB0.m",2);
AGRTOC("matff","M23G1-f2r220bB0.m",2);
AGRTOC("matff","M23G1-f2r252B0.m",2);
AGRTOC("matff","M23G1-f3r22B0.m",2);
AGRTOC("matff","M23G1-f3r104aB0.m",2);
AGRTOC("matff","M23G1-f3r104bB0.m",2);
AGRTOC("matff","M23G1-f3r231B0.m",2);
AGRTOC("matff","M23G1-f3r253B0.m",2);
AGRTOC("matff","M23G1-f3r770aB0.m",2);
AGRTOC("matff","M23G1-f4r896aB0.m",2);
AGRTOC("matff","M23G1-f4r896bB0.m",2);
AGRTOC("matff","M23G1-f5r22B0.m",2);
AGRTOC("matff","M23G1-f5r230B0.m",2);
AGRTOC("matff","M23G1-f5r231aB0.m",2);
AGRTOC("matff","M23G1-f5r231bB0.m",2);
AGRTOC("matff","M23G1-f5r896aB0.m",2);
AGRTOC("matff","M23G1-f7r22B0.m",2);
AGRTOC("matff","M23G1-f7r45B0.m",2);
AGRTOC("matff","M23G1-f7r208B0.m",2);
AGRTOC("matff","M23G1-f7r231aB0.m",2);
AGRTOC("matff","M23G1-f7r483B0.m",2);
AGRTOC("matff","M23G1-f7r990B0.m",2);
AGRTOC("matff","M23G1-f9r45aB0.m",2);
AGRTOC("matff","M23G1-f9r990aB0.m",2);
AGRTOC("matff","M23G1-f11r22B0.m",2);
AGRTOC("matff","M23G1-f11r45bB0.m",2);
AGRTOC("matff","M23G1-f11r229B0.m",2);
AGRTOC("matff","M23G1-f11r231aB0.m",2);
AGRTOC("matff","M23G1-f11r253B0.m",2);
AGRTOC("matff","M23G1-f11r806B0.m",2);
AGRTOC("matff","M23G1-f11r990aB0.m",2);
AGRTOC("matff","M23G1-f23r21B0.m",2);
AGRTOC("matff","M23G1-f23r45B0.m",2);
AGRTOC("matff","M23G1-f23r210B0.m",2);
AGRTOC("matff","M23G1-f23r230B0.m",2);
AGRTOC("matff","M23G1-f23r231aB0.m",2);
AGRTOC("matff","M23G1-f23r253B0.m",2);
AGRTOC("matff","M23G1-f23r280B0.m",2);
AGRTOC("matff","M23G1-f23r665bB0.m",2);
AGRTOC("matff","M23G1-f25r45aB0.m",2);
AGRTOC("matff","M23G1-f25r770B0.m",2);
AGRTOC("matff","M23G1-f25r990aB0.m",2);
AGRTOC("matff","M23G1-f49r231bB0.m",2);
AGRTOC("matff","M23G1-f49r231cB0.m",2);
AGRTOC("matff","M23G1-f49r770aB0.m",2);
AGRTOC("matff","M23G1-f49r770bB0.m",2);
AGRTOC("matff","M23G1-f49r896aB0.m",2);
AGRTOC("matff","M23G1-f49r896bB0.m",2);
AGRTOC("matff","M23G1-f121r231bB0.m",2);
AGRTOC("matff","M23G1-f121r231cB0.m",2);
AGRTOC("matff","M23G1-f121r770aB0.m",2);
AGRTOC("matff","M23G1-f121r770bB0.m",2);
AGRTOC("maxes","M23G1-max1W1");
AGRTOC("maxes","M23G1-max2W1");
AGRTOC("maxes","M23G1-max3W1");
AGRTOC("maxes","M23G1-max4W1");
AGRTOC("maxes","M23G1-max5W1");
AGRTOC("maxes","M23G1-max6W1");
AGRTOC("maxes","M23G1-max7W1");
AGRTOC("cyclic","M23G1-cycW1");
AGRTOC("cyc2ccl","M23G1cycW1-cclsW1");

# M24
AGRGRP("spor","M24","M24");
AGRTOC("perm","M24G1-p24B0.m",2);
AGRTOC("perm","M24G1-p276B0.m",2);
AGRTOC("perm","M24G1-p759B0.m",2);
AGRTOC("perm","M24G1-p1288B0.m",2);
AGRTOC("perm","M24G1-p1771B0.m",2);
AGRTOC("perm","M24G1-p2024B0.m",2);
AGRTOC("perm","M24G1-p3795B0.m",2);
AGRTOC("matff","M24G1-f2r11aB0.m",2);
AGRTOC("matff","M24G1-f2r11bB0.m",2);
AGRTOC("matff","M24G1-f2r44aB0.m",2);
AGRTOC("matff","M24G1-f2r44bB0.m",2);
AGRTOC("matff","M24G1-f2r120B0.m",2);
AGRTOC("matff","M24G1-f2r220aB0.m",2);
AGRTOC("matff","M24G1-f2r220bB0.m",2);
AGRTOC("matff","M24G1-f2r252B0.m",2);
AGRTOC("matff","M24G1-f2r320aB0.m",2);
AGRTOC("matff","M24G1-f2r320bB0.m",2);
AGRTOC("matff","M24G1-f2r1242B0.m",2);
AGRTOC("matff","M24G1-f2r1792B0.m",2);
AGRTOC("matff","M24G1-f3r22B0.m",2);
AGRTOC("matff","M24G1-f3r231B0.m",2);
AGRTOC("matff","M24G1-f3r252B0.m",2);
AGRTOC("matff","M24G1-f3r483B0.m",2);
AGRTOC("matff","M24G1-f3r770aB0.m",2);
AGRTOC("matff","M24G1-f3r770bB0.m",2);
AGRTOC("matff","M24G1-f5r23B0.m",2);
AGRTOC("matff","M24G1-f5r231B0.m",2);
AGRTOC("matff","M24G1-f5r252B0.m",2);
AGRTOC("matff","M24G1-f5r253B0.m",2);
AGRTOC("matff","M24G1-f7r23B0.m",2);
AGRTOC("matff","M24G1-f7r45B0.m",2);
AGRTOC("matff","M24G1-f7r252B0.m",2);
AGRTOC("matff","M24G1-f7r253B0.m",2);
AGRTOC("matff","M24G1-f7r483B0.m",2);
AGRTOC("matff","M24G1-f7r990B0.m",2);
AGRTOC("matff","M24G1-f9r45aB0.m",2);
AGRTOC("matff","M24G1-f9r45bB0.m",2);
AGRTOC("matff","M24G1-f9r990bB0.m",2);
AGRTOC("matff","M24G1-f11r23B0.m",2);
AGRTOC("matff","M24G1-f11r45B0.m",2);
AGRTOC("matff","M24G1-f11r229B0.m",2);
AGRTOC("matff","M24G1-f11r253B0.m",2);
AGRTOC("matff","M24G1-f11r482B0.m",2);
AGRTOC("matff","M24G1-f11r806B0.m",2);
AGRTOC("matff","M24G1-f11r990bB0.m",2);
AGRTOC("matff","M24G1-f23r23B0.m",2);
AGRTOC("matff","M24G1-f23r45B0.m",2);
AGRTOC("matff","M24G1-f23r231bB0.m",2);
AGRTOC("matff","M24G1-f23r251B0.m",2);
AGRTOC("matff","M24G1-f23r253B0.m",2);
AGRTOC("matff","M24G1-f23r483B0.m",2);
AGRTOC("matff","M24G1-f23r770B0.m",2);
AGRTOC("matff","M24G1-f23r990bB0.m",2);
AGRTOC("matff","M24G1-f25r45aB0.m",2);
AGRTOC("matff","M24G1-f25r45bB0.m",2);
AGRTOC("matff","M24G1-f25r770aB0.m",2);
AGRTOC("matff","M24G1-f25r990aB0.m",2);
AGRTOC("matff","M24G1-f49r231bB0.m",2);
AGRTOC("matff","M24G1-f49r770aB0.m",2);
AGRTOC("matff","M24G1-f121r231bB0.m",2);
AGRTOC("matff","M24G1-f121r770aB0.m",2);
AGRTOC("maxes","M24G1-max1W1");
AGRTOC("maxes","M24G1-max1W2");
AGRTOC("maxes","M24G1-max2W1");
AGRTOC("maxes","M24G1-max3W1");
AGRTOC("maxes","M24G1-max4W1");
AGRTOC("maxes","M24G1-max5W1");
AGRTOC("maxes","M24G1-max6W1");
AGRTOC("maxes","M24G1-max7W1");
AGRTOC("maxes","M24G1-max8W1");
AGRTOC("maxes","M24G1-max9W1");
AGRTOC("cyclic","M24G1-cycW1");
AGRTOC("cyc2ccl","M24G1cycW1-cclsW1");

# 3McL
AGRGRP("spor","McL","3McL");
AGRTOC("perm","3McLG1-p66825B0.m",2);
AGRTOC("perm","3McLG1-p103950B0.m",2);
AGRTOC("perm","3McLG1-p340200B0.m",2);
AGRTOC("matff","3McLG1-f3r42B0.m",2);
AGRTOC("matff","3McLG1-f4r126aB0.m",2);
AGRTOC("matff","3McLG1-f4r396dB0.m",2);
AGRTOC("matff","3McLG1-f25r45aB0.m",2);
AGRTOC("matff","3McLG1-f25r126aB0.m",2);
AGRTOC("matff","3McLG1-f25r126bB0.m",2);
AGRTOC("matff","3McLG1-f25r153aB0.m",2);
AGRTOC("matff","3McLG1-f25r639aB0.m",2);
AGRTOC("matff","3McLG1-f25r846aB0.m",2);
AGRTOC("matff","3McLG1-f49r126aB0.m",2);
AGRTOC("matff","3McLG1-f49r126a1B0.m",2);
AGRTOC("matff","3McLG1-f49r126bB0.m",2);
AGRTOC("matff","3McLG1-f49r126b1B0.m",2);
AGRTOC("matff","3McLG1-f121r126aB0.m",2);

# 3McLd2
AGRGRP("spor","McL","3McLd2");
AGRTOC("matff","3McLd2G1-f4r252aB0.m",2);
AGRTOC("matff","3McLd2G1-f5r90B0.m",2);
AGRTOC("matff","3McLd2G1-f5r306B0.m",2);
AGRTOC("matff","3McLd2G1-f5r1278B0.m",2);

# McL
AGRGRP("spor","McL","McL");
AGRTOC("perm","McLG1-p275B0.m",2);
AGRTOC("perm","McLG1-p2025aB0.m",2);
AGRTOC("perm","McLG1-p2025bB0.m",2);
AGRTOC("perm","McLG1-p7128B0.m",2);
AGRTOC("perm","McLG1-p15400aB0.m",2);
AGRTOC("perm","McLG1-p15400bB0.m",2);
AGRTOC("perm","McLG1-p22275aB0.m",2);
AGRTOC("perm","McLG1-p22275bB0.m",2);
AGRTOC("perm","McLG1-p22275cB0.m",2);
AGRTOC("perm","McLG1-p22275dB0.m",2);
AGRTOC("perm","McLG1-p113400B0.m",2);
AGRTOC("perm","McLG1-p299376B0.m",2);
AGRTOC("matff","McLG1-f2r22B0.m",2);
AGRTOC("matff","McLG1-f2r230B0.m",2);
AGRTOC("matff","McLG1-f2r748aB0.m",2);
AGRTOC("matff","McLG1-f2r748bB0.m",2);
AGRTOC("matff","McLG1-f3r21B0.m",2);
AGRTOC("matff","McLG1-f3r104aB0.m",2);
AGRTOC("matff","McLG1-f3r104bB0.m",2);
AGRTOC("matff","McLG1-f3r210B0.m",2);
AGRTOC("matff","McLG1-f3r560B0.m",2);
AGRTOC("matff","McLG1-f4r896aB0.m",2);
AGRTOC("matff","McLG1-f4r896bB0.m",2);
AGRTOC("matff","McLG1-f5r21B0.m",2);
AGRTOC("matff","McLG1-f5r210B0.m",2);
AGRTOC("matff","McLG1-f5r230B0.m",2);
AGRTOC("matff","McLG1-f5r560B0.m",2);
AGRTOC("matff","McLG1-f5r896bB0.m",2);
AGRTOC("matff","McLG1-f7r22B0.m",2);
AGRTOC("matff","McLG1-f7r231B0.m",2);
AGRTOC("matff","McLG1-f7r252B0.m",2);
AGRTOC("matff","McLG1-f9r605aB0.m",2);
AGRTOC("matff","McLG1-f9r605bB0.m",2);
AGRTOC("matff","McLG1-f11r22B0.m",2);
AGRTOC("matff","McLG1-f11r231B0.m",2);
AGRTOC("matff","McLG1-f11r251B0.m",2);
AGRTOC("matff","McLG1-f11r896B0.m",2);
AGRTOC("matff","McLG1-f23r896bB0.m",2);
AGRTOC("matff","McLG1-f25r1200aB0.m",2);
AGRTOC("matff","McLG1-f49r770aB0.m",2);
AGRTOC("matff","McLG1-f49r770bB0.m",2);
AGRTOC("matff","McLG1-f49r896aB0.m",2);
AGRTOC("matff","McLG1-f49r896bB0.m",2);
AGRTOC("matff","McLG1-f121r770aB0.m",2);
AGRTOC("matff","McLG1-f121r770bB0.m",2);
AGRTOC("maxes","McLG1-max1W1");
AGRTOC("maxes","McLG1-max2W1");
AGRTOC("maxes","McLG1-max3W1");
AGRTOC("maxes","McLG1-max4W1");
AGRTOC("maxes","McLG1-max5W1");
AGRTOC("maxes","McLG1-max6W1");
AGRTOC("maxes","McLG1-max7W1");
AGRTOC("maxes","McLG1-max8W1");
AGRTOC("maxes","McLG1-max9W1");
AGRTOC("maxes","McLG1-max10W1");
AGRTOC("maxes","McLG1-max11W1");
AGRTOC("maxes","McLG1-max12W1");
AGRTOC("cyclic","McLG1-cycW1");
AGRTOC("cyc2ccl","McLG1cycW1-cclsW1");

# McLd2
AGRGRP("spor","McL","McLd2");
AGRTOC("perm","McLd2G1-p275B0.m",2);
AGRTOC("perm","McLd2G1-p4050B0.m",2);
AGRTOC("perm","McLd2G1-p7128B0.m",2);
AGRTOC("perm","McLd2G1-p22275aB0.m",2);
AGRTOC("perm","McLd2G1-p44550B0.m",2);
AGRTOC("matff","McLd2G1-f2r22B0.m",2);
AGRTOC("matff","McLd2G1-f3r21aB0.m",2);
AGRTOC("matff","McLd2G1-f3r104aB0.m",2);
AGRTOC("matff","McLd2G1-f5r21aB0.m",2);
AGRTOC("matff","McLd2G1-f7r22aB0.m",2);
AGRTOC("matff","McLd2G1-f11r22aB0.m",2);
AGRTOC("maxes","McLd2G1-max1W1");
AGRTOC("maxes","McLd2G1-max2W1");
AGRTOC("maxes","McLd2G1-max3W1");
AGRTOC("maxes","McLd2G1-max4W1");
AGRTOC("maxes","McLd2G1-max5W1");
AGRTOC("maxes","McLd2G1-max6W1");
AGRTOC("maxes","McLd2G1-max7W1");
AGRTOC("maxes","McLd2G1-max7W2");
AGRTOC("maxes","McLd2G1-max8W1");
AGRTOC("maxes","McLd2G1-max8W2");
AGRTOC("maxes","McLd2G1-max9W1");
AGRTOC("maxes","McLd2G1-max10W1");

# 3ON
AGRGRP("spor","ON","3ON");
AGRTOC("perm","3ONG1-p368280B0.m",2);
AGRTOC("matff","3ONG1-f4r153B0.m",2);
AGRTOC("matff","3ONG1-f7r45aB0.m",2);
AGRTOC("matff","3ONG1-f7r45bB0.m",2);

# 3ONd2
AGRGRP("spor","ON","3ONd2");
AGRTOC("perm","3ONd2G1-p736560B0.m",2);
AGRTOC("matff","3ONd2G1-f2r306B0.m",2);
AGRTOC("matff","3ONd2G1-f7r90B0.m",2);

# ON
AGRGRP("spor","ON","ON");
AGRTOC("perm","ONG1-p122760aB0.m",2);
AGRTOC("matff","ONG1-f3r154B0.m",2);
AGRTOC("matff","ONG1-f3r495B0.m",2);
AGRTOC("matff","ONG1-f3r684B0.m",2);
AGRTOC("matff","ONG1-f7r406B0.m",2);
AGRTOC("matff","ONG1-f7r1618B0.m",2);
AGRTOC("matff","ONG1-f9r342aB0.m",2);
AGRTOC("matff","ONG1-f9r342bB0.m",2);
AGRTOC("matff","ONG1-f31r1869B0.m",2);
AGRTOC("maxes","ONG1-max1W1");
AGRTOC("maxes","ONG1-max2W1");
AGRTOC("maxes","ONG1-max3W1");
AGRTOC("maxes","ONG1-max4W1");
AGRTOC("maxes","ONG1-max5W1");
AGRTOC("maxes","ONG1-max6W1");
AGRTOC("maxes","ONG1-max7W1");
AGRTOC("maxes","ONG1-max8W1");
AGRTOC("maxes","ONG1-max9W1");
AGRTOC("maxes","ONG1-max10W1");
AGRTOC("maxes","ONG1-max11W1");
AGRTOC("maxes","ONG1-max12W1");
AGRTOC("maxes","ONG1-max13W1");
AGRTOC("cyclic","ONG1-cycW1");

# ONd2
AGRGRP("spor","ON","ONd2");
AGRTOC("perm","ONd2G1-p245520B0.m",2);
AGRTOC("matff","ONd2G1-f3r684B0.m",2);
AGRTOC("matff","ONd2G1-f3r990B0.m",2);
AGRTOC("matff","ONd2G1-f7r406B0.m",2);
AGRTOC("matff","ONd2G1-f7r1618B0.m",2);
AGRTOC("matff","ONd2G1-f9r154B0.m",2);
AGRTOC("matff","ONd2G1-f31r1869B0.m",2);
AGRTOC("maxes","ONd2G1-max1W1");
AGRTOC("maxes","ONd2G1-max2W1");
AGRTOC("maxes","ONd2G1-max3W1");
AGRTOC("maxes","ONd2G1-max4W1");
AGRTOC("maxes","ONd2G1-max5W1");
AGRTOC("maxes","ONd2G1-max6W1");
AGRTOC("maxes","ONd2G1-max7W1");
AGRTOC("maxes","ONd2G1-max8W1");
AGRTOC("maxes","ONd2G1-max9W1");
AGRTOC("maxes","ONd2G1-max10W1");

# ONd4
AGRGRP("spor","ON","ONd4");
AGRTOC("matff","ONd4G1-f3r154B0.m",2);

# 2Ru
AGRGRP("spor","Ru","2Ru");
AGRTOC("perm","2RuG1-p16240B0.m",2);
AGRTOC("matff","2RuG1-f3r56B0.m",2);
AGRTOC("matff","2RuG1-f5r28B0.m",2);
AGRTOC("matff","2RuG1-f5r912B0.m",2);
AGRTOC("matff","2RuG1-f7r56B0.m",2);
AGRTOC("matff","2RuG1-f9r28B0.m",2);
AGRTOC("matff","2RuG1-f13r28B0.m",2);
AGRTOC("matff","2RuG1-f29r28B0.m",2);
AGRTOC("matff","2RuG1-f49r28B0.m",2);

# Ru
AGRGRP("spor","Ru","Ru");
AGRTOC("perm","RuG1-p4060B0.m",2);
AGRTOC("matff","RuG1-f2r28B0.m",2);
AGRTOC("matff","RuG1-f2r376B0.m",2);
AGRTOC("matff","RuG1-f2r1246B0.m",2);
AGRTOC("matff","RuG1-f3r406B0.m",2);
AGRTOC("matff","RuG1-f3r783B0.m",2);
AGRTOC("matff","RuG1-f5r133B0.m",2);
AGRTOC("matff","RuG1-f5r273B0.m",2);
AGRTOC("matff","RuG1-f5r378B0.m",2);
AGRTOC("matff","RuG1-f5r783B0.m",2);
AGRTOC("matff","RuG1-f7r406B0.m",2);
AGRTOC("matff","RuG1-f7r782B0.m",2);
AGRTOC("matff","RuG1-f9r378B0.m",2);
AGRTOC("matff","RuG1-f13r378B0.m",2);
AGRTOC("matff","RuG1-f13r406B0.m",2);
AGRTOC("matff","RuG1-f13r783B0.m",2);
AGRTOC("matff","RuG1-f29r378B0.m",2);
AGRTOC("matff","RuG1-f29r406B0.m",2);
AGRTOC("matff","RuG1-f29r783B0.m",2);
AGRTOC("matff","RuG1-f49r378B0.m",2);
AGRTOC("maxes","RuG1-max1W1");
AGRTOC("maxes","RuG1-max1W2");
AGRTOC("maxes","RuG1-max2W2");
AGRTOC("maxes","RuG1-max2W1");
AGRTOC("maxes","RuG1-max3W1");
AGRTOC("maxes","RuG1-max3W2");
AGRTOC("maxes","RuG1-max4W2");
AGRTOC("maxes","RuG1-max4W1");
AGRTOC("maxes","RuG1-max5W1");
AGRTOC("maxes","RuG1-max5W2");
AGRTOC("maxes","RuG1-max6W2");
AGRTOC("maxes","RuG1-max6W1");
AGRTOC("maxes","RuG1-max7W1");
AGRTOC("maxes","RuG1-max7W2");
AGRTOC("maxes","RuG1-max8W2");
AGRTOC("maxes","RuG1-max8W1");
AGRTOC("maxes","RuG1-max9W1");
AGRTOC("maxes","RuG1-max9W2");
AGRTOC("maxes","RuG1-max9W3");
AGRTOC("maxes","RuG1-max10W1");
AGRTOC("maxes","RuG1-max10W2");
AGRTOC("maxes","RuG1-max11W1");
AGRTOC("maxes","RuG1-max11W2");
AGRTOC("maxes","RuG1-max12W1");
AGRTOC("maxes","RuG1-max12W2");
AGRTOC("maxes","RuG1-max13W1");
AGRTOC("maxes","RuG1-max13W2");
AGRTOC("maxes","RuG1-max14W1");
AGRTOC("maxes","RuG1-max14W2");
AGRTOC("maxes","RuG1-max15W3");
AGRTOC("maxes","RuG1-max15W1");
AGRTOC("maxes","RuG1-max15W2");
AGRTOC("classes","RuG1-cclsW1");
AGRTOC("cyclic","RuG1-cycW1");
AGRTOC("maxstd","RuG1max9W2-L229G1W1");

# 2Suz
AGRGRP("spor","Suz","2Suz");
AGRTOC("perm","2SuzG1-p65520B0.m",2);
AGRTOC("matff","2SuzG1-f3r12B0.m",2);
AGRTOC("matff","2SuzG1-f3r208B0.m",2);
AGRTOC("matff","2SuzG1-f3r352B0.m",2);

# 2Suzd2
AGRGRP("spor","Suz","2Suzd2");
AGRTOC("matff","2Suzd2G1-f3r12aB0.m",2);

# 3Suz
AGRGRP("spor","Suz","3Suz");
AGRTOC("perm","3SuzG1-p5346B0.m",2);
AGRTOC("perm","3SuzG1-p98280B0.m",2);
AGRTOC("perm","3SuzG1-p405405B0.m",2);
AGRTOC("matff","3SuzG1-f4r12aB0.m",2);
AGRTOC("matff","3SuzG1-f4r66aB0.m",2);
AGRTOC("matff","3SuzG1-f4r429aB0.m",2);
AGRTOC("matff","3SuzG1-f4r825aB0.m",2);
AGRTOC("matff","3SuzG1-f4r825bB0.m",2);
AGRTOC("matff","3SuzG1-f25r66aB0.m",2);

# 3Suzd2
AGRGRP("spor","Suz","3Suzd2");
AGRTOC("perm","3Suzd2G1-p5346B0.m",2);
AGRTOC("matff","3Suzd2G1-f2r24B0.m",2);
AGRTOC("matff","3Suzd2G1-f5r132B0.m",2);
AGRTOC("matff","3Suzd2G1-f7r132B0.m",2);
AGRTOC("matff","3Suzd2G1-f11r132B0.m",2);

# 6Suz
AGRGRP("spor","Suz","6Suz");
AGRTOC("perm","6SuzG1-p196560B0.m",2);
AGRTOC("matff","6SuzG1-f7r12aB0.m",2);
AGRTOC("matff","6SuzG1-f13r12aB0.m",2);
AGRTOC("matff","6SuzG1-f25r12aB0.m",2);

# 6Suzd2
AGRGRP("spor","Suz","6Suzd2");
AGRTOC("matff","6Suzd2G1-f3r24B0.m",2);
AGRTOC("matff","6Suzd2G1-f5r24B0.m",2);
AGRTOC("matff","6Suzd2G1-f11r24B0.m",2);

# Suz
AGRGRP("spor","Suz","Suz");
AGRTOC("perm","SuzG1-p1782B0.m",2);
AGRTOC("perm","SuzG1-p22880B0.m",2);
AGRTOC("perm","SuzG1-p32760B0.m",2);
AGRTOC("matff","SuzG1-f2r142B0.m",2);
AGRTOC("matff","SuzG1-f2r638B0.m",2);
AGRTOC("matff","SuzG1-f3r64B0.m",2);
AGRTOC("matff","SuzG1-f3r78B0.m",2);
AGRTOC("matff","SuzG1-f3r286B0.m",2);
AGRTOC("matff","SuzG1-f3r429B0.m",2);
AGRTOC("matff","SuzG1-f3r649B0.m",2);
AGRTOC("matff","SuzG1-f4r110aB0.m",2);
AGRTOC("matff","SuzG1-f4r572aB0.m",2);
AGRTOC("matff","SuzG1-f4r572bB0.m",2);
AGRTOC("matff","SuzG1-f5r143B0.m",2);
AGRTOC("matff","SuzG1-f5r363B0.m",2);
AGRTOC("matff","SuzG1-f5r780B0.m",2);
AGRTOC("matff","SuzG1-f7r143B0.m",2);
AGRTOC("matff","SuzG1-f7r364B0.m",2);
AGRTOC("matff","SuzG1-f7r780B0.m",2);
AGRTOC("matff","SuzG1-f11r143B0.m",2);
AGRTOC("matff","SuzG1-f11r364B0.m",2);
AGRTOC("matff","SuzG1-f11r779B0.m",2);
AGRTOC("matff","SuzG1-f13r143B0.m",2);
AGRTOC("matff","SuzG1-f13r364B0.m",2);
AGRTOC("matff","SuzG1-f13r780B0.m",2);
AGRTOC("maxes","SuzG1-max1W1");
AGRTOC("maxes","SuzG1-max2W1");
AGRTOC("maxes","SuzG1-max3W1");
AGRTOC("maxes","SuzG1-max4W1");
AGRTOC("maxes","SuzG1-max5W1");
AGRTOC("maxes","SuzG1-max6W1");
AGRTOC("maxes","SuzG1-max7W1");
AGRTOC("maxes","SuzG1-max8W1");
AGRTOC("maxes","SuzG1-max9W1");
AGRTOC("maxes","SuzG1-max10W1");
AGRTOC("maxes","SuzG1-max11W1");
AGRTOC("maxes","SuzG1-max12W1");
AGRTOC("maxes","SuzG1-max13W1");
AGRTOC("maxes","SuzG1-max14W1");
AGRTOC("maxes","SuzG1-max15W1");
AGRTOC("maxes","SuzG1-max16W1");
AGRTOC("maxes","SuzG1-max17W1");
AGRTOC("cyclic","SuzG1-cycW1");

# Suzd2
AGRGRP("spor","Suz","Suzd2");
AGRTOC("perm","Suzd2G1-p1782B0.m",2);
AGRTOC("matff","Suzd2G1-f3r64aB0.m",2);
AGRTOC("matff","Suzd2G1-f5r143aB0.m",2);
AGRTOC("matff","Suzd2G1-f7r143aB0.m",2);
AGRTOC("matff","Suzd2G1-f11r143aB0.m",2);
AGRTOC("maxes","Suzd2G1-max1W1");
AGRTOC("maxes","Suzd2G1-max2W2");
AGRTOC("maxes","Suzd2G1-max2W1");
AGRTOC("maxes","Suzd2G1-max3W1");
AGRTOC("maxes","Suzd2G1-max4W1");
AGRTOC("maxes","Suzd2G1-max5W2");
AGRTOC("maxes","Suzd2G1-max5W1");
AGRTOC("maxes","Suzd2G1-max6W1");
AGRTOC("maxes","Suzd2G1-max7W1");
AGRTOC("maxes","Suzd2G1-max7W2");
AGRTOC("maxes","Suzd2G1-max8W1");
AGRTOC("maxes","Suzd2G1-max8W2");
AGRTOC("maxes","Suzd2G1-max9W1");
AGRTOC("maxes","Suzd2G1-max10W1");
AGRTOC("maxes","Suzd2G1-max11W1");
AGRTOC("maxes","Suzd2G1-max11W2");
AGRTOC("maxes","Suzd2G1-max12W1");
AGRTOC("maxes","Suzd2G1-max13W1");
AGRTOC("maxes","Suzd2G1-max13W2");
AGRTOC("maxes","Suzd2G1-max14W1");
AGRTOC("maxes","Suzd2G1-max15W1");
AGRTOC("maxes","Suzd2G1-max16W1");
AGRTOC("maxes","Suzd2G1-max16W2");

# Th
AGRGRP("spor","Th","Th");
AGRTOC("matff","ThG1-f2r248B0.m",2);
AGRTOC("matff","ThG1-f3r248B0.m",2);
AGRTOC("matff","ThG1-f3r3875B0.m",2);
AGRTOC("matff","ThG1-f5r248B0.m",2);
AGRTOC("matff","ThG1-f7r248B0.m",2);
AGRTOC("matff","ThG1-f13r248B0.m",2);
AGRTOC("matff","ThG1-f19r248B0.m",2);
AGRTOC("matff","ThG1-f31r248B0.m",2);
AGRTOC("maxes","ThG1-max1W1");
AGRTOC("maxes","ThG1-max2W1");
AGRTOC("maxes","ThG1-max3W1");
AGRTOC("maxes","ThG1-max4W1");
AGRTOC("maxes","ThG1-max4W2");
AGRTOC("maxes","ThG1-max5W1");
AGRTOC("maxes","ThG1-max6W1");
AGRTOC("maxes","ThG1-max7W1");
AGRTOC("maxes","ThG1-max8W1");
AGRTOC("maxes","ThG1-max9W1");
AGRTOC("maxes","ThG1-max10W1");
AGRTOC("maxes","ThG1-max11W1");
AGRTOC("maxes","ThG1-max12W1");
AGRTOC("maxes","ThG1-max13W1");
AGRTOC("maxes","ThG1-max14W1");
AGRTOC("maxes","ThG1-max14W2");
AGRTOC("maxes","ThG1-max15W2");
AGRTOC("maxes","ThG1-max15W1");
AGRTOC("maxes","ThG1-max16W1");
AGRTOC("cyclic","ThG1-cycW1");
AGRTOC("maxstd","ThG1max14W1-M10G1W1");


AtlasOfGroupRepresentationsInfo.TableOfContents.( "remote" ).lastupdated:=
  " 5-Apr-2004, 15:06:22.000 UTC";

#############################################################################
##
#E

